<?php
require_once('../../util/main.php');
require_once('util/secure_conn.php');
require_once('model/admin_db.php');

if (isset($_SESSION['user'])) {
    display_error('Ne možete se logirati(prijaviti) kao administrator dok ste ' .
                  'logirani kao korisnik!');
}

if ( admin_count() == 0 ) {
    if ( $_POST['action'] == 'create' ) {
        $action = 'create';
    } else {
        $action = 'view_account';
    }
} elseif ( isset($_SESSION['admin']) ) {
    if ( isset($_POST['action']) ) {
        $action = $_POST['action'];
    } elseif ( isset($_GET['action']) ) {
        $action = $_GET['action'];
    } else {
        $action = 'view_account';
    }
} elseif ($_POST['action'] == 'login') {
    $action = 'login';
} else {
    $action = 'view_login';
}

switch ($action) {
    case 'view_login':
        include 'account_login.php';
        break;
    case 'login':
        // Get username/lozinka
        $email = $_POST['email'];
        $lozinka = $_POST['lozinka'];

        // If valid username/lozinka, log in
        if (is_valid_admin_login($email, $lozinka)) {
            $_SESSION['admin'] = get_admin_by_email($email);
        } else {
            display_error('Prijava(logiranje) nije uspjelo! Pogrešan email ili lozinka!');
        }

        // Display Admin Menu page
        redirect('..');
        break;
    case 'create':
        // Get admin user data
        $email = $_POST['email'];
        $ime = $_POST['ime'];
        $prezime = $_POST['prezime'];
        $lozinka_1 = $_POST['lozinka_1'];
        $lozinka_2 = $_POST['lozinka_2'];

        // Set admin user data in session
        $_SESSION['form_data'] = array();
        $_SESSION['form_data']['email'] = $email;
        $_SESSION['form_data']['ime'] = $ime;
        $_SESSION['form_data']['prezime'] = $prezime;

        // Validate admin user data
        // TODO: Improve this validation
        if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
            display_error('E-mail addresa ' . $email . ' nije ispravna!');
        } elseif (is_valid_admin_email($email)) {
            display_error('E-mail addresa ' . $email . ' se već koristi!');
        }
        if (empty($ime)) {
            display_error('Ime se mora popuniti!');
        }
        if (empty($prezime)) {
            display_error('Prezime se mora popuniti!');
        }
        if (empty($lozinka_1) || empty($lozinka_2)) {
            display_error('Lozinka se mora popuniti!');
        } elseif ($lozinka_1 !== $lozinka_2) {
            display_error('lozinke 1 i 2 nisu iste!');
        } elseif (strlen($lozinka_1) < 6) {
            display_error('Lozinka mora sadržavati najmanje 6 znakova!');
        }

        // Add admin user
        $kodAdmin = add_admin($email, $ime, $prezime,
                                 $lozinka_1, $lozinka_2);

        // Set up session data
        unset($_SESSION['form_data']);
        if (!isset($_SESSION['admin'])) {
            $_SESSION['admin'] = get_admin($kodAdmin);
        }

        redirect('.');
        break;
    case 'view_account':
        // Get admin user data from session
        $ime_prezime = $_SESSION['admin']['ime'] . ' ' .
                $_SESSION['admin']['prezime'];
        $email = $_SESSION['admin']['email'];
        $kodAdmin = $_SESSION['admin']['kodAdmin'];

        // Get all accounts from database
        $admins = get_all_admins();

        // View admin accounts
        include 'account_view.php';
        break;
    case 'view_edit':
        // Get admin user data
        $kodAdmin = intval($_POST['kodAdmin']);
        $admin = get_admin($kodAdmin);
        $ime = $admin['ime'];
        $prezime = $admin['prezime'];
        $email = $admin['email'];

        // Display Edit page
        include 'account_edit.php';
        break;
    case 'update':
        $kodAdmin = intval($_POST['kodAdmin']);
        update_admin(
            $kodAdmin,
            $_POST['email'],
            $_POST['ime'],
            $_POST['prezime'],
            $_POST['lozinka_1'],
            $_POST['lozinka_2']
        );
        if ($kodAdmin == $_SESSION['admin']['kodAdmin']) {
            $_SESSION['admin'] = get_admin($kodAdmin);
        }
        redirect($app_path . 'admin/account');
        break;
    case 'view_delete_confirm':
        $kodAdmin = intval($_POST['kodAdmin']);
        if ($kodAdmin == $_SESSION['admin']['kodAdmin']) {
            display_error('Ne možete obrisati Vaš vlastiti račun!');
        }
        $admin = get_admin($kodAdmin);
        $ime = $admin['ime'];
        $prezime = $admin['prezime'];
        $email = $admin['email'];
        include 'account_delete.php';
        break;
    case 'delete':
        $kodAdmin = intval($_POST['kodAdmin']);
        delete_admin($kodAdmin);
        redirect($app_path . 'admin/account');
        break;
    case 'logout':
        unset($_SESSION['admin']);
        redirect($app_path . 'admin/account');
        break;
    default:
        display_error('Nepoznata  account akcija: ' . $action);
        break;
}
?>