CREATE TABLE gk_stavke (
  brojTemeljnice INT(11) NOT NULL, 
  brojStavke INT(11) NOT NULL,
  vrsDo CHAR(2) NOT NULL,
  broDo CHAR(25) NOT NULL,
  brojIzvoda INT(11) DEFAULT NULL,
  konto CHAR(12) NOT NULL,
  kodPartnera CHAR(13) DEFAULT NULL,
  pozivNaBroj VARCHAR(26) DEFAULT NULL,
  DVO                 DATETIME    NOT NULL,
  valuta              DATETIME    DEFAULT NULL, 
  iznosDug DECIMAL(11,2) NOT NULL,
  iznosPot DECIMAL(11,2) NOT NULL,
  iznosOtv DECIMAL(11,2) NOT NULL,
  brojDobRacuna VARCHAR(40) DEFAULT NULL,
  opisKnjizenja TEXT DEFAULT NULL,
  iznosPdv DECIMAL(11,2) DEFAULT NULL,    
  vrstaRacuna CHAR(2) DEFAULT 'R1',
  PDVstatus          CHAR(1) DEFAULT " ",
  neoporezivIznos DECIMAL(11,2) DEFAULT NULL, 
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (brojTemeljnice,brojStavke),
  KEY izvod (brojTemeljnice,brojIzvoda,brojStavke),
  KEY dokument (konto, vrsDo, broDo),
  KEY kartica  (konto, kodPartnera, DVO),
  KEY veze (konto, kodPartnera, vrsDo, broDo)
) DEFAULT CHARSET=utf8;
/*
broDo broj dokumenta
  - za virmane  140418-12 datum virmana(ggmmdd)-broj virmana unutar izvoda  KADA FIRMA IMA JEDNU BANKU OVO JE OSNOVNI OBLIK
                140418-12,  140418-12-ZB, 140418-12-PB  ako firma ima virmane od više banki ZB zagrebačka banka i sl.
                ili npr. 140418-12A, 140418-12PB,140818-12-1    i slično.
                (nenumerička oznaka poslje broja virmana je oznaka za banku,-ZB,ZB,PB,-1,A,B )
                svi virmani jedne banke knjiže se tokom godine na isti broj temeljnice
                (npr. PBZ na broj 16, zagrebačka na broj 12 ...)
               
 - za račune(robni ulazni(kalkulacije,10,12) i izlazni(dostavnice-računi(20,21), računi-usluge(20)) npr. 2302-345 ili 2302-345/A
   (automatsko-rastersko ili ručno knjiženje)
 - za ulazne fakture obične(11) npr. U23 (isključivo ručno knjiženje)
 - za običnu temeljnicu    npr. 234
 - za interne fakture izlazne(vrsDo=65) npr. 2302-23, ulazna interna(66) na 2316 od 2302  npr. 2316-23/2302
 - zapisnici(nivelacije KN,NC,SC,PC vrsDo = 85 knjiže se automatski iz rastera) 2302-15 
  ostali zapisnici (K1,K2,OT... knjiže se preko temeljnice ručno)
Za ulazne fakture(11)obične iznosPDV-a, vrstaRacuna(R1,R2), PDVstatus(za ulaza), neoporezivIznos(neoporeziv dio računa)
Za salda-konto konte potrebna kontrola na dupli ključ KEY dokument (konto, vrsDo, broDo)(ne može se isti broj dokumenta
     unjeti na istom kontu na različitim poslovnim partnerima)
Svi salda-konto konti(sa popunjenom šifrom partnera) istovremeno se kod bilance tretiraju i kao financijski konti. 
iznosDug i iznosPot mogu biti popunjeni oba istovremeno samo za finacijska knjiženja, a za salda-konto stavke
jedan od tih iznosa mora biti nula
iznosOtv početno je jednak iznosDug ili iznosPot(onome koji nije 0) (u slučaju finacijskih konta iznosOtv je nebitan) 
iznosOtv za salda-konto stavke se mijenja(obično smanjuje) ovisno o naplatama ili povezivanju.
iznosOtv za salda konto stavke je iznos trenutno otvorene stavke a dali je dugovno ili potražno ovisi o iznosDug ili iznosPot
(ako je iznosDug raličit od nule onda je dugovno, a ako je iznosPot različit od nule onda je potražno)
iznosOtv se mora slagati (i može se izvesti i eventalno ispraviti rekonstruirati) tako da se na iznosDug ili iznosPot iz tabele gk_stavke
nadograde (+ ili -) iznosi stavki po tom dokumentu koje se nađu u tabeli veze.
Sve salda konto stavke (stavke sa popunjenim kodom partnera) se istovremeno tretiraju i kao financijske stavke za financijsko knjigovodstvo.
Samo financijske stavke su one kod kojih je kodPartnera prazan. 
*/ 
     