
USE panex_robno;
CREATE TABLE narudzbe (
  brojNarudzbe        INT            NOT NULL   AUTO_INCREMENT,
  kodPartnera         VARCHAR(16)    NOT NULL,
  datum               DATETIME       NOT NULL,
  datumPotvrdeOdNas   DATETIME       DEFAULT NULL, 
  nacinPlacanja       VARCHAR(2) NOT NULL, 
  trosakIsporuke      DECIMAL(10,2)  NOT NULL,
  poreznaGrupaIsporuke      VARCHAR(2) DEFAULT "A" NOT NULL,
  PDVisporuke               DECIMAL(6,3)  NOT NULL,
  datumPotvrdeOdKupca DATETIME       DEFAULT NULL, 
  datumOtkazaOdKupca  DATETIME       DEFAULT NULL,
  nacinIsporuke       CHAR(2)        DEFAULT NULL,
  datumIsporuke       DATETIME       DEFAULT NULL,
  vrstaRacuna         INT DEFAULT 0,
-- 0 obicni, 1 R1 racun  
  vrstaKartice        INT            NOT NULL,
  brojKartice         CHAR(16)       NOT NULL,
  vrijediDo           CHAR(7)        NOT NULL,
  komentarNarudzbeKupac TEXT   DEFAULT NULL, 
  komentarNarudzbeNas TEXT     DEFAULT NULL,  
  datumOtvaranja      DATETIME NOT NULL,
  datumIzmjene        DATETIME DEFAULT 0,
  tkoJeIzmjenio       VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (brojNarudzbe), 
  INDEX kodPartnera (kodPartnera)
);

CREATE TABLE narudzbe_stavke (
  brojNarudzbe      INT            NOT NULL,
  brojStavke        INT            NOT NULL, 
  kodRobe           VARCHAR(13)    NOT NULL,
  poreznaGrupa      VARCHAR(2) DEFAULT "A" NOT NULL,
  PDV               DECIMAL(6,3)  NOT NULL,
  cijena            DECIMAL(11,3)  NOT NULL,
  popust            DECIMAL(4,2) NOT NULL,  
  kolicina          DECIMAL(11,3)  NOT NULL,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (brojNarudzbe, brojStavke), 
  INDEX kodRobe (kodRobe)
);


-- Insert data into the tables
GRANT SELECT, INSERT, UPDATE, DELETE
ON *
TO panex_javniKoris@localhost
IDENTIFIED BY 'a83bmi';


-- Create a user 
GRANT SELECT, INSERT, UPDATE, DELETE
ON *
TO panex@localhost
IDENTIFIED BY 'c48kt3';

