-- disablira funkcijske ovisnosti
SET FOREIGN_KEY_CHECKS=0;
-- partneri poslovne aplikacije OVO TREBA USKLADITI SA STVARNIM SLOGOM !
CREATE TABLE partner (
  kodPartnera varchar(13) NOT NULL,
  nazivPartnera varchar(70) NOT NULL,
  mjestoSjedista varchar(60) NOT NULL,
  ulicaBroj varchar(60) NOT NULL,
  posPretinac varchar(10) DEFAULT ' ',
  mjestoPoste varchar(60) NOT NULL,
  brojPoste varchar(10) NOT NULL,
  /* virmanska plaćanja za plaće ili virmane za dobavljače
   modelZemljaPlatitelja CHAR(2) DEFAULT 'HR',
   modelPlatitelja VARCHAR(2) default ' ',
   pozivNaBrojPlatitelja VARCHAR(22) DEFAULT ' ',
   sifraOpcine int(11) DEFAULT '0',
   prirez decimal (8,4) default 0,
   modelZemljaPrimtelja CHAR(2) DEFAULT 'HR',
   modelPrimatelja VARCHAR(2) DEFAULT ' ',
   pozivNaBrojPrimatelja VARCHAR(22) DEFAULT ' ', */
 /* modelPlatitelja VARCHAR(4) DEFAULT 'HR67',
  pozivNaBrojPlatitelja VARCHAR(22) DEFAULT 'OIBpl-JOPPD-0',
  brojRacunaZaIsplatuPlace VARCHAR(60) DEFAULT ' ',
  modelPrimatelja VARCHAR(4) DEFAULT 'HR99', */
/* gornja  uvučena polja imaju primjenu kod plaća za plaćanje po virmanu za porez-prirez po općini-gradu
pri tom je sifraOpcine prema specifikaciji iz joppd obrasca 
ta polja se prikazuju ako je partner pozvan iz aplikacije od Dodatne rubrike prikazane: (link,legend) ili ako nije pozvan iz aplikacije od onda na izbor 
Prikaži dodatne rubrike:    također se tu prikazuju i donja 2 uvučena polja koja mogu imati primjenu u nekim situacijama i na robnom i na od*/   
   sifraZupanije int(11) DEFAULT '0',
   pokrajina varchar(50) DEFAULT ' ',
  zemlja char(3) DEFAULT '',  
  maticniBroj varchar(13) DEFAULT ' ',
  OIB varchar(20) NOT NULL,
  telefoni varchar(50) DEFAULT ' ',
  fax varchar(34) DEFAULT ' ',
  brojBankRacuna varchar(60) DEFAULT ' ',
  email varchar(255) DEFAULT ' ',
  www varchar(50) DEFAULT ' ',
  r12 varchar(1) DEFAULT '1',
  vrstaPartnera varchar(1) DEFAULT '0',
  opis text NOT NULL,
  oznakaCjenika varchar(13) default ' ',  
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (kodPartnera),
  KEY mjestoSjedista (mjestoSjedista),
  KEY OIB (OIB)
) DEFAULT CHARSET=utf8 ;
-- kod automatskog izbora šifri partnera kod prijave novih iz firme vadi početni
-- kod partnera i bira prvu slobodnu sifru >= pocetniKodPartnera(ako je 0 pocinje ispocetka)
-- vrstaPartnera 0-domaća poduzeća(firme obrti), 1-građani, 3-strani partneri
-- oznakaCjenika  ako je popunjena koristi se navedi cjenik za tog partnera
-- da bi se izbjegla kolizija sa posebnim cjenikom ovo razraditi ?
CREATE TABLE narudzbe (
  brojNarudzbe        INT            NOT NULL   AUTO_INCREMENT,
  kodPartnera         VARCHAR(13)    NOT NULL,
  datum               DATETIME       NOT NULL,
  datumPotvrdeOdNas   DATETIME       DEFAULT NULL, 
  nacinPlacanja       VARCHAR(2) NOT NULL, 
  trosakIsporuke      DECIMAL(10,2)  NOT NULL,
  poreznaGrupaIsporuke      VARCHAR(2) DEFAULT "A" NOT NULL,
  PDVisporuke               DECIMAL(6,3)  NOT NULL,
  datumPotvrdeOdKupca DATETIME       DEFAULT NULL, 
  datumOtkazaOdKupca  DATETIME       DEFAULT NULL,
  nacinIsporuke       CHAR(2)        DEFAULT NULL,
  datumIsporuke       DATETIME       DEFAULT NULL,
  vrstaRacuna         INT DEFAULT 0,
-- 0 obicni, 1 R1 racun  
  vrstaKartice        INT            NOT NULL,
  brojKartice         CHAR(16)       NOT NULL,
  vrijediDo           CHAR(7)        NOT NULL,
  komentarNarudzbeKupac  TEXT  DEFAULT NULL, 
  komentarNarudzbeNas    TEXT  DEFAULT NULL,  
  datumOtvaranja      DATETIME NOT NULL,
  datumIzmjene        DATETIME DEFAULT 0,
  tkoJeIzmjenio       VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (brojNarudzbe), 
  INDEX kodPartnera (kodPartnera)
) DEFAULT CHARSET=utf8;

CREATE TABLE narudzbe_stavke (
  brojNarudzbe      INT            NOT NULL,
  brojStavke        INT            NOT NULL, 
  kodRobe           VARCHAR(16)    NOT NULL,
  poreznaGrupa      VARCHAR(2) DEFAULT "A" NOT NULL,
  PDV               DECIMAL(6,3)  NOT NULL,
  cijena            DECIMAL(11,3)  NOT NULL,
  popust            DECIMAL(4,2) NOT NULL,  
  kolicina          DECIMAL(11,3)  NOT NULL,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (brojNarudzbe, brojStavke), 
  INDEX kodRobe (kodRobe)
) DEFAULT CHARSET=utf8;

CREATE TABLE maticna_robe (
  kodRobe varchar(16) NOT NULL,
  nazivRobe varchar(100) NOT NULL,
  jedinicaMjere char(3) NOT NULL,
  cijena decimal(11,3) NOT NULL,
  preporucenaMPC decimal(11,2) NOT NULL DEFAULT 0.00,
  popust decimal(4,2) NOT NULL,
  kodGrupe varchar(13) NOT NULL,
  poreznaGrupa varchar(2) NOT NULL DEFAULT 'A',
  minZaliha decimal(11,3) NOT NULL,
  EANkod varchar(13) DEFAULT ' ',
  brutoTezina decimal(8,2) DEFAULT '0.00',
  netoTezina decimal(8,2) DEFAULT '0.00',
  zemljaPorijekla char(3) DEFAULT NULL,
  tarifniBroj varchar(16) DEFAULT NULL,
  vrstaArtikla varchar(16) DEFAULT NULL,
  kodUvoznika varchar(13) DEFAULT NULL,
  proOzRobe varchar(40) NOT NULL,
  sklopPoKatalogu varchar(40) DEFAULT ' ',
  stavkaSklopa varchar(20) DEFAULT ' ', /* ako je popunjeno sa datumom npr. 2020-07-13, onda to služi da se utvrdi stanje na taj dan(početak praćenja), za pasivnu ili robu za rasprodaju koja dobiva poseban popust, program Razno Roba s popustom */                                              */
  kodProizvodjaca varchar(13) DEFAULT ' ',
  kodDistributera varchar(13) DEFAULT ' ',
  povratnaNaknada decimal(3,1) DEFAULT '0.0',
  robaUsluga char(1) NOT NULL DEFAULT 'R',
  prikazStanja char(1) NOT NULL DEFAULT 'P',
  kraciNaziv VARCHAR(50) DEFAULT '',
  opis text NOT NULL,
  kodGrupe2 VARCHAR(13) DEFAULT NULL,
  velicinaRame VARCHAR(20) DEFAULT NULL,
  velicinaKotaca VARCHAR(20) DEFAULT NULL,
  spol VARCHAR(6) DEFAULT NULL,
  brand VARCHAR(16) DEFAULT NULL,
  aktivan char(1) DEFAULT '1',        /* 1-AKTIVAN, 0 - NEAKTIVAN */
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (kodRobe), 
  INDEX poKoduGrupeInazivu(kodGrupe, nazivRobe), 
  INDEX poKoduGrupeIcijeni(kodGrupe, cijena),
  UNIQUE INDEX poProOzRobe (proOzRobe)
) DEFAULT CHARSET=utf8;

CREATE TABLE robne_grupe (
  kodGrupe        CHAR(13)      NOT NULL,
  nazivGrupe      VARCHAR(255)   NOT NULL,
  vidljivaZaTrgovineP678 VARCHAR(2) DEFAULT NULL,
  prikazRobeSaCijenama VARCHAR(15) DEFAULT NULL,
  kojaStanja VARCHAR(2) DEFAULT NULL,
  prikazKoloneStanja VARCHAR(40) DEFAULT NULL,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (kodGrupe)
) DEFAULT CHARSET=utf8;
/* - vidljivaZaTrgovineP678 -- grupa vidljiva za internet prodaju i B2B  
     prazno - robe iz te grupe su vidljive ili ograničeno vidljive(vezano uz prikazRobeSaCijenama) 
     Ne - robe iz te grupe nisu vidljive za internet prodaju i B2B     
   - prikazRobeSaCijenama 
        - prazno nema ograničenja po cijenama
        - <1000    npr. unutar te grupe prikazuje se samo roba čije cijene su manje od 1000
        - >10000  unutar te grupe prikazuje se samo roba čije cijene su veće od 10000    
   -  kojaStanja
       - prazno prikaz sve robe iz maticna_robe bez obzira na trenutno stanje  
       - >0 prikaz robe čija su trenutna stanja > 0 prema tabeli stanja                   
  -  prikazKoloneStanja
      - prazno  prikazuje kolonu trenutno količinsko stanje 
      - <1000,<500,<100,<50,<10 prikazuje modulirana stanja npr. ako je količina < 100 kao <100, manje od 10 kao < 10 <50 
      - Ne      ne prikazuje kolonu stanje
*/
CREATE TABLE posebna_ponuda (  
  kodRobe        VARCHAR(16)      NOT NULL,
  posebnaNova CHAR(1) DEFAULT 'P',   
 
  redniBroj      INT DEFAULT 0,   /* stavke kodaRobe */
 
  datumOtvaranja    DATETIME NOT NULL,   
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (posebnaNova,kodRobe)
) DEFAULT CHARSET=utf8;

CREATE TABLE pocetna_stranica_prodaje (  
/* vidi se kod lokalnog rada na  robnom, B2B, i Web Shopa i obične Web stranice 
nepromljenljiv dio početne stranice je lijevi side bar(robne grupe i vidljivost sve robe) i gore header(logo firme i pretraga sa filterom)
catalog/category_view
      Desni side bar je predmet ove tabele.
   -svrha:  Prikaz i Web shop manjeg broja važnijih artikala
Osnova desnog side bara su html blokovi koje se nižu jedan za drugim, prema odabarnom redosljedu 
a sastoje se od tabela sa slikama, izbornika, podizbornika, skupina slika,videa,pdf... 

Desni side bar je dizajniran od proizvoljnog broja tabela  koje se sastoje od proizvoljnog broja redova i kolona.
Čelija sadrži sliku proizvoda, naziv proizvoda, opis proizvoda cijene (rabate popuste).   
U čeliji može biti reklama koja je u matičnu tabelu roba prijavljena kao reklama).

Najčešći dizajn desnog side bara:
 1. Prva tabela može biti npr. slide šou proizvoda ili grupa proizvoda ili reklame ("vlakić" slika(npr.(1x5)), automatska izmjena slike svakih npr. 2 sekunde(1x1), 
    korisnička izmjena slika(1x1) npr. sa > <     (to su opći proizvodi i reklame, obavjesti) 
    stavkaIzborina je u tom slučaju: Izvan izbornika na vrhu ili Izvan izbornika na dnu
  
 2. može biti horizontalni izbornik npr.                       Posebna ponuda  Akcija  Novo u pundi  Rasprodaja Posebni popusti 
    ali može i bez izbornika( stavkaIzbornika = '')
   sljede tabele vezane uz gornji izbornik
   2b. zatim može biti tabela  slike proizvoda nazivi opisi cijene s mogućnošću umetanja u narudžbu(košaricu)
    Npr.  sljedi 4 reda sa po dvije slike u redu bicikli.
          20 redova sa po 4 kolone u redu
    Dakle jedna tabela može imati redove sa različitim brojem kolona.
 
     i   li može biti npr. jedna tabela samo sa biciklima   4 x 2
           a sljedeča dijelovi sa 20x4 

 Tabela može imati naslov.
 Tabele se prikazuju redosljedom: redniBrojTabele     
*/

nazivBloka CHAR(30) DEFAULT '', /* npr. prazno, Posebna ponuda, Novo u ponudi, Akcija, Rasprodaja, Posebni popusti, Najprodavaniji artikli  */
   /* ili proizvoljni naziv izbornika) */
verzijaBloka CHAR(30) DEFAULT '', /* ako jedan modul ima više verzija, 3 slide šoa npr. prvi sportski bicikli(Sportski Bicikli),
 drugi dječji bicikli(Dječji bicikli) treći Kacige */  
kodRobe        VARCHAR(16)      NOT NULL, /* kod robe, usluge ili reklame koji je uključen u modul*/
  redosljedBloka INT(2) DEFAULT 1, /* npr. Posebna ponuda - 1,  Novo u ponudi - 2, Akcija - 3  itd, ako svi imaju broj 1 ili neki drugi isti broj
onda se poredaju po abecedi npr. Akcija Novo u ponudi Poseba ponuda */  
  vidljivNazivRobe CHAR(1) DEFAULT 'D',
  vidljivOpisRobe  CHAR(1) DEFAULT 'D',
  vidljivaSlikaRobe CHAR(1) DEFAULT 'D',
  vidljivaVPC CHAR(1) DEFAULT 'N',
  vidljivaMPC CHAR(1) DEFAULT 'D',
  vidljivRabatPopust CHAR(1) DEFAULT 'D',
  vidljivaPreporucenaMPC CHAR(1) DEFAULT 'N',   

  tipStavkeIzbornika VARCHAR(30) DEFAULT 'tabela', /* putujuće slike, slide show, ...  */ 

  redniBrojTabele INT default 1, /* ako npr. unutar posebna ponuda ima više tabela koje se odvajaju i imaju posebni naziv: npr. BICIKLI, Akumulatori */
  nazivTabele VARCHAR(100) default '', /* ako je popunjen pojavljuje se u naslovu tabele */
  debljinaOkviraTabele DECIMAL(5,2) DEFAULT 0, /* u pixelima   debljina i naziv tabele mogu biti popunjeni samo jednom*/
 
  skupinaSlika VARCHAR(30) DEFAULT '', /* skupina slika unutar iste tabele
  npr. bicikli,  dijelovi, akumulatori, bicikli spring, ili kod robne grupe 0201, A, B, C ili 1,2,3,4 ili 1gume, 2bicikli
  Na početnoj Home stranici slike su grupirane po skupinama slika ako je ova rubrika popunjena  , pri tome redniBrojZaKodRobe može za svaku skupinaSlika početi od 1 ali ne mora */ 

  redniBrojZaKodRobe INT DEFAULT 1,   /* redni broj stavke unutar tabele može biti da za svaku tabelu počne od 1 ili počne od 1 i dalje se povećava neovisno o tabeli */

/* sort u prikazu za svaku stavkaIzbornika:  redniBrojTabele skupinaSlika redniBrojZaKodRobe */

 brojSlikaUredu int default 3, /* broj slika u jednom redu (horizontalno) npr. skupinaSlika bicikli ima 2 slike(veće slike) u redu a npr. dijelovi 4
unutra iste skupine  slika neke mogu biti npr. 3 u redu, a neke npr. 2 u redu */

  datumOtvaranja    DATETIME NOT NULL,   
  datumIzmjene      DATETIME DEFAULT NULL,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (nazivBloka,verzijaBloka,nazivPodBloka,kodRobe)
) DEFAULT CHARSET=utf8;

CREATE TABLE stanja (
  proda             VARCHAR(5)       NOT NULL,
  kodRobe           VARCHAR(16)      NOT NULL,    
  vrstaProdaje      CHAR(1)       NOT NULL,
  cijena            DECIMAL(11,3)  NOT NULL, 
  stanje            DECIMAL(11,3)  NOT NULL,
   vrsDoPu     VARCHAR(2) DEFAULT NULL,
   proInPu     VARCHAR(5) DEFAULT NULL,
   zapisPu     VARCHAR(2) DEFAULT NULL,
   broDoPu     INT        DEFAULT NULL,
   verziPu     VARCHAR(3) DEFAULT NULL,
   datumPu     DATETIME   DEFAULT NULL, 
   rabatPu     DECIMAL(11,3) DEFAULT NULL,
   absRabatPu  CHAR(1)    DEFAULT NULL,
   marzaPu     DECIMAL(11,3) DEFAULT NULL,
   absMarzaPu  CHAR(1) DEFAULT NULL,
   zavisniTroskoviPu    DECIMAL(11,3) DEFAULT NULL,
   absZavisniTroskoviPu CHAR(1) DEFAULT NULL,
   nabavnaCijenaPu      DECIMAL(11,3) DEFAULT NULL,
   kodPartneraPu        VARCHAR(13) DEFAULT NULL,
   vrsDoPi           VARCHAR(2) DEFAULT NULL,
   proInPi           VARCHAR(5) DEFAULT NULL,
   zapisPi           VARCHAR(2) DEFAULT NULL,
   broDoPi           INT DEFAULT NULL,
   verziPi           VARCHAR(3) DEFAULT NULL,
   datumPi           DATETIME DEFAULT NULL,
   rabatPopustPi     DECIMAL(11,3) DEFAULT NULL, 
   absRabatPopustPi  CHAR(1) DEFAULT NULL,
  datumInventure    DATETIME DEFAULT NULL,
  kolicinaInventure DECIMAL(11,3)  DEFAULT 0,   
  brojInvStavke     INT DEFAULT 0,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT NULL,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",   
  PRIMARY KEY (proda, kodRobe, vrstaProdaje, cijena), 
  INDEX poRobi (kodRobe, proda, vrstaProdaje) 
  ) DEFAULT CHARSET=utf8;

CREATE TABLE poslovnice (
  kodPoslovnice varchar(5) NOT NULL,
  vrstaPoslovnice char(1) NOT NULL DEFAULT '0',
  nazivPoslovnice varchar(60) NOT NULL,
  mjestoSjedista varchar(60) NOT NULL,
  ulicaBroj varchar(60) NOT NULL,
  posPretinac varchar(10) DEFAULT ' ',
  mjestoPoste varchar(60) NOT NULL,
  brojPoste varchar(10) NOT NULL,
  punkt varchar(20) DEFAULT NULL,
  sifraOpcine int(11) DEFAULT '0',
  sifraZupanije int(11) DEFAULT '0',
  pokrajina varchar(50) DEFAULT ' ',
  zemlja int(11) DEFAULT '385',
  maticniBroj varchar(13) DEFAULT ' ',
  OIB varchar(11) DEFAULT ' ',
  telefoni text NOT NULL,
  fax varchar(34) DEFAULT ' ',
  brojBankRacuna varchar(60) DEFAULT ' ',
  vrstaRacuna char(2) DEFAULT NULL,
  izborKodaPartnera varchar(1) DEFAULT 'R',
  pocetniKodPartnera int(11) DEFAULT '0',
  autoIzborCijena char(1) NOT NULL DEFAULT 'N',
  kojeCijeneZaIzlaze char(1) NOT NULL DEFAULT 'M',
  negativnaStanja char(1) NOT NULL DEFAULT 'D', /* N - nisu dozvoljena, program neda knjižiti, D -dozvoljena, U -upozorenje da bi bilo negativno stanje koje se može ili ne mora prihvatiti */
  cijenePoUlazima tinyint(1) NOT NULL DEFAULT '0',
  brisanjeDokumenata char(1) NOT NULL DEFAULT 'D',
  daniUnazadDostavnice int(11) DEFAULT '0',
  daniUnazadPrimke int(11) DEFAULT '0',
  daniUnazadGKSK int(11) DEFAULT '0',
  daniUnazadOstaliDok int(11) DEFAULT '0',
  daniStornoParagonci int(11) DEFAULT '0',
  sortRobe CHAR(20) DEFAULT 'nazivRobe', 
  VPUCjeniku CHAR(1) DEFAULT '',
  stanjaRobe CHAR(20) DEFAULT '',
  sortPartnera CHAR(20) DEFAULT 'nazivPartnera',      
  emailAddress varchar(255) NOT NULL DEFAULT ' ',
  www varchar(20) DEFAULT ' ',
  datumInventure datetime DEFAULT NULL,
  iznosInvBezPDV decimal(11,2) DEFAULT NULL,
  iznosInvSaPDV decimal(11,2) DEFAULT NULL,
  radnoVrijeme varchar(50) DEFAULT NULL,
  pocetakPrimjeneRv date DEFAULT NULL,
  cjenikZaKupce CHAR(2) DEFAULT 'Ne',
  godineZaDVO char(10) DEFAULT 'sve',
  godineZaDVOKnj char(10) DEFAULT 'sve', 
  nacinObracunaBrutoPlace varchar(20) default 'Ne', /* izBruto (iz bruto plaće(bodovi) iz tabele matični podaci o radnicima), brutoIzStaza (bruto plaća se izračunava iz staža 
  izBruto=bodovi+stimulacija+prekovremeni, brutoIzStaza po formuli za staž + stimulacija + prekovremeni... */
  datumOtvaranja datetime DEFAULT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (kodPoslovnice)
) DEFAULT CHARSET=utf8;
-- kodPoslovnice: 0 je obavezno i mora postojati(to su generalije za firmu)
-- a dalje idu pojedini kodovi za pojedine poslovnice npr. 1, 2, 201, 202A, 202P

-- telefoni  text-area polje puni se telefonima i poslovnim računima banaka i nazivima banaka
-- kod koda poslvnice 0(firma) ovo polje ne smije biti prazno(barem poslovni račun mora biti unešen)
-- (ako firma ima više banaka). Kod printanja računa-fakture ti podaci se printaju
-- u zaglavlju fakture a uzimaju se sa kodPoslovnice == 0
-- kod printanja otpremnice-dostavnice uzimaju se podaci iz poslovnice (kodPoslovnice <> 0)
-- pri red na poslovnici (kodPoslovnice <> 0) puni se brojevima telefona koji se uzima kod paragonaca

-- brojBankRacuna  glavni poslovni račun ako firma ima više računa(može biti prazno).    
 
-- vrstaPoslovnice  0-veleprodaja, 1 -maloprodaja, 2-repromaterijal, 3-usluge, 4-gotovi proizvodi 
-- vrstaPoslovnice za firmu(kodPoslovnice = 0) se stavlja ono što je dominantno(npr. maloprodaja 1 ili veleprodaja 0)
-- izborKodaPartnera R-ručno, A-automatski
-- pocetniKodPartnera  kod automatskog biranja sifri ako je > 0 trazi prvu slobodnu sifru koja je >= tom broju
-- mogu se dobro popuniti rupe u sifarniku partnera 

--  autoIzborCijena(odnosi se samo za izlaze robe) N ili D (ako je N program svejedno nudi cijenu,ali ju korisnik mže promjeniti)
-- ako je D korisnik ne može mjenjati cijenu kod izlaza robe.

-- kojeCijeneZaIzlaze M cijene se vade iz tabele maticna_robe, S cijene se vade iz tabele stanja 

-- negativnaStanja D ili N  dozvola negativnih stanja (kontrola kod izlaza robe)

-- cijenePoUlazima  odnosi se na cijene u maticna_robe(cijene su bezPDV-a na 3 decimale) 
--  0 - cijena zadnjeg ulaza == važeća cijena(u tabeli maticna_robe uvijek se postavlja cijena zadnje knjiženog ulaza) 
--  1 - ovisno o cijeni ulaza: ako je cijena ulaza veća od postojeće u maticna_robe postavlja se ta veća cijena inače ne.
--  2 - ulazne cijene nemaju utjecaja na cijenu u maticna_robe   
              
-- brisanjeDokumenata D ili N  (izuzetak su dokumenti koji se fiskaliziraju oni se ne mogu brisati)
-- daniUnazad  koliko dana unazad može biti DVO od tekućeg datuma (0 nema ograničenja) 
-- daniUnazadGKSK za salda konte i Glavnu knjigu samo na firmi(kodPoslvnice == 0) se gleda

-- daniStornoParagonci ako je 0 nema ograničenja za storno. Npr. ako je 8 znači da se
-- ne mogu stornirati  paragonci sa DVO starijim od 8 dana
-- punkt, šifra općine,županije,pokrajine,zemlje ->neobavezno punjenje
-- godineZaDVO   sve,tekuca,zakljucano   ovo za poslovnice na robnom (na nuli nije bitno disablirano je na ekranu)
-- godineZaDVOKnj sve,tekuca,zakljucano    za kknjigovodstvo se gleda na nuli 0, a ostale poslovnice su disablirane i nemaju ulogu

CREATE TABLE adrese (
  kodPartnera        VARCHAR(13) NOT NULL,
  mjestoSjedista     VARCHAR(60) NOT NULL,
  ulicaBroj          VARCHAR(60) NOT NULL,
  posPretinac        VARCHAR(10) DEFAULT " ", 
  mjestoPoste        VARCHAR(60) NOT NULL,
  brojPoste          VARCHAR(10) NOT NULL,
  sifraOpcine        INT DEFAULT 0,
  sifraZupanije      INT DEFAULT 0, 
  pokrajina          VARCHAR(50) DEFAULT " ",      
  zemlja             INT DEFAULT 385,
  telefoni           VARCHAR(50) DEFAULT " ",   
  opis               TEXT   NOT NULL,  
  datumOtvaranja     DATETIME NOT NULL,
  datumIzmjene       DATETIME DEFAULT 0,
  tkoJeIzmjenio      VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (kodPartnera)
  ) DEFAULT CHARSET=utf8;
  
CREATE TABLE administrators (
  kodAdmin          INT            NOT NULL   AUTO_INCREMENT,
  email             VARCHAR(255)   NOT NULL,
  lozinka           VARCHAR(255)   NOT NULL,
  firma             VARCHAR(50)    NOT NULL,
  ime               VARCHAR(255)   NOT NULL,
  prezime           VARCHAR(255)   NOT NULL,
  OIB               VARCHAR(13) DEFAULT NULL,
  skracenica        VARCHAR(12)    NOT NULL,
  prioritet         TINYINT(1) NOT NULL DEFAULT 6,
  bazeZaKorisnika    VARCHAR(255) DEFAULT NULL,
  punkt             VARCHAR(20) DEFAULT NULL,
  poslovnicePunkta   VARCHAR(255) DEFAULT NULL,
  lokacijeRada       VARCHAR(20) DEFAULT NULL,
  dozvolaKnjizenjaDok VARCHAR(40) DEFAULT NULL,
  vidljiviDokumenti VARCHAR(40) DEFAULT NULL,
  vidljiviPodaciPrimke VARCHAR(20) DEFAULT NULL,
  dozvolaZakljucavanja CHAR(1) DEFAULT 'D',
  dozvoljeniDaniRada VARCHAR(20) DEFAULT NULL,
  dozvoljenoVrijemeRadaOd VARCHAR(20) DEFAULT NULL,
  dozvoljenoVrijemeRadaDo VARCHAR(20) DEFAULT NULL,
  ulazakUknjigovodstvo VARCHAR(20) DEFAULT NULL,
  radSaObracunomPlaca  CHAR(1) DEFAULT 'N',  /* Ne - aplikacija je nevidljiva za korisnika(N), Da - korisnik može raditi s aplikacijom(D) */  
  tMaticnaRadnika VARCHAR(20) DEFAULT NULL, 
  tRadnoVrijeme VARCHAR(20) DEFAULT NULL,
  kodPartnera         VARCHAR(13) DEFAULT NULL,
   vidljiviStatusiRobe VARCHAR(10) DEFAULT ' ',
   vidljivoStanjeNula CHAR(1) DEFAULT 'D',
   vidljivaCijenaRabat VARCHAR(15) DEFAULT ' ',
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT NULL,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (kodAdmin),
  UNIQUE INDEX email (email) 
) DEFAULT CHARSET=utf8;
-- prioritet  
-- 0 do 3 administratori baze programeri, 4 do 9 korisnici,4 glavni administrator kod korisnika, 5 administratori korisnici, 6 prodavači 
-- najviši prioritet 0, najnizi 9, visi prioritet moze vidjeti nize i mjenjati ih
-- isti prioritet može vidjeti i druge iste prioritete ali ih ne moze mjenjati(samo sebe moze mjenjati)
-- samo viši prioritet moze mjenjati nize 
-- pocetno otvaranje sa pocetnom lozinkom za korisnike mogu samo prioriteti 0 - 4
-- a ostali mogu nakon toga promjeniti samo svoju lozinku kada upadnu s tom pocetnom lozinkom 
-- bazeZaKorisnika    
-- baze korisnika s kojima korisnik moze raditi npr. panex_robno_AGM,panex_OD_AGM,murskiga_robno_din
-- prva baza se defaultno otvara a ostale se otvaraju iz menija prve
-- prioriteti 0-4 mogu sve baze otvoriti NULL a 5-9 samo navedene 
-- punkt npr. 11             
-- punkt na kojem korisnik može raditi, za sada informativno 
-- 
-- poslovnicePunkta 0-4 prioritet  može sve, a 5-9 prioritet samo navedene npr. 209,209A,2091 prva je defaultna kod otvaranja dokumenta 
--   ako je 0 ili prazno     onda može sve poslovnice raditi
--   0,209  može sve raditi a defaultna je 209
-- prioritet 4 glavni administrator u firmi (korisnik)
-- skracenica kod knjiženja se automatski uzima ime i prezime 
-- prioritet 6 mogu knjižiti odeđređene prodavaone i gledati u cjeniku stanja svih prodavaona  
-- prioritet 7 mogu knjižiti i gledati u cjeniku samo svoje prodavane
-- prioritet > 7 mogu u cjeniku gledati samo dozvoljene prodavaonice i ne mogu knjižiti
-- prioritet 9 vanjski korsnik(može raditi samo naruđbe, gledati cjenik i eventualno otvorene stavke)
--
-- Vidljivost i izmjenu donjih polja ima samo prioritet < 5 (glavni-odgovorni administrator korisnika(4) i programeri)
-- lokacijaRada ako je NULL ili prazno ima mogućnost rada sa svih uređaja i lokacija
--              a  sve ostalo samo s prijavljenih uređaja. 
-- dozvolaKnjiženjaDok (Unos,Izmjena,Brisanje)- za dokumente(NULL ili space) defaultno se mogu knjižiti svi dokumenti, 
--                  npr. dozvola knjiženja samo zapisnika i primki  3,1  (navedu se šifre vrste dokumenata koji se mogu knjižiti)
--                  Ne  -nema dozvole knjiženja nikakvih dokumenata
-- vidljiviDokumenti default NULL ili space vidljivi svi dokumenti,
--                   npr, 5,N,P korisnik može vidjeti samo dostavnice, Narudžbe i Predračune
--                   Ne - korisnik ne može vidjeti niti jedan dokument 
-- vidljiviPodaciPrimke  neograničena vidljivost (NULL ili space) default NULL
--               ograničena vidljivost (ne vidi marže, nabavnu cijenu i rabat)
--               npr. M,N,R     sva ostala punjenja koja nisu NULL ili space)
-- dozvolaZakljucavanja dozvola zakljućavanja i otključavanja dokumenata(D/N)  D defaultno
-- dozvoljeniDaniRada - NULL ili space neograničeno inače npr, Po,Ut,Sr,Če,Pe
-- dozvoljenoVrijemeRadaOd  - NULL ili space neograničeno inače npr.  07:30
-- dozvoljenoVrijemeRadaDo - NULL ili space neograničeno inače npr. 15:30
-- ulazakUknjigovodstvo - NULL ili space neograničeno default
--                      - npr. O,K    pregled samo otvorenih stavki i kartica
--                      - Ne  -nema pristupa(na meniju se ne ponudi)
-- tMaticnaRadnika - tabela maticna_radnika - NULL ili space nema ograničenja (default)
--                                    - Ne - nema pristupa(na meniju se ne ponudi)
--                                    - P samo prikaz-pregled(bez mogućnosti izmjene)
--                                    - Punkt - korisnik može mjenjati podatke svih radnika dotičnog punkta
-- sve ovo odnosi se i na tabelu blagdani_praznici

-- tRadnoVrijeme - tabela radno_vrijeme - NULL ili space nema ograničenja (default)
--                                    - Ne - nema pristupa(na meniju se ne ponudi)
--                                    - P samo prikaz-pregled(bez mogućnosti izmjene)
--                                    - Samo svoje - korisnik može mjenjati samo svoje podatke(gleda se prema OIB-u u maticna_radnika i admnistrators)
--                                    - Punkt - korisnik može mjenjati podatke svih radnika dotičnog punkta
-- dozvoljenPristupIz  ?- HR defaultno dozvoljen pristup IP adresama iz Hrvatske, NULL ili space dozvoljen pristup od bilo kuda
--                        ovo polje staviti u parametre a ne u administrators ?
-- polje kodPartnera popunjava se kod prioriteta 9 sa šifrom kupca-firme(kod b2b partnera). Taj se kod defaultno prenosi na naruđbe,preglede dokumenata
--         otvorene stavke,kartice, promete po robi - na sve programe gdje se koristi kodPartnera i za te kupce to je jedina mogućnost
--         (ne smiju vidjeti ili raditi sa drugim kodovima partnera osim sa svojim)
-- polje punkt ima ulogu kod b2b korisnika koji imaju više korisnika u istoj firmi.
--       ako je ovo polje prazno b2b korisnik može vidjeti sve naružbe i mjenjati kod drugih b2b korisnika koji imaju isti kodPartnera
--       ako je popunjeno onda taj b2b korisnik može vidjeti(mjenjati,nadopunjavati) naruđbe svoje i eventualno drugih korisnika
--       koji imaju isti kodPartnera i punkt
--   Primjeri  kodPartnera=2  (dinamic)
--       B2B korisnik koji polje punkt ima nepopunjeno(prazno) može vidjeti-mjenjati sve naruđbe za korisnike sa kodPartnera=2
--       trgovac iz nekog dućana može ima oznaku punkta                   npr. Nedelišće-207
--       drugi trgovac također može imati oznaku punkta                        Nedelišće-207
--       u ovom slučaju oba trgovca mogu vidjeti, mjenjati naruđbe koje su kreirali korisnici koji imaju isti punkt
--       trgovac u  dućanu u Zagrebu ima    oznaku punkta                      Zagreb-206
--       trgovci iz punkta Nedelišće-207 ne vide naruđbe trgovaca iz Zagreb-206 i obrnuto      
 
-- vidljiviStatusiRobe VARCHAR(10) DEFAULT ' '  prazno, 0, (0,1,2,D) 
-- vidljivoStanjeNula CHAR(1) DEFAULT 'D'   prazno, D, N    (prazno sve vidljivo)
-- vidljivaCijenaRabat VARCHAR(15) DEFAULT ' ' prazno sve vidljive, bezRabata

CREATE TABLE dok_zag (
 proda VARCHAR(5)   NOT NULL,  
 vrsDo VARCHAR(2)   NOT NULL,
 proIn VARCHAR(5)   NOT NULL,  
 zapis VARCHAR(2)   NOT NULL,
 broDo INT(11)      NOT NULL,
 verzi VARCHAR(3)   NOT NULL,
  kodPartnera         VARCHAR(13) DEFAULT " ",
  DVO                 DATETIME    NOT NULL,
  valuta              DATETIME    DEFAULT NULL, 
   daniOdgodePl       INT DEFAULT 0,
   nacinPlacanja     CHAR(1) DEFAULT " ", 
  datumZakljucavanja DATETIME    DEFAULT NULL,
  datumRacuna        DATETIME    DEFAULT NULL,  
  datumNarudzbe      DATETIME    DEFAULT NULL,
  brojNarudzbe       VARCHAR(30) DEFAULT NULL,
  PDVstatus          CHAR(1) DEFAULT " ",
  casasSconto        DECIMAL(11,3)  DEFAULT NULL,
  ispisCasasSconto   VARCHAR(20) DEFAULT '',  /* prazno casassconto, Marketing rabat, Dodatni rabat, Rabat za prijevoz */ 
   absCasasSconto    CHAR(1) DEFAULT " ",
   daniZaCasasSconto  INT DEFAULT 0,
  refProd            VARCHAR(13) NOT NULL,
  komercijalista     VARCHAR(13) DEFAULT NULL,
  komentar  TEXT     DEFAULT NULL, 
  kasa               TINYINT DEFAULT NULL,
  novac              DECIMAL(11,2)  DEFAULT NULL,
  povrat             DECIMAL(11,2)  DEFAULT NULL,
  iznosKartice       DECIMAL(11,2)  DEFAULT NULL,
  vrstaKartice       VARCHAR(20) DEFAULT NULL,
  brojRata           DECIMAL(3,0) DEFAULT 0, 
  iznosTransRacun    DECIMAL(11,2) DEFAULT 0,
  kodPoslovniceMp    VARCHAR(5) DEFAULT NULL,
  zastitniKod        VARCHAR(32) DEFAULT NULL,
  JIR                VARCHAR(36) DEFAULT NULL,
  datumIvrijemeJIR   DATETIME    DEFAULT NULL,
  rucniParagonac     VARCHAR(20) DEFAULT NULL, 
  stranaValuta       VARCHAR(3) DEFAULT NULL, /* koristi se kod predračuna, ponuda, narudžbi i kod dostavnica PDVstatus C i D */
  iznosUstranojValuti DECIMAL(11,2)  DEFAULT NULL,
 /* kod dostavnica izvoz dobara i usluga u EU (pdvStatus C,D,I) prenosi se kod knjiženja dostavnica u kjnigovodsvo(raster) u opis knjiženja kao 'iznosUstranojValuti, stranaValuta'
  VAŽNO! ako je iznos u stranoj valuti popunjen, cijene na 5 i 5U su u kunama i zato se nikad ne puni iznosUstranojValuti ako su cijene npr. u EUR-ima */
  zasticeniDokument  VARCHAR(2) DEFAULT NULL,
  privremeniDokument VARCHAR(2) DEFAULT NULL, 
  zavrsen            VARCHAR(2) DEFAULT NULL, 
  predujam           VARCHAR(2) DEFAULT "Ne", /* ako se radi o predujmu popunjeno je sa Da inače Ne kod Predračuna(P,PR i faktura općih(5U) se samo koristi */
  prodaVezni         VARCHAR(5) DEFAULT NULL,
  vrsDoVezni         VARCHAR(2) DEFAULT NULL,
  proInVezni         VARCHAR(5) DEFAULT NULL,
  zapisVezni         VARCHAR(2) DEFAULT NULL, 
  broDoVezni         INT(11) DEFAULT 0,
  verziVezni         VARCHAR(3) DEFAULT NULL,   
  b2bPoslovnica      VARCHAR(5) DEFAULT NULL,
  datumOtvaranja     DATETIME NOT NULL,
  datumIzmjene       DATETIME DEFAULT NULL,
  tkoJeIzmjenio      VARCHAR(40) DEFAULT " ", 
  tkoJeKreirao VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (proda, vrsDo, proIn, zapis, broDo, verzi), 
  INDEX kodPartnera (kodPartnera),
  INDEX poRefProd (proda, vrsDo, refProd)
) DEFAULT CHARSET=utf8;
/* zasticeniDokument  VARCHAR(2) DEFAULT NULL, 
   - space ili NULL normalni nezaštičeni dokument
   -  Da  zaštićeni dokument mogu unašati, brisati i mjenjati samo prioriteti < 5
       Ako je na primjer zaštićena primka i u administrators je polje "Polja primke koja se ne vide: M,N,R"
        u tom slučaju korisnici sa prioritetom > 4 ne mogu vidjeti polja Marža,Nabavna cijena,Rabat
        (ta polja se za te korisnike postave na 0) a ostala polja primke mogu vidjeti.
   privremeniDokument VARCHAR(2) DEFAULT NULL, 
    - space ili NULL normalni redovni dokument
    - Da privremeni dokument Privremeni dokumenti se knjiže na stanje ali ne knjiže se u knjigovodstvo
      na rastere, a u knjigu popisa idu opcionalno -> Privremeni dokumenti uključeni(defaultno Ne) 
                    
                               Slučaj parametar knjizenjeStavkeOdmah_skracenicaFirme = 'Da'
12.11.2015 uvođenja knjiženja stavki odmah u dok_stavke(dok_zag) $_SESSION['knjizenjeStavkeOdmah'] ako je ovaj parametar za firmu postavljen na Da
  ĆIM SE PRVA STAVKA PROKNJIŽI U CART odmah se proknjiži u dok_zag(zauzme se broj i polje zavrsen SE POSTAVI NA Ne) i u dok_stavke, 
sljedeće se knjiže u dok_stavke jedna po jedna.
  dokument je proknjižen konačno kada se potvrdi konačno knjiženje (polje zavrsen u dok_zag). Dokument sa zavrsen=Ne može ostati
 i više dana. Program po korisnicima prati stanje završenih(nezavršenih) dokumenata, i kada npr. korisnik ponovo namjerava knjižiti npr. dostavnice
 (danas ili sljedećih dana a ne ukuca broj dokumenta) program ponudi na ekran nezavršenu dostavnicu po tom korisniku (gleda se polje refProd i zavrsen)
 s namjerom da se ta završi za knjiženja), pa se tek onda može ići na knjiženje sljedeće.      
Izmjene i brisanje stavki također se odmah rade iz carta u dok-stavke (jedna po jedna) s tim DA BROJ STAVKI NE SMIJE IMATI RUPE
(ako se to bude moglo izvesti)
   zavrsen            VARCHAR(2) DEFAULT NULL, 
 1.   - space ili NULL normalni završen dokument u slučaju da je parametar knjizenjeStavkeOdmah_(skracenicaFirme) = 'Ne' ili ne postoji
  
 2.   - 'Ne' ili 'Da' nezavršen ili završen dokument (moguće samo ako je $_SESSION['knjizenjeStavkeOdmah'] = 'Da') ili je parametar knjizenjeStavkeOdmah_(skracenicaFirme) = 'Da'
Tek kada se tipkom    Provedi knjiženje dokumenta    potvrdi, ažurira se dok_zag tako da se polje   zavrsen  postavi na 'Da', a to može
 biti i nakon nekoliko dana. Nezavršeni dokumenti ažuriraju stanje i svugdje su vidljivi ali ne idu u knjigovodstvo.   
 Dakle ako je polje zavrsen = space ili NULL dokument je knjižen na prvi način(klasični)
 a ako je Ne ili Da dokument je knjižen na način 2.
 
 kodPoslovniceMP  - puni se npr. kod Panex-Dinamic kod izrade primke na centralnu veleprodaju 201 a ta roba će ići npr. za maloprodaju 209
 a potom se ta primka kopira u internu fakturu sa 201 na 209 (ovo bi trebalo služiti za povezivanje kod izračunavanje stvarne RC za prodanu robu u 209.
*/

CREATE TABLE dok_stavke (
  proda varchar(5) NOT NULL,
  vrsDo varchar(2) NOT NULL,
  proIn varchar(5) NOT NULL,
  zapis varchar(2) NOT NULL,
  broDo int(11) NOT NULL,
  verzi varchar(3) NOT NULL,
  brojStavke int(11) NOT NULL,
  kodRobe varchar(16) NOT NULL,
  vrstaProdaje char(1) DEFAULT '0',
  cijena decimal(11,3) NOT NULL,
  cijenaZaIntFak decimal(11,3)  DEFAULT 0,
  kolicina decimal(11,3) NOT NULL,
  zeljenaKolicina decimal(11,3) DEFAULT 0,
  rabatPopust decimal(11,3)  DEFAULT 0,
  absRabatPopust char(1) DEFAULT '',
  rabatPopustNaKol decimal(11,3)  DEFAULT 0,
  absRabatPopustNaKol char(1) DEFAULT '',
  poreznaGrupa varchar(2) NOT NULL DEFAULT 'A',
  PDV decimal(6,3) NOT NULL,
  ukalkuliraniPDV decimal(6,3)  DEFAULT 0,
  povratnaNaknada decimal(4,2) DEFAULT '0.00',
  nabavnaCijena decimal(11,3)  DEFAULT 0,
  marza decimal(11,3)  DEFAULT 0,
  absMarza varchar(1) DEFAULT ' ',
  zavisniTroskovi decimal(11,3)  DEFAULT 0,
  absZavTr varchar(1) DEFAULT ' ',
  DVO datetime NOT NULL,
  vezniDokument varchar(20) DEFAULT NULL,
  oznakaCjenika varchar(13) DEFAULT NULL,
  tekst varchar(100) DEFAULT NULL,
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (proda,vrsDo,proIn,zapis,broDo,verzi,brojStavke),
  KEY kartica (proda,kodRobe,DVO)
) DEFAULT CHARSET=utf8;
-- zeljenaKolicina ima ulogu kod B2B korisnika (prioritet 9) na sljedeći način:
-- B2B korisnik počinje raditi narudžbu (bez skidanja stanja vrsDo = 'N') i unaša željene količine
-- za jednog B2B korisnika istovremeno može postojati samo jedna N narudžba i to je uvijek nezavršena)
-- kada završava tu narudžbu ona se pretvara u naruđbu s (vrsDo = 'NS' - narudžba koja skida stanje)
-- kod koje se prenose količine iz narudžbe N u kolonu zeljenaKolicina u narudžbi NS, a kolona kolicina puni se sa stvarno mogućim količinama 
-- treba se voditi računa da je max moguća količina stvarna - minimalne zalihe za B2B
-- prema dostupnom stanju u trenutku završavanja narudžbe N, narudžba N se briše, a NS zauzima prvi sljedeći broj za NS.    
-- Operateri u firmi toga ili sljedećih dana pregledavaju pristigle NS narudžbe(skinuto), eventualno mjenjaju polje kolicina na NS, 
-- i konačno iz narudžbe narudžbe NS se radi faktura(dostavnica), a narudžba NS se ponovo pretvara u narudžbu N(ne skida stanje jer je stanje
-- skinuto po dostavnici) ali po brojem NS narudžbe i verzijom 'R'(realizirano ako su SVE željene količine isporučene) ili 'DR'
-- (djelomično realizirano ako jedna ili više isporučenih stavki nisu jenake željenoj količini). Oznaka verzije u ovom slučaju je potrebna i radi
-- toga da se izbjegnu sudari brojeva N naruđbi. Kod pretvorbe NS narudžbe u dostavnicu i N narudžbu, u dok_zag se ažuriraju prodaVezni,vrsDoVezni,
-- proInVezni, broDoVezni, verziVezni, zapisVezni. B2B korisnik vidi N narudžbe kao eventualno jednu moguću nezavršenu narudžbu i realizirane narudžbe
-- (verzije R ili DR) koje su vezane uz dostavnice, te NS naruđbe(skinuto rezervirano stanje) koje su u fazi čekanja da se navedena roba isporuči
-- preko dostavnice. Kod prikaza NS naruđbi i N narudžbi(verzija DR) prikazuje se pod stavke i polje zeljenaKolicina koja može biti crvene boje  
-- u slučaju da stvarno isporučena količina i željena količina nisu iste)    
CREATE TABLE punktovi (
 punkt  VARCHAR(20)   NOT NULL,
 proda  VARCHAR(5)    NOT NULL,
  prioritetnaProdavaona VARCHAR(1) DEFAULT "N",
  nazivPunkta    VARCHAR(50)  NOT NULL,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (punkt,proda)
) DEFAULT CHARSET=utf8;

CREATE TABLE vrste_dokumenata (
 vrsDo           VARCHAR(2)   NOT NULL,
  nazivDokumenta  VARCHAR(50)  NOT NULL,
  tipDokumenta    VARCHAR(2) DEFAULT "R",
  oznakaDokumenta VARCHAR(3) DEFAULT NULL,
  azurStanja  INT(10) DEFAULT 0,
  brojTemeljnice INT(11) DEFAULT 0,
  fiskalizacija char(2) DEFAULT 'Ne' ,
  datumOtvaranja    DATETIME DEFAULT NULL,
  datumIzmjene      DATETIME DEFAULT NULL,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT NULL, 
  PRIMARY KEY (vrsDo)
) DEFAULT CHARSET=utf8;
-- tip dokumenta, R robno, NR(ne knjiži robno Predračuni, Ponude,Fakture usluge),
-- SK salda konto dokumenti

CREATE TABLE tarifni_brojevi (
  tarifniBroj CHAR(16)   NOT NULL,
  nazivTarifnogBroja  VARCHAR(100)  NOT NULL,
  datumOtvaranja    DATETIME DEFAULT NULL,
  datumIzmjene      DATETIME DEFAULT NULL,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT NULL, 
  PRIMARY KEY (tarifniBroj)
) DEFAULT CHARSET=utf8;

CREATE TABLE porezi (
  poreznaGrupa varchar(2) NOT NULL,
  PDV decimal(6,3) NOT NULL,
  osnovnaStopa tinyint(1) NOT NULL DEFAULT '0',
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (poreznaGrupa)
) DEFAULT CHARSET=utf8;

CREATE TABLE k_c (
proda VARCHAR(5)   NOT NULL, 
 vrsDo VARCHAR(2)   NOT NULL,
 proIn VARCHAR(5)   NOT NULL,  
 zapis VARCHAR(2)   NOT NULL,
 broDo INT          NOT NULL,
 verzi VARCHAR(3)   NOT NULL,
 brojStavke INT     NOT NULL,
-- 
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (proda, vrsDo, proIn, zapis, broDo, verzi, brojStavke)
) DEFAULT CHARSET=utf8;
CREATE TABLE v_k_c (
 vrsKart            VARCHAR(12)   NOT NULL,
  nazivKarticeCeka VARCHAR(50)  NOT NULL,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (vrsKart)
) DEFAULT CHARSET=utf8;
-- vrste kartica,čekova

CREATE TABLE kalkulacije (
  proda varchar(5) NOT NULL,
  vrsDo varchar(2) NOT NULL,
  proIn varchar(5) NOT NULL,
  zapis varchar(2) NOT NULL,
  broDo int(11) NOT NULL,
  verzi varchar(3) NOT NULL,
  datumZakljucavanja datetime DEFAULT NULL,
  datumKalkulacije datetime DEFAULT NULL,
  brojDobavljacevogRacuna varchar(40) DEFAULT NULL,
  datumDobavljacevogRacuna datetime DEFAULT NULL,
  casasSconto decimal(11,2) DEFAULT '0.00',
  iznosZaNaplatuDobavljacu decimal(11,2) DEFAULT '0.00',
  PDVdobavljaca decimal(11,2) DEFAULT '0.00',
  nabavniIznos decimal(11,2) DEFAULT '0.00',
  marza decimal(11,2) DEFAULT '0.00',
  rabatPopust decimal(11,2) DEFAULT '0.00',
  rabatPopustNaKol decimal(11,2) DEFAULT '0.00',
  zavisniTroskovi decimal(11,2) DEFAULT '0.00',
  razlikaUCijeni decimal(11,2) DEFAULT '0.00',
  prodajniIznosBezPDV decimal(11,2) DEFAULT '0.00',
  ukalkuliraniPDV decimal(11,2) DEFAULT '0.00',
  prodajniIznosSpdv decimal(11,2) DEFAULT '0.00',
  povratnaNaknada decimal(11,2) DEFAULT '0.00',
  carineITakse decimal(11,2) DEFAULT '0.00',
  deklaracija varchar(30) DEFAULT NULL,
  EVporez decimal(11,2) NOT NULL DEFAULT '0.00',
  komentar text,
  kalkulacijuIzradio varchar(13) DEFAULT NULL,
  iznosUstranojValuti decimal(11,2) DEFAULT NULL,
  stranaValuta varchar(12) DEFAULT NULL,
  potrosniMaterijal  decimal(11,2) DEFAULT '0.00',
  trosakPakIkamata DECIMAL(11,2) DEFAULT '0',
  datumOtvaranja datetime DEFAULT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (proda,vrsDo,proIn,zapis,broDo,verzi)
) DEFAULT CHARSET=utf8;
-- kalkulacija je vezana uz primku. Ako je više primki vezano na jednu
-- kalkulaciju onda je glavna primka = ključ kalkulacije a ostale
-- su navedene o tabeli ostale_primke_po_kalkulaciji
-- DVO,valuta, kdoPartnera nacin placanja PDVstatus se vade iz primke u dok_zag
-- osnovna kontrola prodajniIznosBezPDV = suma kolicina*cijena iz dok_stavke
-- isto za nabavniIznos,marzu, rabat, zavisne troskove, casas sconto 
-- kod unosa kalkulacije progam zbroj_po_dok ponudi te izračunate kumulative iz
-- dok-stavke za kalkulaciju. 
-- tu mogu biti neke manje razlike
-- ako je više primki onda se u zbroj ukljucuju i te primke
-- potrošni materijal se ne uključuje u zalihu ali je uključen u iznos za naplatu
CREATE TABLE ostale_primke_po_kalkulaciji (
 proda VARCHAR(5)   NOT NULL, 
 vrsDo VARCHAR(2)   NOT NULL,
 proIn VARCHAR(5)   NOT NULL,  
 zapis VARCHAR(2)   NOT NULL,
 broDo INT          NOT NULL,
 verzi VARCHAR(3)   NOT NULL,
 os_proda VARCHAR(5)   NOT NULL, 
 os_vrsDo VARCHAR(2)   NOT NULL,
 os_proIn VARCHAR(5)   NOT NULL,  
 os_zapis VARCHAR(2)   NOT NULL,
 os_broDo INT          NOT NULL,
 os_verzi VARCHAR(3)   NOT NULL,
  datumOtvaranja   DATETIME NOT NULL,
  datumIzmjene     DATETIME DEFAULT NULL,
  tkoJeIzmjenio    VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (proda, vrsDo, proIn, zapis, broDo, verzi, os_proda, os_vrsDo, os_proIn, os_zapis, os_broDo, os_verzi) 
 ) DEFAULT CHARSET=utf8;
--  prvo glavna primka
--  os   ostale primke po glavnoj primki

 CREATE TABLE jedinice_mjere (
  kodJMJ varchar(16) NOT NULL,
  nazivJMJ varchar(30) NOT NULL,
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT NULL,
  PRIMARY KEY (kodJMJ)
) DEFAULT CHARSET=utf8;

CREATE TABLE posebni_cjenik (
  kodPoslovnice varchar(5) NOT NULL,
  oznakaCjenika varchar(13) NOT NULL DEFAULT ' ',
  kodPartnera varchar(13) NOT NULL DEFAULT ' ',
  kodRobe varchar(16) NOT NULL,
  vrstaProdaje char(1) NOT NULL DEFAULT '0',
  cijena decimal(11,3) NOT NULL,
  datumOtvaranja datetime DEFAULT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (kodPoslovnice,oznakaCjenika,kodPartnera,kodRobe,vrstaProdaje),
  KEY oznakaCjenika (oznakaCjenika,kodRobe,vrstaProdaje)
) DEFAULT CHARSET=utf8;
-- Posebni cjenik -> cjene robe se vade iz posebnog cjenika a ne iz maticna_robe
-- Slučaj 1 Dinamic posebne cijene za pojedine prodavaone
-- npr. prodavaona 204 ima za akumulatore posebne cijene ili za svu robu
--    sve šifre akumulatora se ubace sa svojim posebnim cjenama 
--    za svu ostalu robu koje nema u posebnom cjeniku, cijene se vade iz maticna_robe 
--    na poslovnicama je za 204 polje posebniCjenik popunjeno sa true što je znak da program vadi cijene 
--    iz posebnog cjenika za tu prodavaonu(ako ih nađe, ako ih ne nađe vadi cijene iz maticna-robe)
--    oznakaCjenika i kodPartnera su popunjeni sa jedan space(default)
--    ako je prodavaona 0 posebni cjenik se primjenjuje za cijelu firmu(sve poslovnice)
-- Slučaj 2 Chaky,PanexAgm 
--   posebni cjeniki se primjenjuju za pojedine kupce ili skupine kupaca ili posebne vste robe 
--   pr. c1 maloprodajni cjenik, c3 konsignacijski(VP=2) cjenik, c3 cjenik za Bat,Jesenović,Fiac, c5 cjenik za mercator šifra 806
--   c13  cjenik za reklamirane akumulatore i slično.
--   u ovom slučaju koristi se oznakaCjenika
--   kod Panex-Agm može postojati konsignacijski cjenik po poslovnim partnerima (vp=2)
--   ako je kodPartnera popunjen cjenik se primjenjuje samo za tog poslovnog.partnera obično kupca)
CREATE TABLE nazivi_cjenika (  
  oznakaCjenika      VARCHAR(13) DEFAULT " ",
  primjenaCjenika    CHAR(1) DEFAULT NULL,
  nazivCjenika       VARCHAR(200) DEFAULT " ",  
  datumOtvaranja     DATETIME DEFAULT NULL,
  datumIzmjene       DATETIME DEFAULT 0,
  tkoJeIzmjenio      VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (oznakaCjenika) 
 ) DEFAULT CHARSET=utf8; 
-- primjenaCjenika
-- NULL ništa posebno
-- M primjena za sve maloprodaje
-- V primjena za sve veleprodaje 

CREATE TABLE kons_stanja (
  kodPartnera       CHAR(13)       NOT NULL,
  kodRobe           CHAR(16)      NOT NULL,    
  vrstaProdaje      CHAR(1)       NOT NULL,
  cijena            DECIMAL(11,3)  NOT NULL, 
  stanje            DECIMAL(11,3)  NOT NULL,   
  datumInventure    DATETIME DEFAULT 0,
  kolicinaInventure DECIMAL(11,3)  DEFAULT 0,   
  brojInvStavke     INT DEFAULT 0,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",   
  PRIMARY KEY (kodPartnera, kodRobe, vrstaProdaje, cijena), 
  INDEX konsPoRobi (kodRobe, kodPartnera, vrstaProdaje) 
  ) DEFAULT CHARSET=utf8;
-- tabela služi za memoriranje početnih stanja konsignacijske robe po poslovnim partnerima
-- po inventuri ili po donosu
-- vrstaProdaje može biti 1 (tuđa roba na našem skladištu) ili 2(naša roba kod drugih)
-- Stanje konsignacijske robe na određeni dan po pojedinom ili svim partnerima
-- izvodi se tako da se na početno stanje (kolicinaInventure) sumiraju količine
-- iz zapisnika K1 ili K2. 
-- polje stanje dodano je radi kompatibilnosti sa tabelom stanja a eventulano
-- može poslužiti kao trenutno stanje.

CREATE TABLE zemlje (
   zemlja CHAR(3)       NOT NULL,
   zemljaC3 CHAR(3) DEFAULT NULL,
   zemljaB3 DECIMAL(3) DEFAULT NULL,
   nazivZemljeHR VARCHAR(80) NOT NULL,
   nazivZemljeEN VARCHAR(80) DEFAULT NULL,  
   oznakaValute CHAR(4) DEFAULT NULL,  
   datumOtvaranja    DATETIME NOT NULL,
   datumIzmjene      DATETIME DEFAULT 0,
   tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
   PRIMARY KEY (zemlja)     
) DEFAULT CHARSET=utf8;
/*  Prema Narodnoj banki Hrvatske
U platnom prometu s inozemstvom obvezno se primjenjuju troslovne kratice i troznamenkaste brojčane oznake za države i zemlje,
 kao i troslovne kratice i troznamenkaste brojčane oznake za novčane jedinice prema Abecednom popisu država i zemalja i njihovih oznaka i 
Popisu novčanih jedinica i drugih platnih sredstava i njihovih oznaka, koji su sastavni dio ove upute.
Navedeni popisi pripremljeni su prema normi ISO 3166 i ISO 4217 Međunarodne organizacije za normizaciju (ISO).
-Primjer HRV HR 191 Hrvatska  Croatia  HR
         SVN SI 705 Slovenija Slovenia SLO
         CHN CN 156 Kina      China    PRC    
-za internu lokalnu upotrebu(ako nije vezano uz platni promet) moglo bi se koristi npr. samo
 auto oznake koje su više udomaćene
         HR         Hrvatska
         SLO        Slovenija
         PRC        Kina   
- alfanumerička oznaka drzavaC2, brojčana oznaka drzavaB3 i autoOznakaDrzave, te nazivDrzaveEN nisu obavezni za punjenje
- nazivDrzaveHR ((naziv države na Hrvatskom) je obavezan 
*/

/*
Tablica parametri se nalazi u bazi murskiga_robno_mur 
Služi nam za pamćenje različitih paranetara vezanih za aplikaciju
Opis polja:
    nazivParametra      - upisuje se naziv parametra, npr. 'pravaFiskalizacija_agm',
    vrijednostParametra - upisuje se vrijednost tog parametra, npr. 'Da',
    opisParametra       - upisuje se opis parnera npr. 'Ukoliko je vrijednostParametra=Da provodi se prava fiskalizacija'
CREATE TABLE parametri (
  nazivParametra varchar(30) NOT NULL,
  vrijednostParametra varchar(50) NOT NULL,
  opisParametra varchar(255) DEFAULT NULL,
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT NULL,
  PRIMARY KEY (nazivParametra)
) DEFAULT CHARSET=utf8
*/
CREATE TABLE konta (
  konto CHAR(12) NOT NULL,
  nazivKonta VARCHAR(130) NOT NULL,
  vrstaKonta CHAR(1) DEFAULT 'F',
  dugPot CHAR(1) DEFAULT NULL, 
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (konto) 
) DEFAULT CHARSET=utf8;
/* vrstaKonta F knjiži se bez kodaPartnera((samo glavna knjiga GK)
              S obavezno je popunjen kodPartnera(salda konti i GK) 
   dugPot  D - konto se može knjižiti samo dugovno (npr. klasa 4 uglavnom)
           P - konto se može knjižiti samo potražno
             sve ostalo može dugovno i potražno 
*/
CREATE TABLE gk_stavke (
  brojTemeljnice INT(11) NOT NULL, 
  brojStavke INT(11) NOT NULL,
  vrsDo CHAR(2) NOT NULL,
  broDo CHAR(25) NOT NULL,
  brojIzvoda INT(11) DEFAULT NULL,
  konto CHAR(12) NOT NULL,
  kodPartnera CHAR(13) DEFAULT NULL,
  pozivNaBroj VARCHAR(26) DEFAULT NULL,
  DVO                 DATETIME    NOT NULL,
  valuta              DATETIME    DEFAULT NULL, 
  iznosDug DECIMAL(11,2) NOT NULL,
  iznosPot DECIMAL(11,2) NOT NULL,
  iznosOtv DECIMAL(11,2) NOT NULL,
  brojDobRacuna VARCHAR(40) DEFAULT NULL,
  opisKnjizenja TEXT DEFAULT NULL,
  iznosPdv DECIMAL(11,2) DEFAULT NULL,    
  vrstaRacuna CHAR(2) DEFAULT 'R1',
  PDVstatus          CHAR(1) DEFAULT " ",
  neoporezivIznos DECIMAL(11,2) DEFAULT NULL, 
  donosDug  DECIMAL(11,2) DEFAULT 0,
  donosPot  DECIMAL(11,2) DEFAULT 0,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (brojTemeljnice,brojStavke),
  KEY izvod (brojTemeljnice,brojIzvoda,brojStavke),
  KEY dokument (konto, vrsDo, broDo),
  KEY kartica  (konto, kodPartnera, DVO),
  KEY veze (konto, kodPartnera, vrsDo, broDo)
) DEFAULT CHARSET=utf8;
/*
broDo broj dokumenta
  - za virmane  140418-12 datum virmana(ggmmdd)-broj virmana unutar izvoda  KADA FIRMA IMA JEDNU BANKU OVO JE OSNOVNI OBLIK
                140418-12,  140418-12-ZB, 140418-12-PB  ako firma ima virmane od više banki ZB zagrebačka banka i sl.
                ili npr. 140418-12A, 140418-12PB,140818-12-1    i slično.
                (nenumerička oznaka poslje broja virmana je oznaka za banku,-ZB,ZB,PB,-1,A,B )
                svi virmani jedne banke knjiže se tokom godine na isti broj temeljnice
                (npr. PBZ na broj 16, zagrebačka na broj 12 ...)
               
 - za račune(robni ulazni(kalkulacije,10,12) i izlazni(dostavnice-računi(20,21), računi-usluge(20)) npr. 2302-345 ili 2302-345/A
   701-458/A/2   (A je verzija a 2 je druga rata tako se rate knjiže na salda konte)
                 a na financijska konta se knjiži 701-458/A  (cijeli račun ko da rata nema)
   (automatsko-rastersko ili ručno knjiženje)
 - za ulazne fakture obične(11) npr. U23 (isključivo ručno knjiženje)
 - za običnu temeljnicu    npr. 234
 - za interne fakture izlazne(vrsDo=65) npr. 2302-23, ulazna interna(66) na 2316 od 2302  npr. 2316-23/2302
 - zapisnici(nivelacije KN,NC,SC,PC vrsDo = 85 knjiže se automatski iz rastera) 2302-15 
  ostali zapisnici (K1,K2,OT... knjiže se preko temeljnice ručno)
Za ulazne fakture(11)obične iznosPDV-a, vrstaRacuna(R1,R2), PDVstatus(za ulaza), neoporezivIznos(neoporeziv dio računa)
Za salda-konto konte potrebna kontrola na dupli ključ KEY dokument (konto, vrsDo, broDo)(ne može se isti broj dokumenta
     unjeti na istom kontu na različitim poslovnim partnerima (vrijedi i za virmane) broj virmana je KONSTRUIRAN KAO  ggmmdd-BV), (NE samo BV) 
     BV se npr. određuje po izvodima npr. svaki izvod(jedan datum) počinje npr. s 1 ili npr. 1ZB)
Svi salda-konto konti(sa popunjenom šifrom partnera) istovremeno se kod bilance tretiraju i kao financijski konti. 
iznosDug i iznosPot mogu biti popunjeni oba istovremeno samo za finacijska knjiženja, a za salda-konto stavke
jedan od tih iznosa mora biti nula
iznosOtv početno je jednak iznosDug ili iznosPot(onome koji nije 0) (u slučaju finacijskih konta iznosOtv je nebitan) 
iznosOtv za salda-konto stavke se mijenja(obično smanjuje) ovisno o naplatama ili povezivanju.
iznosOtv za salda konto stavke je iznos trenutno otvorene stavke a dali je dugovno ili potražno ovisi o iznosDug ili iznosPot
(ako je iznosDug raličit od nule onda je dugovno, a ako je iznosPot različit od nule onda je potražno)
iznosOtv se mora slagati (i može se izvesti i eventalno ispraviti rekonstruirati) tako da se na iznosDug ili iznosPot iz tabele gk_stavke
nadograde (+ ili -) iznosi stavki po tom dokumentu koje se nađu u tabeli veze.
Sve salda konto stavke (stavke sa popunjenim kodom partnera) se istovremeno tretiraju i kao financijske stavke za financijsko knjigovodstvo.
Samo financijske stavke su one kod kojih je kodPartnera prazan. 
*/ 
CREATE TABLE veze (
  konto CHAR(12) NOT NULL,
  kodPartnera CHAR(13) NOT NULL,
  vrsDo CHAR(2) NOT NULL,
  broDo CHAR(25) NOT NULL,
  DVO  DATETIME NOT NULL,
  vKonto CHAR(12) NOT NULL,
  vKodPartnera CHAR(13) NOT NULL,
  vVrsDo CHAR(2) NOT NULL,
  vBroDo CHAR(25) NOT NULL, 
  vDVO  DATETIME NOT NULL,
  iznosVeze  DECIMAL(11,2)  NOT NULL,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (konto,kodPartnera,vrsDo,broDo,DVO,vKonto,vKodPartnera,vVrsDo,vBroDo,vDVO), 
    KEY vveze (vkonto,vkodPartnera,vvrsDo,vbroDo,vDVO,konto,kodPartnera,vrsDo,broDo,DVO)
) DEFAULT CHARSET=utf8;
/* 
    veze - sto je s cime zatvoreno
      *       u GLAVNI dio ključa puni se kljuc dokumenta kojim se vrsi
      *       zatvaranje(polazni dokument) drugog dokumenta(npr virman) , a pod VEZNI dio ključa
      *       puni se kljuc dokumenta koji se zatvara(npr racun).
      *
      *       startom po glavnom kljucu npr. dobiju se svi racuni koji
      *       su zatvoreni tim virmanom, a startom po veznom (alternativni)
      *       dobiju se svi virmani koji zatvaraju doticni racun
glavni i vezni dokument su ravnopravni a za analizu zatvorenosti(veza) nekog dokumenta,
starta se po glavnom i po veznom ključu.
npr. Kupac(567) plaća virmanom 80kn račun koji glasi ma 100kn. konto 1200 i zatvaranje se vrši kod knjiženja virmana
1.     1200  567  40 141126-15PB  1200 567 20 2302-56      (ostalo je 20kn otvoreno)
2.     3.12.2014  knjiži proknjižen je virman od 20 kn ali bez povezivanja.
3.      5.12.2014 knjigovođa gleda kartice i vidi da je virman nepovezan.
        ide povezivat otvorene stavke ali tako da je kao polazni(glavni) dokument uzet račun sa dugom od 20 kn a vezni taj virman
       1200  567  20 2302-56    1200 567 40 141203-7ZB  račun i virmani su zatvoreni
Dakle prvi dio ključa(glavni) je polazni dokument kod zatvaranja, a vezni je drugi ili sljedeći.

Slučajevi 
Virman = 100kn  račun = 100kn  idealno
Virman =70kn račun = 100kn ključ 1200 5893 40 140508-2PB   1200 5893 20 2302-145    iznosVeze=70 dug po računu 30        iznosOtvoreni = 30 na računu
Virman = 120 račun 100           1200 5893 40 140508-5     1200 5893 20 2302-150              120 pretplata po računu 20 iznosOtvoreni = -20 na računu 
Virman = 130 dva računa plaća    1200 5893 40 140508-5-ZB  1200 5893 20 2302-145              30                         iznosOtvoreni = 0
                                 1200 5893 40 140508-5-ZB  1200 5893 20 2370-153              100                        iznosOtvoreni = 0
Temeljnicom se zatvara račun     1200 5893 48 2316-18OTPIS 1200 5893 20 2316-18               100                        iznosOtvoreni = 0

Kompenzacija: Izlaznim računom na 1200 2302-27 sa iznosom 100 zatvaraju se ulazni računi(kalkulacije) 2370-14  80kn i 2302-77 na 60kn.
                                 1200 5893 48 K3-2370-14   1200 5893 20 2302-27               80                    
                                 1200 5893 48 K3-2302-77   1200 5893 20 2302-27               20
                                 2200 5893 48 K3-2302-27   2200 5893 10 2370-14               80
                                 2200 5893 48 K3-2302-27   2200 5893 10 2302-77               20                     ostaje 40 kuna otvoreno na 2302-77
*/
CREATE TABLE kontni_moduli (
  kontniModul CHAR(3) NOT NULL,
  brojStavke INT NOT NULL,
  nazivModula VARCHAR(40) DEFAULT NULL,
  stoSeKnjizi INT NOT NULL,
  kontoDugovni CHAR(12) DEFAULT NULL,
  kakoSeKnjiziDugovni CHAR(1) DEFAULT 'P',
  predznakDugovni INT DEFAULT 1, 
  kontoPotrazni  CHAR(12) DEFAULT NULL,
  kakoSeKnjiziPotrazni CHAR(1) DEFAULT 'P',
  predznakPotrazni INT DEFAULT 1, 
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (kontniModul,brojStavke) 
) DEFAULT CHARSET=utf8; 
/*
   kontniModul
*****************************************
*      MODULI:                          *
*      -------                          *
*      10  - ulaz veleprodaja           *
*      101 - ulaz maloprodaja           *  
*      102 - ulaz repromaterijal        *
*      12  - ulaz uvoz-izvoz            *
*      20  - izlaz veleprodaja          *
*      201 - izlaz maloprodaja          *
*      204 - izlaz got.proizvodi  *     *
*      203 - servis usluge 
*      206 - IZVOZ pdvstatus 1 
*      650 - izlazna if veleprodaja     *
*      651 - izlazna if maloprodaja     *
*      652 - izlazna if got.proizvodi   *
*      655 - ulazna if got.proizvodi  
*      35 - rekapitlari paragonaca
*      26 - kartice po rekapitularima i dostavnicama
*      85 - nivelacije
*****************************************
   stoSeKnjizi
**      ulazi*  
*         - 1  Zaliha bez poreza  ,
*         - 10 ukalkulirani porez   
*         - 12 zavisni ukalkulirani tro{kovi 
*         - 14 transportni tro{kovi direktni ulaz
*         - 15 nabavan vrijednost 13 + 12
*         - 13 iznos za platiti dobavlja~u
*         - 8 rc
*         - 9 nefakturirana roba 
*         - 6 Zaliha s porezom 
*         - 20 Pretporez na kalkulaciji      
*         - 23 povratna naknada 0.5
*         - 24 carina(pona{a se kao ukal.tr.12)
*              (moe na salda konti)
*      izlazi
*         - 1  zaliha bez poreza
*         - 2  realizacija 
*         - 3  rabati +casas sconto
*         - 4 tro{kovi   ?
*         - 5 porez
*         - 6 zaliha s porezom
*         - 7 iznos za platiti kupac 
*         - 16 stvarna RC  po izlazima
*         - 17 tro{ak nabave  1-16 
*         - 18 Transportni tro{k. direkt. bez poreza
*         - 19 Porez na tran.tro{kove 10 %
*        - 21 Zaokruzenja
*         - 22 usluga na paragoncima (bez poreza i umanjena za popust)
*         - 23 povratna naknada 0.5*KOL
   kakoSeKnjizi   P - pojedinačne stavke, K - kumluativno
   predznak       1 ili -1 
   
*/  
CREATE TABLE gk_pdv (
  brojTemeljnice INT(11) NOT NULL, 
  brojStavke INT(11) NOT NULL,
  poreznaGrupa varchar(2) NOT NULL,
  PDV DECIMAL(6,3) NOT NULL,
  osnovica DECIMAL(11,2) DEFAULT 0,    
  iznosPDV DECIMAL(11,2) DEFAULT 0,  
  mozeSeOdbiti VARCHAR(2) DEFAULT 'Da',   
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT NULL,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (brojTemeljnice,brojStavke,poreznaGrupa)
) DEFAULT CHARSET=utf8;
/*
služi za knjiženje UFO(11) i eventualno UFA(10 i 12), za knjiženje poreza
 na jednoj UFO može biti više različitih poreznih stopa
koje se u URI mogu ili nemogu odbiti */  

CREATE TABLE predlosci (
  vrsta CHAR(20) NOT NULL,
  redniBroj DECIMAL(4) NOT NULL,
  predlozak TEXT,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT null,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (vrsta, redniBroj) 
) DEFAULT CHARSET=utf8;  

CREATE TABLE partner_grupe (
  kodPartnera varchar(13) NOT NULL,
  kodGrupe        CHAR(13)      NOT NULL,
  rabatPopust decimal(11,3) NOT NULL, 
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT null,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (kodPartnera, kodGrupe) 
) DEFAULT CHARSET=utf8;  
/* dopuna uz partnere
   uneseni rabat popust u % se automatski ponudi 
   kod faktura ako grupa postoji na partneru i ako rabatPopust nije 0
*/

CREATE TABLE rate_kartice (
 proda VARCHAR(5)   NOT NULL,  
 vrsDo VARCHAR(2)   NOT NULL,
 proIn VARCHAR(5)   NOT NULL,  
 zapis VARCHAR(2)   NOT NULL,
 broDo INT          NOT NULL,
 verzi VARCHAR(3)   NOT NULL,
 brojStavke INT NOT NULL,
 valuta              DATETIME    DEFAULT NULL, 
 iznosRateKartice       DECIMAL(11,2)  DEFAULT NULL,
 vrstaRateKartice       VARCHAR(20) DEFAULT NULL,  
 datumOtvaranja     DATETIME NOT NULL,
 datumIzmjene       DATETIME DEFAULT NULL,
 tkoJeIzmjenio      VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (proda, vrsDo, proIn, zapis, broDo, verzi, brojStavke) 
) DEFAULT CHARSET=utf8;  
/* otplata faktura(dostavnica-račun) na rate(vrsta kartice = 'rata' za veleprodaje
                   valuta       iznosRateKartice brojStavke
   npr. prva rata  15.05.2015    2000 kn           1
        druga rata 15.08.2015    3000 kn           2
        treća rata 15.11.2015    1875,35           3

ili na više od jedne vrste kartica(npr. paragonac ili fiskalizirana faktura je plaćena GOTOVINOM, VISOM i AMERICAN)
    onda su gotovina i Visa navedene u dok_zag(u dok_zag je moguće plaćanje gotovinom i samo jednom vrstom kartice)
    a plaćanje AMERICAN karticom zabilježilo bi se pod broj stavke 1 u tabelu rate_kartice
    Prije stvarnog knjiženja dokumenta kontrolira se da li je ukupni iznos fakture ili npr. paragonca jednak  zbroju svih  
    otplata na rate ili zbroju svih kartica i gotovine. 
    Ovo se može koristiti kod dostavnica,paragonaca,predračuna,ponuda,faktura usluga,primki)
    
    vrstaRateKartice   može biti "rata" (kod veleprodaje gdje se dostavnica otplaćuje na rate)

    ili šifra kartice (kontrola na vrsKart iz tabele v_k_c)   npr. 10200 je kod za AMERICAN EXPRES kod Panex Dinamica)
    u slučaju da je plaćanje paragonca ili fiskalizirane dostavnice izvršeno sa više od jedne
    vrste kartica.

*/ 

-- matični podaci o radnicima
CREATE TABLE maticna_radnika (
  kodRadnika char(11) NOT NULL,
  imeIprezime varchar(70) NOT NULL,
  spol char(1) NOT NULL,
  OIB varchar(11) NOT NULL,  
  statusRadnika char(6) default 'redPla',
  datumRodjenja date NOT NULL,
  mjestoRodjenja varchar(60) NOT NULL,
  drzavljanstvo  varchar(60) DEFAULT NULL,
  dozvolaZaBoravakIrad varchar(60) DEFAULT NULL,

  mjestoBoravka varchar(60) NOT NULL,
  ulicaIbroj varchar(60) NOT NULL,   
  posPretinac varchar(10) DEFAULT ' ',
  brojPoste varchar(10) NOT NULL,
  mjestoPoste varchar(60) NOT NULL,  
  opcinaPrebivalista varchar(13) DEFAULT NULL,

  pocetakRadaSatMin varchar(5) DEFAULT '07:00',
  zavrsetakRadaSatMin varchar(5) DEFAULT '15:00',
  pocetakSubotom varchar(5) DEFAULT NULL,
  zavrsetakSubotom varchar(5) DEFAULT NULL,
  redovniSatiNaDan int DEFAULT 8,  
  redovniSatiSubotom int DEFAULT 0,
  godisnjiOdmorOd date DEFAULT NULL,
  godisnjiOdmorDo date DEFAULT NULL,
  bolovanjeFirmaOd date DEFAULT NULL,
  bolovanjeFirmaDo date DEFAULT NULL,
  bolovanjeHZZOod date DEFAULT NULL,
  bolovanjeHZZOdo date DEFAULT NULL,
  porodiljskiOd date DEFAULT NULL,
  porodiljskiDo date DEFAULT NULL,

  strucnaSprema varchar(2) NOT NULL DEFAULT 'F',
  posebniIspitiTecajevi varchar(60) DEFAULT NULL,
  zanimanje varchar(60) DEFAULT NULL,
  posaoKojiObavlja varchar(70) DEFAULT NULL,
  pocetakRada date DEFAULT NULL,
  ugovorOradu char(1) DEFAULT 'N',
  odredjenoOd1 date DEFAULT NULL,
  odredjenoDo1 date DEFAULT NULL,
  odredjenoOd2 date DEFAULT NULL,
  odredjenoDo2 date DEFAULT NULL,
  odredivoDo   date DEFAULT NULL,
  trajanjeProbnogRada varchar(15) DEFAULT NULL,
  trajanjePripravnickogStaza varchar(15) DEFAULT NULL,
  vrijemeIrezultatPripIspita varchar(100) DEFAULT NULL,
  radUinozemstvu varchar(60) DEFAULT NULL,
  privremenoUstupanjeRadnika varchar(60) DEFAULT NULL,
  beneficiraniStaz CHAR(1) DEFAULT 'N',
  nacinRacunanjaBstaza VARCHAR(60) DEFAULT NULL,
  potrebnoUtvrZdrSposobnosti CHAR(1) DEFAULT 'N',
  redovitiPregledi VARCHAR(200) DEFAULT NULL,
  mjestoRada VARCHAR(60) DEFAULT NULL,
  radNaRaznimMjestima CHAR(1) DEFAULT 'D',
  tjednoRadnoVrijeme  DECIMAL(3,1) DEFAULT 40,
  TRVpunoSkracenoNepuno CHAR(1) DEFAULT 'P',
  MstazDoPocetkaRadaKodP INT(6) DEFAULT 0, 
  MstazDoPocetkaRadaKodPtekst VARCHAR(200) DEFAULT NULL, 
  mirovanjeROod date DEFAULT NULL,
  mirovanjeROdo date DEFAULT NULL,
  mirovanjeROodRodiljni date DEFAULT NULL,
  mirovanjeROdoRodiljni date DEFAULT NULL,
  mirovanjeROodRoditeljski date DEFAULT NULL,
  mirovanjeROdoRoditeljski date DEFAULT NULL,
  datumPrestankaRO date DEFAULT NULL,
  razlogPrestankaRO VARCHAR(60) DEFAULT NULL,   
  
  polaznaOsnovica DECIMAL(9,2)     DEFAULT 0,
  koeficijentSlozenostiPosla  DECIMAL(5,2)  DEFAULT 1,  
  stazZaObracun INT DEFAULT 0,
  stimulacija DECIMAL(9,2)  DEFAULT 0,
  postoIliIznosStimulacija CHAR(1) DEFAULT NULL,
  drugiStup CHAR DEFAULT 'D',
  prijevoz DECIMAL(6,2)  DEFAULT 0,

  kojaVrstaZaDjecu int(3) DEFAULT 0,
  kojaVrstaZaUzdrzavane int(3) DEFAULT 0,    
  kojaVrstaZaInvalidnost int(3) DEFAULT 0,  
  
  bodovi DECIMAL(9,2)  DEFAULT 0,  
  pravoNaGO INT DEFAULT 0,
  iskoristeniGO INT DEFAULT 0,
  stariGO int DEFAULT 0,
  registarskiBrojRadnika VARCHAR(13) DEFAULT NULL,
  opcinaMjestaRada VARCHAR(13) NOT NULL,   
  vrstaObracuna CHAR(4) DEFAULT '0000';   /* prema joppd  polje 6.1 standardni obračun 0000, prvo zaposlenje 0002(osobe na stručnom osposobljavanu 5702) 
  osoba mlađa od 30 godina0010 (0011 za izaslane mlade osobe).
  Djeca smrtno stradalih ili nestalih hrvatskih branitelja 0012, Ugovorena minimalna plaća 0009   */
   
  komentar text NOT NULL,
 
  pocetakVodjenjaE date NOT NULL,
  zakljucenjeVodjenjaE date DEFAULT NULL,
  voditeljEvidencije varchar(40) NOT NULL,
    
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (kodRadnika),  
  KEY OIB (OIB)
) DEFAULT CHARSET=utf8 ;  

-- evidencija radnog vremena
CREATE TABLE radno_vrijeme (
  kodRadnika char(11) NOT NULL,
  datum date NOT NULL,
  oznakaVremena char(6) NOT NULL,
  indikatorVisestrukosti INT DEFAULT 0,
  
  vrijeme DECIMAL(4,2) DEFAULT 8,

  dan CHAR(3) NOT NULL,
  radniPraznikNeradni CHAR(1) NOT NULL, 

  pocetakRadaSatMin varchar(5) DEFAULT '07:00',
  zavrsetakRadaSatMin varchar(5) DEFAULT '15:00',
      
  komentar text DEFAULT NULL,
 
  datumZakljucavanja datetime DEFAULT NULL,
  voditeljEvidencije varchar(40) NOT NULL,
    
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (kodRadnika, datum, oznakaVremena, indikatorVisestrukosti)    
) DEFAULT CHARSET=utf8 ;  
/*  indikatorVisestrukosti  ako se tokom dana ista oznakaVremena pojavi više puta
  npr. radnik ujutro dođe na posao pa ode nakon 2 sata rada na GO 2 sata, pa se vrati pa radi 1 sat pa opet ode na GO 3 sata
  voditeljEvidencije može biti i uređaj-automat koji bilježi dolaske i odlaske radnika 
*/                   

-- blagdani_praznici
CREATE TABLE blagdani_praznici ( 
  datum date NOT NULL,
  nazivBlagdana varchar(60) NOT NULL,       
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (datum)    
) DEFAULT CHARSET=utf8 ;    

-- tećaj (tečajna lista)
CREATE TABLE tecaj (
  datumTecaja       DATE   NOT NULL,
  sifraValute       DECIMAL(3)  NOT NULL,
  oznakaValute      CHAR(3)  NOT NULL,
  brojJedinica      DECIMAL(3)  NOT NULL,
  kupovniTecaj      DECIMAL(8,6)  NOT NULL,
  srednjiTecaj      DECIMAL(8,6)  NOT NULL,
  prodajniTecaj     DECIMAL(8,6)  NOT NULL,
  datumOtvaranja    DATETIME DEFAULT NULL,
  datumIzmjene      DATETIME DEFAULT NULL,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT NULL, 
  PRIMARY KEY (datumTecaja, sifraValute)
) DEFAULT CHARSET=utf8;

-- obrazac OPZ
CREATE TABLE opz_zaglavlje (  
   DatumOd  DATE NOT NULL,
   DatumDo  DATE NOT NULL,
   OIB varchar(13) NOT NULL,
   Naziv varchar(100) NOT NULL,
   Mjesto varchar(50) NOT NULL,
   Ulica varchar(50) NOT NULL,
   Broj varchar(30),
   EmailPo varchar(100) NOT NULL,
   Ime varchar(50) NOT NULL,
   Prezime varchar(50) NOT NULL,
   Telefon varchar(40) NOT NULL,
   Fax varchar(40) NOT NULL,
   Email varchar(100) NOT NULL,
   NaDan DATE NOT NULL,   /* Datum izdanog računa DO (DVO) ne smije biti stariji od 6 godina */
   NisuNaplaceniDo DATE NOT NULL,   
   datumOtvaranja datetime NOT NULL,
   datumIzmjene datetime DEFAULT NULL,
   tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (OIB, NaDan)
) DEFAULT CHARSET=utf8;

CREATE TABLE opz_stavke (
   OIB varchar(13) NOT NULL,
   NaDan DATE NOT NULL,  
   K2 INT DEFAULT 1, /* 1-oib 2 pdv identifikacijski broj 3 ostali porezni brojevi */
   K3 varchar(13) NOT NULL,  /* Porezni broj može na obrascu biti samo jednom */
   K4 varchar(70) DEFAULT NULL, /* naziv kupca IDE NA OBRAZAC samo jednom */
   R2 varchar(30) NOT NULL, /* broj računa */
   R3 DATE NOT NULL, /* Datum izdanog računa DVO ne smije biti stariji od 6 godina od datuma NaDan  */
   R4 DATE NOT NULL, /* dospijeće, min=R3, max=NaDan, ne može biti stariji 6 god. od NaDan */
   R5 INT NOT NULL, /* broj dana kašnjenja u plaćanju = NisuNaplaceniDo - valuta  */
   R6 DECIMAL (11,2) NOT NULL, /* iznos računa nula i minus ne */
   R7 DECIMAL (11,2) NOT NULL, /* iznos PDV-a R6*0,25 */
   R8 DECIMAL (11,2) NOT NULL, /* ukupni iznos računa s PDV-om */
   R9 DECIMAL (11,2) NOT NULL, /* plaćeni iznos računa >= 0 */
   R10 DECIMAL (11,2) NOT NULL, /* ukupni iznos s PDV - plaćeni iznos  > 0 */
   konto varchar(12) DEFAULT NULL,     
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT ' ',
  PRIMARY KEY (OIB, NaDan, K3, R2, K2)
) DEFAULT CHARSET=utf8;

-- koristi se kod firmi Chaky i Dinamic za bicikle
-- u filteru pretraživanja SAMO za CHAKY i Dinamic gdje se ponude prijavljene veličine rame
 CREATE TABLE velicina_rame (
  velicinaRame VARCHAR(20) NOT NULL,
  nazivVelicineRame varchar(50) NOT NULL,
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT NULL,
  PRIMARY KEY (velicinaRame)
); 
-- DEFAULT CHARSET=utf8;
-- ENGINE=InnoDB;

-- koristi se kod firmi Chaky i Dinamic za bicikle
-- u filteru pretraživanja SAMO za CHAKY i Dinamic gdje se ponude prijavljene veličine kotača bicikala(u colima ili cm)
CREATE TABLE velicina_kotaca (
  velicinaKotaca VARCHAR(20) NOT NULL,
  nazivVelicineKotaca varchar(50) NOT NULL,
  datumOtvaranja datetime NOT NULL,
  datumIzmjene datetime DEFAULT NULL,
  tkoJeIzmjenio varchar(40) DEFAULT NULL,
  PRIMARY KEY (velicinaKotaca)
);
CREATE TABLE kamatneStope (
  vrstaKamStope char(2) DEFAULT 'TR',
/* TR ugovori među trgovcima, TJ trgovina-javna nabava, OS ostalo građani i pravne osobe */
  datumOd date  NOT NULL,
  datumDo date  default NULL,
  nazivKamate VARCHAR(100) NOT NULL,
  kamatnaStopa DECIMAL (6,2) NOT NULL,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (vrstaKamStope,datumOd) 
) DEFAULT CHARSET=utf8;
CREATE TABLE kamateZaglavlje (
  brojKamate  int(7) not null,
  konto varchar(12),
  kodPartnera VARCHAR(13),
  DVOkamate datetime not null,
  valutaKamate dateTime not null,
  DVOracunaOd datetime not null,
  DVOracunaDo datetime not null, 
  sviIliSamoCasa VARCHAR(12) default 'svi',     /* samoCasa  bezCasa*/  
  tekstDolje text default null,     
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (brojKamate) 
) DEFAULT CHARSET=utf8;
CREATE TABLE kamateStavke (
  brojKamate  int(7) not null,
  brojStavke int(7) not null,
  brojRacuna VARCHAR(22) NOT NULL,
  DVOracuna datetime not null,
  valutaRacuna dateTime not null,
  ukupniIznosRacuna DECIMAL (11,2) not null,
  datumNaplate dateTime default null, /* račum može biti plaćen potpuno, djelomično, ili nije plaćen */  
  datumOd dateTime default null,   /* početak intervala */
  datumDo dateTime default null,   /* završetak intervala */
  brojDana int(7) not null,
  glavnica DECIMAL (11,2) not null,
  vrstaKamStope char(2),
  kamatnaStopa DECIMAL (6,2) NOT NULL,
  iznosKamata decimal (11,2), 
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (brojKamate,brojStavke) 
) DEFAULT CHARSET=utf8;
/*  slučajevi:


*/

CREATE TABLE brand (
  brand CHAR (16) NOT NULL,
  nazivBranda  VARCHAR(50) NOT NULL,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT null,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (brand) 
) DEFAULT CHARSET=utf8; 

CREATE TABLE minimalne_zalihe (
  kodRobe           CHAR(16)       NOT NULL,
  kodPoslovnice     VARCHAR(5)     NOT NULL,
  minZaliha         DECIMAL(11,3)  NOT NULL,
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (kodRobe,kodPoslovnice) 
) DEFAULT CHARSET=utf8;
 
-- ==========================================================================================================================================================
-- Osobni dohotci
CREATE TABLE vrste_placa  (
    vrstaPlace CHAR(6) DEFAULT 'redPla',     
/*  redPla(redovna plaća), ugDjelu(ugovor o dijelu), ugdMir(ugovor o dijelu umirovljenika), plaNar(plaća u naravi), 
*/
    nazivVrstePlace VARCHAR(50) DEFAULT ' ',  
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT '2019-01-01 01:01:01',
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (vrstaPlace)
) 
-- DEFAULT CHARSET=utf8
;

CREATE TABLE doprinosi_porezi  (
      vrstaDoprinosaPoreza CHAR(6) NOT NULL,        
/*
  porez1,porez2,porez3, prirez, mir1st(mirovinsko samo prvi stup 20 5), mir1s2(mirovinsko prvi stup 15%(ima i drugi stup), mir2st(mirovinsko drugi stup), zdravs(zdravstveno osiguranjae)
*/
    vrijediOd date NOT NULL,  
    nazivDoprinosaPoreza VARCHAR(60) DEFAULT ' ',  
    stopaDoprinosaPoreza DECIMAL(9,5)  DEFAULT 0,
    izIliNaPlacu VARCHAR(20), /* izPlace, naPlacu, naDohodak,naPorez */
    osnovica DECIMAL(9,2)  DEFAULT 0, /* osnovica do koje se računa porez */   
    modelPlatitelja VARCHAR(4) DEFAULT 'HR99',
    pozivNaBrojPlatitelja VARCHAR(22) DEFAULT '',
    IBAN VARCHAR(34) DEFAULT ' ',
    modelPrimatelja VARCHAR(4) DEFAULT 'HR68',
    pozivNaBrojPrim atelja VARCHAR(22) DEFAULT 'XXXX-OIBpl-JOPPD',
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT 0,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (vrstaDoprinosaPoreza,vrijediOd)
) 
-- DEFAULT CHARSET=utf8
;

CREATE TABLE doprinosi_porezi_po_obracunu  (
    godinaObracuna int        NOT NULL, /* 4 znaka npr. 2019 */
    mjesecObracuna int        NOT NULL,
    vrstaPlace CHAR(6) DEFAULT '  '   NOT NULL,
    verzijaPlace CHAR(2) DEFAULT '  '  NOT NULL,  
    vrstaJOPPDizvjesca CHAR(1) DEFAULT '1', 
    kodRadnika  CHAR(11)      NOT NULL,
    vrstaDoprinosaPoreza CHAR(6) NOT NULL,        
    stopaDoprinosaPoreza DECIMAL(9,5)  DEFAULT 0,
    iznosDoprinosaPoreza DECIMAL(11,2) DEFAULT 0,  
    modelPlatitelja VARCHAR(4) DEFAULT 'HR99',
    pozivNaBrojPlatitelja VARCHAR(22) DEFAULT ' ',
    IBAN VARCHAR(34) DEFAULT ' ',
    modelPrimatelja VARCHAR(4) DEFAULT 'HR68',
    pozivNaBrojPrimatelja VARCHAR(22) DEFAULT 'XXXX-OIBpl-JOPPD', 
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT 0,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (godinaObracuna,mjesecObracuna,vrstaPlace,verzijaPlace,vrstaJOPPDizvjesca,kodRadnika,vrstaDoprinosaPoreza)
) 
 -- DEFAULT CHARSET=utf8
;


CREATE TABLE osobni_odbici  (
    vrstaOsobnogOdbitka CHAR(6) NOT NULL,        
/* osnovni osobni odbitak osnoOd računa se npr. osnovicaOsobnogOdbitka(2500) * koeficijent(1.5) = 2500 * 1.5 = 3750 (zaokruženo na stoticama) = 3800
   zaDjec, zaUzCl (za uzdržavane članove), zaInva  (za invaliditet)   
*/
    kojaVrsta int(3) DEFAULT 0,  
/* 0(osnovni osobni odbitak),1,2,3,4...   (BROJ DJECE, UZDRZAVANIH ČLANOVA), za invalidnost 0-nema inv., 1-djelomična invalidnost, 100 (100 %), 10 (10%), 20 (20%) itd */       
    nazivOdbitka VARCHAR(60) DEFAULT ' ',  /*npr. Prvo dijete...,  Jedan član ..., 100 % invalidnost, 0 djelomična invalidnost, HRVI(invalidnost 60%) i.t.d,  Osnovni osobni odbitak */
    koeficijent DECIMAL(4,2)  DEFAULT 0,   
    osnovicaOsobnogOdbitka DECIMAL(9,2)  DEFAULT 2500, /* osnovica osobnog odbitka */   
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT 0,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (vrstaOsobnogOdbitka,kojaVrsta)
) 
-- DEFAULT CHARSET=utf8
;

CREATE TABLE vrste_primitaka_place  (
    vrstaPrimitka CHAR(6) NOT NULL,     
/* veza na tabelu primici_po_obracunu */
    nazivPrimitka VARCHAR(50) DEFAULT ' ',  
    oporezivPrimitak CHAR(1) DEFAULT 'D',
    nazocnostNaPoslu CHAR(1) DEFAULT 'D',
    aplikacija       CHAR(2) DEFAULT '',
    unosiSe          CHAR(10) DEFAULT 'satnica',
    postoKorekcijeSatnice DECIMAL(9,3)  DEFAULT 0, /* za bDo42D i bPr42D TO JE 70%   preRad nocRad radBla,  a ostalo 0
          to je posto na kojim se množi satnica( trenutna ili prosjek 3 i 6 mjeseci(za bolovanja)*/  
    prosjekMjeseci INT default 0, /* za godOdm 3, za bolovanja 6 mjeseci (prosječna plaća ->satnica)*/
    minHZZOnaknada DECIMAL(9,2)  DEFAULT 0, /* minimalna plaća HZZO bolovanja 836,88 ) */
    maxHZZOnaknada DECIMAL(9,2) DEFAULT 0, /* maksimalna plaća za HZZO bolovanje 4888,56 */
    naTeret VARCHAR(20) DEFAULT NULL; /* HZZO, RH ...  prazno na teret poslodavca*/
    JOPPDoznakaStjecatelja  VARCHAR(4) DEFAULT NULL;   // po joppd 6.1
    JOPPDoznakaPrimitka VARCHAR(4) DEFAULT NULL;   // po joppd 6.2
    JOPPDoznaka VARCHAR(4) DEFAULT NULL;  // po joppd 15.1
    datumOtvaranja    DATETIME NOT NULL, 
    datumIzmjene      DATETIME DEFAULT NULL,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (vrstaPrimitka)
) 
-- DEFAULT CHARSET=utf8
;

CREATE TABLE isplate_na_banke_maticna_radnika (
  kodRadnika  CHAR(11)      NOT NULL,
  kodBanke VARCHAR(13) NOT NULL,    /*  moguća isplata plaće na više banki po dijelovima */
  verzijaIsplate char(2) DEFAULT ' ',  /* npr. isplata u istoj banci na zaštićeni račun npr. verzija 0 ili A i isplata na redovni račun npr. verzija 1 ili B) */
  modelPlatitelja VARCHAR(4) DEFAULT 'HR67',
  pozivNaBrojPlatitelja VARCHAR(22) DEFAULT 'OIBpl-JOPPD-0',
  brojRacunaZaIsplatuPlace VARCHAR(34) DEFAULT ' ',
  modelPrimatelja VARCHAR(4) DEFAULT 'HR99',
  pozivNaBrojPrimatelja VARCHAR(22) DEFAULT '',
 /* sadržaj: npr. 8168-OIBpl-JOPP, 8168-20329616636-19122 ,  kontrola maksimalno 2 '-' i max. 22 znaka
 OIBpl se programski zamjenjuje sa OIBOM platitelja (poslovnica firma 0), a JOPPD sa identifikatorom JOPPD obrasca 
  oibPr (oib primatelja)*/
  postoIliIznosPlace DECIMAL(9,2)  DEFAULT 100, /* najčešća isplata 100% na jedan račun */
  postoIliIznos VARCHAR(7) DEFAULT '%', /* %, iznos, ostatak -> kontrole logičnosti isplate */
  nacinIsplate VARCHAR(6) DEFAULT 'tekuci',   /* Isplata na tekući račun(tekuci) ili Isplata na žiro račun(ziro) */
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (kodRadnika,kodBanke,verzijaIsplate)
) 
-- DEFAULT CHARSET=utf8
;

CREATE TABLE isplate_na_banke_po_obracunu (   
    godinaObracuna int        NOT NULL, 
    mjesecObracuna int        NOT NULL,
    vrstaPlace CHAR(6) DEFAULT '  '   NOT NULL,
    verzijaPlace CHAR(2) DEFAULT '  '  NOT NULL,  
    vrstaJOPPDizvjesca CHAR(1) DEFAULT '1', 
    kodRadnika  CHAR(11)      NOT NULL,
    kodBanke VARCHAR(13) NOT NULL,    /*  moguća isplata plaće na više banki po dijelovima */
    verzijaIsplate char(2) DEFAULT ' ', 
 /* npr. isplata u istoj banci na zaštićeni račun npr. verzija 0 ili A i isplata na redovni račun npr. verzija 1 ili B)
  ili prijevoz PR */ 
  modelPlatitelja VARCHAR(4) DEFAULT '',
  pozivNaBrojPlatitelja VARCHAR(22) DEFAULT '',
  brojRacunaZaIsplatuPlace VARCHAR(34) DEFAULT ' ',
  modelPrimatelja VARCHAR(4) DEFAULT '',
  pozivNaBrojPrimatelja VARCHAR(22) DEFAULT '',
 /* u pozivima na broj su konačni sadržaji nije npr. 8168-OIBpl-JOPPD kao kod tabele isplateNaBankeMaticnaRadnika, nego npr. 8168-20329616636-19122-  */
  iznosZaIsplatu  DECIMAL(9,2)  DEFAULT 0,
  nacinIsplate VARCHAR(6) DEFAULT 'tekuci',   /* Isplata na tekući račun(tekuci) ili Isplata na žiro račun(ziro) */
  datumOtvaranja    DATETIME NOT NULL,
  datumIzmjene      DATETIME DEFAULT 0,
  tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (godinaObracuna,mjesecObracuna,vrstaPlace,verzijaPlace,vrstaJOPPDizvjesca,kodRadnika,kodBanke,verzijaIsplate)
) 
-- DEFAULT CHARSET=utf8
;

CREATE TABLE krediti_obustave (  /* veza na tabelu krediti_obustave_po_obracunu */
    kodRadnika  CHAR(11)      NOT NULL,  
    kodBanke VARCHAR(13) NOT NULL,    
    kodKredita char(12) DEFAULT ' ',  /* isplata u istoj banci(firmi) više kredita, istovremeno ili tokom više godina, pa se puni npr. npr. 1,2  abc zarobu */ 
    nazivKreditaObustave VARCHAR(60) default ' ',
    rataKredita DECIMAL(11,4)  DEFAULT 0,
    absRataKredita CHAR(1) DEFAULT ' ', -- dali je rata u apsolutnom iznnosu ili je postotna
    ukupniIznosKredita DECIMAL(11,2)  DEFAULT 0,
    pocetakObustave DATE DEFAULT  NULL,   /* datum početka obustave prva rata npr. 2019-06-01 ili 2019-06-18 kredit se počinje skidat na plaći za 5 mjesec */
    iznosPrveRate  DECIMAL(9,2)  DEFAULT 0,
    zavrsetakObustave DATE DEFAULT NULL,  
    /* datum završetka obustave zadnja rata  npr. 2025-07-15 zadnje skidanje na plaći za 6. mjesec 2025 
    ili npr. 2999-01-01  kredit se trajno skida
    */ 
    virmanPojedinacniGrupni CHAR(6) DEFAULT 'pojedi', /* ispis virmana pojedinačno po svakom radniku (pojedi)ili grupno(grupno)   
      grupno npr. sindikalna ćlanarina od svih radnika ide na jedan virman(po kodBanke i po kodKredita)*/
    brojRata INT DEFAULT 0,   /* informativna uloga, ne mora biti popunjeno */
    iznosZadnjeRate  DECIMAL(9,2)  DEFAULT 0,
    modelPlatitelja VARCHAR(4) DEFAULT 'HR67',
    pozivNaBrojPlatitelja VARCHAR(22) DEFAULT 'OIBpl-JOPPD-0',
    brojRacunaZaIsplatuKredita VARCHAR(34) DEFAULT ' ',
    modelPrimatelja VARCHAR(4) DEFAULT '',
    pozivNaBrojPrimatelja VARCHAR(22) DEFAULT '',
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT 0,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT ' ', 
 /*   PRIMARY KEY (kodRadnika,kodBanke,kodKredita) */
    PRIMARY KEY (kodRadnika,kodBanke,kodKredita),
    FOREIGN KEY (kodRadnika)
      REFERENCES maticna_radnika(kodRadnika)
      ON UPDATE CASCADE ON DELETE RESTRICT, 
    FOREIGN KEY (kodBanke)
      REFERENCES partner(kodPartnera)
      ON UPDATE CASCADE ON DELETE RESTRICT 

) 
-- DEFAULT CHARSET=utf8
;

CREATE TABLE krediti_obustave_po_obracunu (  /* veza na tabelu krediti_obustave */    
    godinaObracuna int        NOT NULL, 
    mjesecObracuna int        NOT NULL,
    vrstaPlace CHAR(6) DEFAULT '  '   NOT NULL,
    verzijaPlace CHAR(6) DEFAULT '  '  NOT NULL, 
     vrstaJOPPDizvjesca CHAR(1) DEFAULT '1', 
    kodRadnika  CHAR(11)      NOT NULL,
    kodBanke VARCHAR(13) NOT NULL,      
    kodKredita char(12) DEFAULT ' ',  /* isplata u istoj banci više kredita sa istom ratom rijetka mogućnost da se pojavi  npr. ZR zaštićeni račun
ili u istoj firmi se uzima roba puno puta tokom više godina */ 
    rataKredita DECIMAL(9,2)  DEFAULT 0,
    virmanPojedinacniGrupni CHAR(6) DEFAULT 'pojedi',
    modelPlatitelja VARCHAR(4) DEFAULT '',
    pozivNaBrojPlatitelja VARCHAR(22) DEFAULT '',
    brojRacunaZaIsplatuKredita VARCHAR(34) DEFAULT ' ',
    modelPrimatelja VARCHAR(4) DEFAULT '',
    pozivNaBrojPrimatelja VARCHAR(22) DEFAULT '', 
    -- nacinIsplate VARCHAR(6) DEFAULT 'tekuci',   /* Isplata na tekući račun(tekuci) ili Isplata na žiro račun(ziro) */  
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT 0,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
    PRIMARY KEY (godinaObracuna,mjesecObracuna,vrstaPlace,verzijaPlace,vrstaJOPPDizvjesca,kodRadnika,kodBanke,kodKredita),
    FOREIGN KEY (kodRadnika)
      REFERENCES maticna_radnika(kodRadnika)
      ON UPDATE CASCADE ON DELETE RESTRICT, 
    FOREIGN KEY (kodBanke)
      REFERENCES partner(kodPartnera)
      ON UPDATE CASCADE ON DELETE RESTRICT    
) 
-- DEFAULT CHARSET=utf8
;

/*          OSNOVNI pojmovi i elementi ZA OBRAČUN PLAĆA
            - puno radno vrijeme za stalne radnike je 40 sati tjedno
            - manje od toga je nepuno radno vrijeme
              Primjer za obračun
                mjesec 11 godina 2018  Mjesečni fond sati 176 sati blagdana 8, Radni sati 168, Broj obračunskih dana 22, Broj radnih dana 21, Broj dana blagdana 1
                 bodovi 5000  = plaća = bruto plaća Satnica = 5000 /176 = 28,40909
                 Stimulacija 10 % = 500
                 Prekovremeni sati 12 (po povećanoj stopi prema ugovoru o radu) npr. satnica povećana za 50 %
                 Satnica za prekovremeni rad =  28,40909 * 1,5 = 42,7485 Iznos primitkla plaće za prekovremeni rad = 512,982
                 Godišnji odmor 2 dana = 16 sati po satnici od prosjećne plaće u zadnja 3 mjeseca 16* 28,40909 = 454,56
                 Državni praznik 8 sati = 8 * 28,40909
                 Bolovanje ozljeda na radu 5 dana = 40 sati(neoporeziv primitak) Mjesečna osnovica plaće računa se iz 6 mjesesećnog prosjeka
                 računajući mjesec prije nastupa bolovanja. Ozljeda na radu se plaća 100% a ostalo najmanje 70%. Do 42 dana plaća poslodavac
                 a nakon 42 HZZO. Max. koju prizna HZZO je 4257,28
Osnovni osobni odbitak 3800 = faktor osobnog odbitka = 1 (mi lokalno koristimo faktor osodnog odbitka, a službeno je koeficijent za ovaj 1, 1,5 
osnovica za računanje je 2500
Pr. za prvo dijete je koeficijent = faktor = 1,7 pa je odbitak 3800 + 0,7 *2500 = 3800 + 1750  
Drugo dijete     2       pa je 3800 + 1 * 2500 = 3800 + 1*2500
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
   Postupak obračuna plaće
1. u tabeli matična radnika definiraju se elementi za obračun: bodovi(bruto plaća), stimulacija, osobni odbitak, troškovi prijevoza, godišnji odmor(od do sati i satnica)
koji se kao trenutni uključuju u tekući obračun plaća) -> to su standardni najčešći elementi
2. ako se evidencija radnog vremena vodi pozdano, može poslužiti za automasko kreiranje primitaka plaće, pa se prije samog aktiviranja obračuna mora provjeriti.
3. aktivira se novi obračun za mjesec godinu i vrstu plaće(taabela obracuni_placa) ukucava se fond sati za mjesec, i sati državnog praznika - povuku se gornji podaci iz maticna-radnika i
iz tabele radno vrijeme(ako se ova tabela pouzdano vodi)
4.  za zaposlenike koji imaju prekovremeni rad, bolovanja, i sl. unose se ti primici dodatno,(ako nisu automatski prenešeni iz tabele radno_vijeme)
 u tabelu primici_po_obracunu(vremenski intervali na koje se pojedini primitak odnosi)
      Kod toga je važno da se iz tih intervala formira ukupna plaća(vrsta primitka, sati, satnica Datum od: Datum do: npr. radnik je svaki treči dan u mjesecu bio na
      godišnjem odmoru onda može biti Datum od: prvi u mjesecu a datumdo: zadnji dan u mjesecu ili se može unjeti za svaki dan godišnjeg pojedinačno.
- za ostale zaposlenike(koji imaju samo redovan rad, državni praznik i godišnji odmor, a tih je najveća većina) točka 2 se ne mora provesti(a može se).
3. Ažuriraju se ili unesu krediti obustave(ako tu ima promjena)
4. otvara se novi obračun za mjesec godinu i vrstu plaće(taabela obracuni_placa) ukucava se fond sati za mjesec, i sati državnog praznika - povuku se gornji podaci iz matićne tabele
   i podaci iz točke 2.
   Napravi se konačni obračun plaće.
Kod obračuna se uključuju kao ulaz tabele:
 - matična_radnika
 - doprinosiPorezi
 - partner (radi prireza) 
   tabela partner ako se poziva iz od uključuje dodatni red:
   model, poziv na broj, šifra općine(šifre prema joppd specifikaciji) i prirez
 - krediti_obustave
 - vrstePrimitaka (neoporezivi,oporezivi, odrađeni sati neodrađeni sati
Kod obračuna se kreiraju slogovi u izlaznim tabelama:
 - obracuni_placa
 - primici_po_obracunu
 - doprinosiPoreziPoObracunu
 - isplate_na_banke_po_obracunu 
 - krediti_obustave_po_obracunu 

Ostali VAŽNI PROGRAMI
ISPIS PLAĆA I REKAPITULARA PLAĆA
PRIPREMA XML JOPPD OBRASCA
PRIPREMA XML VIRMANA
pregled plaća iz tabele obracuni_placa i tabele maticna_radnika
IP kartice

Matični podaci:
 Tabele:
   maticna_radnika
   radno_vrijeme
   partner  (banke, kreditori,općine)
   vrste_placa 
   doprinosi_porezi   
   joppdTabele
   krediti_obustave(krediti, članarine sindikatu ...) 
   isplate_na_banke_maticna_radnika  ovo u okviru maticna_radnika
   blagdani_praznici
*/
CREATE TABLE obracuni_placa (
    godinaObracuna int        NOT NULL, /* 4 znaka npr. 2019 */
    mjesecObracuna int        NOT NULL,
    vrstaPlace CHAR(6) DEFAULT '  '   NOT NULL,
    verzijaPlace CHAR(2) DEFAULT '  '  NOT NULL,  
    vrstaJOPPDizvjesca CHAR(1) DEFAULT '1', /* 1 izvorna plaća, 2 - promjena, 3-dodavanje 6, */
    kodRadnika  CHAR(11)      NOT NULL,
    JOPPD int DEFAULT 0,
    datumIsplatePlace DATE default NULL, /* JOPPD i datumIsplatePlace moraju biti usklađeni */ 
    imeIprezime varchar(70) NOT NULL,
    mjestoBoravka varchar(60) NOT NULL,
    ulicaIbroj varchar(60) NOT NULL,   
    posPretinac varchar(10) DEFAULT ' ',
    brojPoste varchar(10) NOT NULL,
    mjestoPoste varchar(60) NOT NULL,  
    opcinaPrebivalista CHAR(5) DEFAULT ' ',
    opcinaMjestaRada CHAR(5) DEFAULT ' ',     
    vrstaObracuna CHAR(4) default '0001',
/* prema joppd  polje 6.1 standardni obračun 0000, prvo zaposlenje 0002(osobe na stručnom osposobljavanu 5702) 
  osoba mlađa od 30 godina0010 (0011 za izaslane mlade osobe).
  Djeca smrtno stradalih ili nestalih hrvatskih branitelja 0012, Ugovorena minimalna plaća 0009   */
/* ova polja su moguća "promjenljiva po mjesecima obračuna" npr. promjena imeIprezime(udaja), općine stanovanja ...  */
/* osobni odbici(porezne olakšice) */
    iznosOsnovniOdbitak DECIMAL(11,2)  DEFAULT 3800,
    kojaVrstaZaDjecu int(3) DEFAULT 0,
    koeficijentZaDjecu decimal(4,2) DEFAULT 0,
    iznosOdbitkaZaDjecu   DECIMAL(11,2) DEFAULT 0,
    kojaVrstaZaUzdrzavane int(3) DEFAULT 0,
    koeficijentZaUzdrzavane decimal(4,2) DEFAULT 0,
    iznosOdbitkaZaUzdrzavane DECIMAL(11,2) DEFAULT 0,
    kojaVrstaZaInvalidnost int(3) DEFAULT 0,
    koeficijentZaInvalidnost decimal(4,2) DEFAULT 0,
    iznosOdbitkaZaInvalidnost DECIMAL(11,2) DEFAULT 0,  
    iznosIskoristeniOdbitak DECIMAL(11,2)  DEFAULT 3800,  /* stvarno obračunan iznos odbitka(iskorišten u tom mjesecu  */  

    iznosZaIsplatu DECIMAL(11,2)  DEFAULT 0,
/* svi ostali iznosi ostali iznosi, npr. svi primici(oporezivi i neoporezivi), neto plaća, obračunati porezi, doprinosi, krediti, isplate po bankama, obustave, ... izvode se iz pridruženih tabela 
	a iznosZaIsplatu služi i za kontrolu sa drugim pridruženim tabelama
 - primici_po_obracunu
 - doprinosiPoreziPoObracunu
 - isplate_na_banke_po_obracunu 
 - krediti_obustave_po_obracunu 
   */
 /*   nacinIsplate
    kodBankeZaIsplatu VARCHAR(13) DEFAULT NULL,
*/
    ukupniFondSati INT default 176,
    satiBlagdana INT(3) default 8.   /* ukupni fond sati i sati blagdana su opčenito za taj mjesec a nisu stvarni za konkretnog radnika (stvarni sati su u primici_place_po_obracunu) */
    osnovnaBrutoPlaca DECIMAL(11,2)  DEFAULT 0,
    /* bodovi ili bruto plaća bez stimulacije bez prekovremenog rada i slično 
     ovo služi kod obračuna HZZO bolovannja*/  

    godisnjiPorez   DECIMAL(11,2)  DEFAULT 0,
    godisnjiPrirez  DECIMAL(11,2)  DEFAULT 0,
    godisnjiOdbitak DECIMAL(11,2)  DEFAULT 0,
	/* ova polja se koriste za obračun godišnjeg poreza(korekcija poreza i prireza) za pojedine slučajeve, 
	(npr. zaposlenik je bio na HZZO bolovanjima, neredovite i "neravnomjerne plaće", plaća u naravi ...)
	*/
    pravoNaGO INT DEFAULT 0,
    iskoristeniGO INT DEFAULT 0,
    stariGO int DEFAULT 0,
    datumZakljucavanja DATETIME DEFAULT NULL,
 /* ako je popunjen korisnik ne može brisati ili mijenjati  taj slog niti slogove u pridruženim tabelama
 - primici_po_obracunu
 - doprinosiPoreziPoObracunu
 - isplate_na_banke_po_obracunu 
 - krediti_obustave_po_obracunu 
   */
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT NULL,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (godinaObracuna,mjesecObracuna,vrstaPlace,verzijaPlace,vrstaJOPPDizvjesca,kodRadnika)
) 
-- DEFAULT CHARSET=utf8
;

/*
Osnovni , najčešći (više od 95 %) primici, automatski se otvaraju u tabeli primici_po_obracunu "redovan rad, GO, državni praznik, stimulacija,prijevoz"
kod otvaranja novog obračuna iz tabele maticna_radnika ili iz tabele tabele radno_vijeme (ako se evidecija radnog vremena vodi pouzdano).
Program Primici po obračunu koristio bi se za prikaz i izmjenu tih automatski otvorenih primitaka i dopune.(update,delete,insert).

Ovaj program prvenstveno služi za unos primitaka plaće koji nisu prenešeni automatski
te eventualno potrebne izmjene automatski prenešenih podataka.

Pridružene kontrolne tabele  maticna_radnika, vrste_primitaka_place i obracuni_placa.

Ovi primici se mogu mjenjati samo ako postoji odgovarajući slog u tabeli obracuni_placa i ako je prazan datumZakljucavanja u tabeli obracunPlaca.

Ovaj program izvesti po šabloni za plaćanja na više-kartica-rata(tome je najsličniji).

Satnice su na 4 decimale.
*/                             
CREATE TABLE primici_po_obracunu (        /* veza na tabelu  vrste_primitaka_place    */
    godinaObracuna int        NOT NULL, /* 4 znaka npr. 2019 */
    mjesecObracuna int        NOT NULL,
    vrstaPlace CHAR(6) DEFAULT '  '   NOT NULL,
    verzijaPlace CHAR(2) DEFAULT '  '  NOT NULL,  
    vrstaJOPPDizvjesca CHAR(1) DEFAULT '1', 
    kodRadnika  CHAR(11)      NOT NULL,
    brojStavke int  NOT NULL,

    vrstaPrimitka CHAR(6) NOT NULL,     /* kontrola na tabelu vrste_primitaka_place */
    datumOd    DATE NOT NULL,
    datumDo    DATE NOT NULL,
    sati       DECIMAL(5,2)  DEFAULT 0,
    satnica    DECIMAL(11,5)  DEFAULT 0,   
    iznos      DECIMAL(11,2)  DEFAULT 0,     /* čisti iznos */                                         
    posto      DECIMAL(7,4)  DEFAULT 0,   /* samo informativno */
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT 0,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
    PRIMARY KEY (godinaObracuna,mjesecObracuna,vrstaPlace,verzijaPlace,vrstaJOPPDizvjesca,kodRadnika,brojStavke) ,
    UNIQUE INDEX (kodRadnika,godinaObracuna,mjesecObracuna,vrstaPlace,verzijaPlace,brojStavke) ,
    FOREIGN KEY (vrstaPlace)
      REFERENCES vrste_placa(vrstaPlace)
      ON UPDATE CASCADE ON DELETE RESTRICT, 
    FOREIGN KEY (kodRadnika)
      REFERENCES maticna_radnika(kodRadnika)
      ON UPDATE CASCADE ON DELETE RESTRICT, 
    FOREIGN KEY (vrstaPrimitka)
      REFERENCES vrste_primitaka_place(vrstaPrimitka)
      ON UPDATE CASCADE ON DELETE RESTRICT
) 
-- DEFAULT CHARSET=utf8
;

CREATE TABLE fond_sati (        /* veza na tabelu  vrste_primitaka_place    */
    godina int        NOT NULL, /* 4 znaka npr. 2019 */
    mjesec int        NOT NULL,

    mjesecniFondSati int default 176,
    radniSati int default 176,
    satiBlagdana int default 8,
    brojObracunskihDana int default 23,
    brojRadnihDana int default 20,
    brojDanaBlagdana int default 1,   
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT '2019-01-01 00:00:01',
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
    PRIMARY KEY (godina,mjesec)    
) 
-- DEFAULT CHARSET=utf8
;
    
CREATE TABLE opcine (      
  kodOpcine CHAR(5) NOT NULL, /* prema JOOPD 5 brojki prethodne nule npr. 00326  */
  vrijediOd date NOT NULL, 
    nazivOpcine VARCHAR(60) NOT NULL,                                           
    stopaPrireza      DECIMAL(7,4)  DEFAULT 0,   
    IBAN VARCHAR(34) NOT NULL,
    opcinaIliGrad CHAR(6) DEFAULT 'opcina', /* opcina, grad */
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT 0,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
    PRIMARY KEY (kodOpcine,vrijediOd)         
) 
-- DEFAULT CHARSET=utf8
;

CREATE TABLE od_sifrarnici (      
  vrstaSifrarnika CHAR(6) NOT NULL default 'JOPPD', 
  oznakaBrojSifrarnika char(6) NOT NULL default '1', 
  oznakaStavke char(4) NOT NULL DEFAULT '',
    nazivSifrarnika VARCHAR(40) DEFAULT '',
    nazivStavke VARCHAR(40) DEFAULT '',                                      
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT 0,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
    PRIMARY KEY (vrstaSifrarnika,oznakaBrojSifrarnika,oznakaStavke)         
) 
-- DEFAULT CHARSET=utf8
;

CREATE TABLE kuponi (
 proda VARCHAR(5)   NOT NULL,  
 vrsDo VARCHAR(2)   NOT NULL,
 proIn VARCHAR(5)   NOT NULL,  
 zapis VARCHAR(2)   NOT NULL,
 broDo INT(11)      NOT NULL,
 verzi VARCHAR(3)   NOT NULL,
    iskoristeniIznosKupona  DECIMAL(11,3)  DEFAULT 0,
    datumOtvaranja     DATETIME NOT NULL,
    datumIzmjene       DATETIME DEFAULT NULL,
    tkoJeIzmjenio      VARCHAR(40) DEFAULT " ", 
    tkoJeKreirao VARCHAR(40) DEFAULT " ",
  PRIMARY KEY (proda, vrsDo, proIn, zapis, broDo, verzi)
 ) DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS prijave;

CREATE TABLE prijave ( 
    datumPrijave DATETIME NOT NULL,
    email CHAR(30),
    vrstaPrijavaOdjava CHAR(1),    -- P - prijava, O-odjava
    PRIMARY KEY (datumPrijave, email)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_croatian_ci;

CREATE TABLE kpi ( 
    interniBroj INT(11) NOT NULL, 
    DVO DATETIME NOT NULL,
    brojTemeljnice VARCHAR(20) DEFAULT " ",
    opis VARCHAR(60) DEFAULT " ",
    gotovinaPrimitak DECIMAL(11,2) DEFAULT 0,    
    ziroPrimitak DECIMAL(11,2) DEFAULT 0,    
    naravaPrimitak DECIMAL(11,2) DEFAULT 0,    
    PDVPrimitak DECIMAL(11,2) DEFAULT 0,    
    gotovinaIzdatak DECIMAL(11,2) DEFAULT 0,    
    ziroIzdatak DECIMAL(11,2) DEFAULT 0,    
    naravaIzdatak DECIMAL(11,2) DEFAULT 0,    
    PDVIzdatak DECIMAL(11,2) DEFAULT 0,    
    cl33Izdatak DECIMAL(11,2) DEFAULT 0,    
    vezniDokument VARCHAR(20) DEFAULT NULL,

    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT NULL,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ",
    PRIMARY KEY (interniBroj),
    INDEX (DVO),
    INDEX (vezniDokument)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_croatian_ci;

