DELETE FUNCTION IF EXISTS racunajPDV;
DELIMITER $$
CREATE FUNCTION `racunajPDV`(`vrstaPoslovnice` CHAR(1), `cijena` DECIMAL(11,3), `kolicina` DECIMAL(11,3), `PDV` DECIMAL(11,3), `rabatPopust` DECIMAL(11,3), `absRabatPopust` CHAR(1), `rabatPopustNaKol` DECIMAL(11,3), `absRabatPopustNaKol` CHAR(1), `stoVraca` VARCHAR(10)) RETURNS decimal(11,2)
    SQL SECURITY INVOKER
BEGIN
DECLARE 
  cijenasPDVom,
  rabat,
  rabatNaKol,
  netoCijenaSpdv,
  pdvOsnovica,
  iznosPDV, 
  cijenaBezRabata,
  kolXcijena,
  zaNaplatu DECIMAL(11,3) DEFAULT 0;
  
        if vrstaPoslovnice='1' then
    set cijenasPDVom=round(cijena*(1+PDV/100),2);
    if absRabatPopust='A' then 
        set rabat=rabatPopust;
    else 
        set rabat=cijenasPDVom*rabatPopust/100;
    end if;
    set rabatNaKol=cijenasPDVom*rabatPopustNaKol/100;
    set netoCijenaSpdv = round((cijenasPDVom - rabat - rabatNaKol),2);     set pdvOsnovica = round((netoCijenaSpdv / ( 1 + PDV / 100)) * kolicina,3);
else
    set kolXcijena= kolicina * cijena;
    set cijenasPDVom=round(kolXcijena*(1+PDV/100),2);     if absRabatPopust='A' then 
        set rabat=rabatPopust*kolicina;
    else 
        set rabat=kolXcijena*rabatPopust/100;
    end if;

    set rabatNaKol=kolXcijena*rabatPopustNaKol/100;

    set cijenaBezRabata= kolXcijena - rabat - rabatNaKol;
    set netoCijenaSpdv=round(cijenaBezRabata*(1+PDV/100),2);     set pdvOsnovica = cijenaBezRabata;
end if;

if vrstaPoslovnice='1' then
    set zaNaplatu=netoCijenaSpdv * kolicina;
else
    set zaNaplatu=netoCijenaSpdv;
end if;
set iznosPDV = zaNaplatu - pdvOsnovica;

if vrstaPoslovnice='1' then
    set rabat=(cijenasPDVom-netoCijenaSpdv) * kolicina;
else 
    set rabat=round(rabat+rabatNaKol,2); end if;

  CASE stoVraca
      WHEN 'osnovica' THEN SET  @vraca=pdvOsnovica;
      WHEN 'pdv' THEN SET @vraca=iznosPDV;
      WHEN 'rabat' THEN SET @vraca=rabat;
      WHEN 'rabatnakol' THEN SET @vraca=rabatNaKol;
      ELSE SET @vraca=zaNaplatu;
    END CASE;

RETURN round(@vraca,3);
END$$
DELIMITER ;
