<?php
function get_konta() {
    global $db;
    $query = 'SELECT * FROM konta'; 
	try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_saldakonto_konta() {
    global $db;
    $query = "SELECT konto FROM konta WHERE vrstaKonta='S'"; 
	try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_konto($konto) {
    global $db;
    $query = '
        SELECT *
        FROM konta
        WHERE konto = :konto';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $konto);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function add_konta($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = "
        INSERT INTO konta
        (
            konto,
            nazivKonta,
            vrstaKonta,
            dugPot,
            datumOtvaranja,
            tkoJeIzmjenio
        )
        VALUES
        (
            :konto,
            :nazivKonta,
            :vrstaKonta,
            :dugPot,
            NOW(), 
            :email_user 
        )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $slog['konto']);
        $statement->bindValue(':nazivKonta', $slog['nazivKonta']);
        $statement->bindValue(':vrstaKonta', $slog['vrstaKonta']);
        $statement->bindValue(':dugPot', $slog['dugPot']);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        //return $poreznaGrupa;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_konta($slog) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE konta
        SET 
            konto = :konto,
            nazivKonta = :nazivKonta,
            vrstaKonta = :vrstaKonta,
            dugPot = :dugPot,
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE konto = :konto';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $slog['konto']);
        $statement->bindValue(':nazivKonta', $slog['nazivKonta']);
        $statement->bindValue(':vrstaKonta', $slog['vrstaKonta']);
        $statement->bindValue(':dugPot', $slog['dugPot']);
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_konta($konto) {
    global $db;
    $query = 'DELETE FROM konta WHERE konto = :konto';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $konto);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
?>
