<?php
function getStavkeZaKamate($konto,$kodPartnera,$DVOracunaOd,$DVOracunaDo,$kamateNaSveRacune=true) {
/* $kamateNaSveRacune true(neplaćeni i plaćeni), false ako samo ono što je cijelo ili dio plaćen
 * račun (20,24) može biti u vezama ovisno kojim redom je povezivano kao prvi dio ili drugi dio ključa
 * za sada obračun kamata dvo od 1.1. do danas   
 */
global $db;
 // set @konto='1200', @kodPartnera='1022', @DVOracunaOd='2017-01-01', @DVOracunaDo='2017-12-05';   
   
    $query = "
        /* virman ljevo račun desno u tabeli veze, izabiremo ključ računa iz veze (desno), valutu računa iz gk_stavke i datumNaplate kao DVO virmana(lijevo veze) */
select 
v.vKonto as konto, v.vKodPartnera as kodPartnera, v.vVrsDo as vrsDo, v.vBroDo as broDo, v.vDVO as DVOracuna, valuta as valutaRacuna, iznosDug as ukupniIznosRacuna, v.DVO as datumNaplate, iznosVeze as glavnica
from veze as v
inner join gk_stavke as g on g.konto=v.vKonto and g.vrsDo = v.vVrsdo and g.broDo = v.vBroDo
where v.vKonto = :konto 
 and (v.vKodPartnera = :kodPartnera or trim(:kodPartnera) = 'svi')
 and v.vVrsDo in('20', '24')  
 and v.vDVO between :DVOracunaOd and :DVOracunaDo
 and v.DVO > valuta   /* DVO = valuta naplate-virmana lijevo je virman*/
 and iznosVeze > 0
 
union all
 /* virman desno račun lijevo u tabeli veze, izabiremo ključ računa iz veze (ljevo), valutu računa iz gk_stavke i datumNaplate kao DVO virmana(desno veze) */

select 
v.konto as konto, v.kodPartnera as kodPartnera, v.vrsDo as vrsDo, v.broDo as broDo, v.DVO as DVOracuna, valuta as valutaRacuna, iznosDug as ukupniIznosRacuna, v.vDVO as datumNaplate, iznosVeze as glavnica
from veze as v
inner join gk_stavke as g on g.konto=v.konto  and g.vrsDo = v.vrsDo and g.broDo = v.broDo
where v.konto = :konto 
 and (v.kodPartnera = :kodPartnera or trim(:kodPartnera) = 'svi')
 and v.vrsDo in('20', '24')  
 and v.DVO between :DVOracunaOd and :DVOracunaDo
 and v.vDVO > valuta   /* DVO = valuta naplate-virmana  desno je virman*/
 and iznosVeze > 0

union all

/*  ovdje dolje se obuhvaćaju samo otvoreni iznosi računa(cijeli račun ili dio(neplaćen)) jer su gore obuhvaćeni plaćeni cijeli ili dio */
select
  konto, kodPartnera, vrsDo, broDo, DVO as DVOracuna, valuta as valutaRacuna, iznosDug as ukupniIznosRacuna, '2999-01-01 00:00:00' as datumNaplate,  iznosOtv as glavnica 
  from gk_stavke
  where konto = :konto 
 and (kodPartnera = :kodPartnera or trim(:kodPartnera) = 'svi')
 and vrsDo in('20', '24')  
 and DVO between :DVOracunaOd and :DVOracunaDo
 and iznosOtv > 0 
 
ORDER BY konto, kodPartnera, DVOracuna, broDo, datumNaplate
";
        
    $DVOracunaOd_o = new DateTime($DVOracunaOd);
    $DVOracunaDo_o = new DateTime($DVOracunaDo);
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $konto);
        $statement->bindValue(':kodPartnera', $kodPartnera);     
        $statement->bindValue(':DVOracunaOd', $DVOracunaOd_o->format("Y-m-d H:i:s"));
        $statement->bindValue(':DVOracunaDo', $DVOracunaDo_o->format("Y-m-d H:i:s"));
        $statement->execute();
        $stavkeZaKamate = $statement->fetchAll();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
    return $stavkeZaKamate;
}    
function radiKamIntervalePoKamStopama($valutaRacuna,$datumNaplate)   {
    global $db;
    /*  kamatne stope
   * --------31.12.2015-01.01.2016-----------30.06.2016-01.07.2016-----------31.12.2016_01.01.2017--------------30.06.2017__01.07.2017_------------------------------31.12.2017
   R1                             VAL.30.04.                                                           PL.15.05                                             
   R2                                                                                                                                     VAL.03.08.      PL.18.08.2017
   * stavkaKam može imati jednu stopu, ili se proteže na više kamatnih stopa
   */        
    $query = '
        SELECT datumOd, datumDo, kamatnaStopa
        FROM kamatneStope
        WHERE (:valutaRacuna >= datumOd and :valutaRacuna <= datumDo and :datumNaplate >= datumDo)   /* prvi interval - uglavnom srezan s sljeva(s desna nikad) */
        or (:valutaRacuna <= datumOd and :datumNaplate >= datumDo)   /* među intervali   uzimaju se cijeli za kamaćenje*/
        or (:datumNaplate >= datumOd and :datumNaplate <= datumDo and :valutaRacuna <= datumOd)   /* zadnji interval - uglavnom srezan s desna(s lijeva nikad) */  
        or (:valutaRacuna >= datumOd and :datumNaplate <= datumDo) /* jedini interval može biti srezan s ljeva i s desna */
         ' 
         ;
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':valutaRacuna', $valutaRacuna);
        $statement->bindValue(':datumNaplate', $datumNaplate);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }            
} 
function zadnjiBrojKamate() {
    global $db;
    $query = 'SELECT IFNULL(MAX(brojKamate),0) AS zadnji_broj
		FROM kamateZaglavlje';
		
    $statement = $db->prepare($query);  
    $statement->execute();
    $zadnji_broj = $statement->fetch();
    $statement->closeCursor();
    return $zadnji_broj;
 }
function get_kamate_zaglavlja($konto,$kodPartnera,$DVOkamateOd,$DVOkamateDo,$brojKamateOd,$brojKamateDo) {   
    global $db;
    $query = "
        SELECT *
        FROM kamateZaglavlje
        WHERE (konto = :konto or trim(:konto) = '')
        and (kodPartnera = :kodPartnera or trim(:kodPartnera) = 'svi')
        and ( (DVOkamate >= :DVOkamateOd and DVOkamate <= :DVOkamateDo) or (trim(:DVOkamateOd) = '' and trim(:DVOkamateDo) = '') )
        and ( ( brojKamate >= :brojKamateOd and brojKamate <= :brojKamateDo ) or ( trim(:brojKamateOd) = '' and trim(:brojKamateDo) = '' ) )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $konto);
        $statement->bindValue(':kodPartnera', $kodPartnera);  
        $statement->bindValue(':brojKamateOd', $brojKamateOd);  
        $statement->bindValue(':brojKamateDo', $brojKamateDo);   
         if (trim($DVOkamateOd) !='') {           
           $DVOkamateOd_o = new DateTime($DVOkamateOd);
           $DVOkamateOd = $DVOkamateOd_o->format("Y-m-d H:i:s");        
        }    
        if (trim($DVOkamateDo) !='') {           
           $DVOkamateDo_o = new DateTime($DVOkamateDo);
           $DVOkamateDo = $DVOkamateDo_o->format("Y-m-d H:i:s");        
        }   
        $statement->bindValue(':DVOkamateOd', $DVOkamateOd);
        $statement->bindValue(':DVOkamateDo', $DVOkamateDo);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}
function get_kamate_stavke($brojKamate) {
    global $db;
    $query = "
        SELECT *
        FROM kamateStavke        
        WHERE         
        brojKamate = :brojKamate";
        
 //      ORDER BY K4, K3, R3";
    try {
        $statement = $db->prepare($query);      
        $statement->bindValue(':brojKamate', $brojKamate);        
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}

function add_kamate_zaglavlje($brojKamate,$konto,$kodPartnera,$DVOkamate,$valutaKamate,$DVOracunaOd,$DVOracunaDo,$sviIliSamoCasa,$tekstDolje) {
    global $db;    
    // kontrola da stavka već postoji ako postoji ne ide dalje(vjerojatno se ubacuje drugi konto u stavke
    // a ako je stvarno duplo onda će to biti echo kod dodavanja stavki

    $email_user = $_SESSION['admin']['email'];
    $query = "
        INSERT INTO kamateZaglavlje
        (
            brojKamate,konto,kodPartnera,DVOkamate,valutaKamate,DVOracunaOd,DVOracunaDo,sviIliSamoCasa,tekstDolje,datumOtvaranja,tkoJeIzmjenio          
        )
        VALUES
        (
            :brojKamate,:konto,:kodPartnera,:DVOkamate,:valutaKamate,:DVOracunaOd,:DVOracunaDo,:sviIliSamoCasa,:tekstDolje,NOW(),:email_user         
        )";   
    $DVOkamate_o = new DateTime($DVOkamate);
    $valutaKamate_o = new DateTime($valutaKamate);
    $DVOracunaOd_o = new DateTime($DVOracunaOd);
    $DVOracunaDo_o = new DateTime($DVOracunaDo);
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':brojKamate', $brojKamate);
        $statement->bindValue(':konto', $konto);       
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':sviIliSamoCasa', $sviIliSamoCasa);
        $statement->bindValue(':DVOkamate', $DVOkamate_o->format("Y-m-d H:i:s"));
        $statement->bindValue(':valutaKamate', $valutaKamate_o->format("Y-m-d H:i:s"));
        $statement->bindValue(':DVOracunaOd', $DVOracunaOd_o->format("Y-m-d H:i:s"));
        $statement->bindValue(':DVOracunaDo', $DVOracunaDo_o->format("Y-m-d H:i:s"));
        $statement->bindValue(':tekstDolje', $tekstDolje);                        
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        //return $poreznaGrupa;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
   
}

function add_kamate_stavke($brojKamate,$brojStavke,$brojRacuna,$DVOracuna,$valutaRacuna,$ukupniIznosRacuna,$datumNaplate,$datumOd,$datumDo,$brojDana,
        $glavnica,$vrstaKamStope,$kamatnaStopa,$iznosKamata) {
    global $db;
    $email_user = $_SESSION['admin']['email'];

 //   $imaNemaRacuna=get_kamate_stavke1($OIB,$NaDan,$K3,$R2,$K2);
 // if (empty($imaNemaRacuna))  {
    $email_user = $_SESSION['admin']['email'];
    $query = "
        INSERT INTO kamateStavke
        (
        brojKamate,brojStavke,brojRacuna,DVOracuna,valutaRacuna,ukupniIznosRacuna,datumNaplate,datumOd,datumDo,brojDana,
        glavnica,vrstaKamStope,kamatnaStopa,iznosKamata,datumOtvaranja,tkoJeIzmjenio        
        )
        VALUES
        (
        :brojKamate,:brojStavke,:brojRacuna,:DVOracuna,:valutaRacuna,:ukupniIznosRacuna,:datumNaplate,:datumOd,:datumDo,:brojDana,
        :glavnica,:vrstaKamStope,:kamatnaStopa,:iznosKamata,NOW(),:email_user          
        )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':brojKamate',$brojKamate);
        $statement->bindValue(':brojStavke',$brojStavke);
        $statement->bindValue(':brojRacuna',$brojRacuna);
        $DVOracuna_o = new DateTime($DVOracuna);
        $statement->bindValue(':DVOracuna',$DVOracuna_o->format("Y-m-d H:i:s"));
        $valutaRacuna_o = new DateTime($valutaRacuna);
        $statement->bindValue(':valutaRacuna',$valutaRacuna_o->format("Y-m-d H:i:s"));
        $statement->bindValue(':ukupniIznosRacuna',$ukupniIznosRacuna);
        $datumNaplate_o = new DateTime($datumNaplate);
        $statement->bindValue(':datumNaplate',$datumNaplate_o->format("Y-m-d H:i:s"));
        $datumOd_o = new DateTime($datumOd);
        $statement->bindValue(':datumOd',$datumOd_o->format("Y-m-d H:i:s"));
        $datumDo_o = new DateTime($datumDo);
        $statement->bindValue(':datumDo',$datumDo_o->format("Y-m-d H:i:s"));
        $statement->bindValue(':brojDana',$brojDana);
        $statement->bindValue(':glavnica',$glavnica);
        $statement->bindValue(':vrstaKamStope',$vrstaKamStope);
        $statement->bindValue(':kamatnaStopa',$kamatnaStopa);
        $statement->bindValue(':iznosKamata',$iznosKamata);                
        $statement->bindValue(':email_user',$email_user);
        $statement->execute();
        $statement->closeCursor();
        //return $poreznaGrupa;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    } 
}
function delete_kamate($konto,$kodPartnera,$DVOkamateOd,$DVOkamateDo,$brojKamateOd,$brojKamateDo,$sviIliSamoCasa='svi') {
    global $db;        
    $query = "DELETE s.* FROM kamateStavke s
        inner join kamateZaglavlje z on s.brojKamate = z.brojKamate
        WHERE
           ( konto = :konto or trim(:konto) = '' )
              and ( (DVOkamate >= :DVOkamateOd and DVOkamate <= :DVOkamateDo) or (trim(:DVOkamateOd) = '' and trim(:DVOkamateDo) = '') )
              and ( kodPartnera = :kodPartnera or trim(:kodPartnera) = 'svi' )
              and ( sviIliSamoCasa = :sviIliSamoCasa or trim(:sviIliSamoCasa) = 'svi' )
              and ( ( s.brojKamate >= :brojKamateOd and s.brojKamate <= :brojKamateDo ) or ( trim(:brojKamateOd) = '' and trim(:brojKamateDo) = '' ) )    
             ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $konto);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':sviIliSamoCasa', $sviIliSamoCasa);
        $statement->bindValue(':brojKamateOd', $brojKamateOd);
        $statement->bindValue(':brojKamateDo', $brojKamateDo);
        if (trim($DVOkamateOd) !='') {           
           $DVOkamateOd_o = new DateTime($DVOkamateOd);
           $DVOkamateOd = $DVOkamateOd_o->format("Y-m-d H:i:s");        
        }    
        if (trim($DVOkamateDo) !='') {           
           $DVOkamateDo_o = new DateTime($DVOkamateDo);
           $DVOkamateDo = $DVOkamateDo_o->format("Y-m-d H:i:s");        
        }            
        $statement->bindValue(':DVOkamateOd', $DVOkamateOd);
        $statement->bindValue(':DVOkamateDo', $DVOkamateDo);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
//  brojač obrisanih
    $query = "SELECT COUNT(*) AS brojObrisanih from kamateZaglavlje
          where ( konto = :konto or trim(:konto) = '' )
              and ( (DVOkamate >= :DVOkamateOd and DVOkamate <= :DVOkamateDo) or (trim(:DVOkamateOd) = '' and trim(:DVOkamateDo) = '') )
              and ( kodPartnera = :kodPartnera or trim(:kodPartnera) = 'svi' )
              and ( sviIliSamoCasa = :sviIliSamoCasa or trim(:sviIliSamoCasa) = 'svi' )
              and ( ( brojKamate >= :brojKamateOd and brojKamate <= :brojKamateDo ) or ( trim(:brojKamateOd) = '' and trim(:brojKamateDo) = '' ) )            
              ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $konto);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':sviIliSamoCasa', $sviIliSamoCasa);
        $statement->bindValue(':brojKamateOd', $brojKamateOd);
        $statement->bindValue(':brojKamateDo', $brojKamateDo);
        if (trim($DVOkamateOd) !='') {           
           $DVOkamateOd_o = new DateTime($DVOkamateOd);
           $DVOkamateOd = $DVOkamateOd_o->format("Y-m-d H:i:s");        
        }    
        if (trim($DVOkamateDo) !='') {           
           $DVOkamateDo_o = new DateTime($DVOkamateDo);
           $DVOkamateDo = $DVOkamateDo_o->format("Y-m-d H:i:s");        
        }            
        $statement->bindValue(':DVOkamateOd', $DVOkamateOd);
        $statement->bindValue(':DVOkamateDo', $DVOkamateDo);
        $statement->execute();
        $brojObrisanih = $statement->fetch();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
    
    
    $query = "DELETE from kamateZaglavlje
          where ( konto = :konto or trim(:konto) = '' )
              and ( (DVOkamate >= :DVOkamateOd and DVOkamate <= :DVOkamateDo) or (trim(:DVOkamateOd) = '' and trim(:DVOkamateDo) = '') )
              and ( kodPartnera = :kodPartnera or trim(:kodPartnera) = 'svi' )
              and ( sviIliSamoCasa = :sviIliSamoCasa or trim(:sviIliSamoCasa) = 'svi' )
              and ( ( brojKamate >= :brojKamateOd and brojKamate <= :brojKamateDo ) or ( trim(:brojKamateOd) = '' and trim(:brojKamateDo) = '' ) )            
              ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $konto);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':sviIliSamoCasa', $sviIliSamoCasa);
        $statement->bindValue(':brojKamateOd', $brojKamateOd);
        $statement->bindValue(':brojKamateDo', $brojKamateDo);
        if (trim($DVOkamateOd) !='') {           
           $DVOkamateOd_o = new DateTime($DVOkamateOd);
           $DVOkamateOd = $DVOkamateOd_o->format("Y-m-d H:i:s");        
        }    
        if (trim($DVOkamateDo) !='') {           
           $DVOkamateDo_o = new DateTime($DVOkamateDo);
           $DVOkamateDo = $DVOkamateDo_o->format("Y-m-d H:i:s");        
        }            
        $statement->bindValue(':DVOkamateOd', $DVOkamateOd);
        $statement->bindValue(':DVOkamateDo', $DVOkamateDo);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
    return $brojObrisanih;
}
function pregled_kamata($konto,$kodPartnera,$DVOkamateOd,$DVOkamateDo,$brojKamateOd,$brojKamateDo,$sviIliSamoCasa='svi') {
    global $db;        
    $query = "select z.brojKamate, konto, kodPartnera, DVOkamate, valutaKamate, DVOracunaOd, DVOracunaDo, sviIliSamoCasa, sum(s.iznosKamata) as iznosKamata from kamateZaglavlje z
        inner join kamateStavke s on s.brojKamate = z.brojKamate        
        WHERE
           ( konto = :konto or trim(:konto) = '' )
              and ( (DVOkamate >= :DVOkamateOd and DVOkamate <= :DVOkamateDo) or (trim(:DVOkamateOd) = '' and trim(:DVOkamateDo) = '') )
              and ( kodPartnera = :kodPartnera or trim(:kodPartnera) = 'svi' )
              and ( sviIliSamoCasa = :sviIliSamoCasa or trim(:sviIliSamoCasa) = 'svi' )
              and ( ( s.brojKamate >= :brojKamateOd and s.brojKamate <= :brojKamateDo ) or ( trim(:brojKamateOd) = '' and trim(:brojKamateDo) = '' ) )  
         group by s.brojKamate        
             ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':konto', $konto);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':sviIliSamoCasa', $sviIliSamoCasa);
        $statement->bindValue(':brojKamateOd', $brojKamateOd);
        $statement->bindValue(':brojKamateDo', $brojKamateDo);
        if (trim($DVOkamateOd) !='') {           
           $DVOkamateOd_o = new DateTime($DVOkamateOd);
           $DVOkamateOd = $DVOkamateOd_o->format("Y-m-d H:i:s");        
        }    
        if (trim($DVOkamateDo) !='') {           
           $DVOkamateDo_o = new DateTime($DVOkamateDo);
           $DVOkamateDo = $DVOkamateDo_o->format("Y-m-d H:i:s");        
        }            
        $statement->bindValue(':DVOkamateOd', $DVOkamateOd);
        $statement->bindValue(':DVOkamateDo', $DVOkamateDo);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;        
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
   
}

/* 
 *   kamatne stope
 */

function get_kamatneStope() {
    global $db;
    $query = "SELECT * FROM kamatneStope"; 
	try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_kamatnaStopa($vrstaKamStope,$datumOd) {
    global $db;
    $query = "SELECT * FROM kamatneStope 
            WHERE vrstaKamStope = :vrstaKamStope and datumOd = :datumOd"; 
	try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaKamStope', $vrstaKamStope);
        $datumOd_o = new DateTime($datumOd);
        $datumOd = $datumOd_o->format("Y-m-d");            
        $statement->bindValue(':datumOd', $datumOd);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_kamatneStopePoVrsti($vrstaKamStope) {
    global $db;
    $query = "SELECT * FROM kamatneStope WHERE vrstaKamStope=:vrstaKamStope"; 
	try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaKamStope', $vrstaKamStope);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function add_kamatnaStopa($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = "
        INSERT INTO kamatneStope
        (
            vrstaKamStope,
            datumOd,
            datumDo,
            nazivKamate,
            kamatnaStopa,
            datumOtvaranja,
            tkoJeIzmjenio
        )
        VALUES
        (
            :vrstaKamStope,
            :datumOd,
            :datumDo,
            :nazivKamate,
            :kamatnaStopa,
            NOW(), 
            :email_user 
        )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaKamStope', $slog['vrstaKamStope']);
        $d = new DateTime($slog['datumOd']);
        $statement->bindValue(':datumOd', $d->format("Y-m-d"));        
        $d = new DateTime($slog['datumDo']);
        $statement->bindValue(':datumDo', $d->format("Y-m-d"));
        
        $statement->bindValue(':nazivKamate', $slog['nazivKamate']);
        $statement->bindValue(':kamatnaStopa', str_replace(',', '.', $slog['kamatnaStopa']));
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        //return $poreznaGrupa;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_kamatneStope($slog) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE kamatneStope
        SET 
            vrstaKamStope = :vrstaKamStope,
            datumOd = :datumOd,
            datumDo = :datumDo,
            nazivKamate = :nazivKamate,
            kamatnaStopa = :kamatnaStopa,
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE vrstaKamStope = :vrstaKamStope and datumOd = :datumOd';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaKamStope', $slog['vrstaKamStope']);
        $d = new DateTime($slog['datumOd']);
        $statement->bindValue(':datumOd', $d->format("Y-m-d"));        
        $d = new DateTime($slog['datumDo']);
        $statement->bindValue(':datumDo', $d->format("Y-m-d"));
        $statement->bindValue(':nazivKamate', $slog['nazivKamate']);
        $statement->bindValue(':kamatnaStopa', str_replace(',', '.', $slog['kamatnaStopa']));
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_kamatnaStopa($vrstaKamStope,$datumOd) {  
    global $db;
    $query = 'DELETE FROM kamatneStope WHERE vrstaKamStope = :vrstaKamStope and datumOd = :datumOd';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaKamStope', $vrstaKamStope);
        $datumOd_o = new DateTime($datumOd);
        $datumOd = $datumOd_o->format("Y-m-d");            
        $statement->bindValue(':datumOd', $datumOd);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
?>
