<?php
function nema_konta_u_konta($brojTemeljnice, $konto, $vrsDo, $DVOod, $DVOdo) {
    global $db;
    $query = "
select g.brojTemeljnice, g.brojStavke, g.vrsDo, g.broDo, g.brojIzvoda, g.konto, g.kodPartnera, g.DVO
from gk_stavke as g
left outer join konta as k on k.konto=g.konto
where k.konto is null 
and (g.brojTemeljnice=:brojTemeljnice or trim(:brojTemeljnice)='' or trim(:brojTemeljnice)='0')
and (trim(:vrsDo)='' or g.vrsDo=:vrsDo)
and (g.konto=:konto or trim(:konto)='')
and g.DVO between :DVOOd and :DVODo 
";
    $statement = $db->prepare($query);
    $statement->bindValue(':brojTemeljnice', $brojTemeljnice);
    $statement->bindValue(':vrsDo', $vrsDo);
    $statement->bindValue(':konto', $konto);    
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->execute();
    $dokument = $statement->fetchAll();
    $statement->closeCursor();
    return $dokument;
}

function nema_partnera_u_partner($brojTemeljnice, $konto, $vrsDo, $DVOod, $DVOdo) {
    global $db;
    $query = "
select g.brojTemeljnice, g.brojStavke, g.vrsDo, g.broDo, g.brojIzvoda, g.konto, g.kodPartnera, g.DVO
from gk_stavke as g
left outer join partner as p on p.kodPartnera=g.kodPartnera
where p.kodPartnera is null and trim(g.kodPartnera)<>''
and (g.brojTemeljnice=:brojTemeljnice or trim(:brojTemeljnice)='' or trim(:brojTemeljnice)='0')
and (trim(:vrsDo)='' or g.vrsDo=:vrsDo)
and (g.konto=:konto or trim(:konto)='')
and g.DVO between :DVOOd and :DVODo
";
    $statement = $db->prepare($query);
    $statement->bindValue(':brojTemeljnice', $brojTemeljnice);
    $statement->bindValue(':vrsDo', $vrsDo);
    $statement->bindValue(':konto', $konto);  
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);
    $statement->bindValue(':DVOOd', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVODo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->execute();
    $dokument = $statement->fetchAll();
    $statement->closeCursor();
    return $dokument;
}

function razlike_robno_sk($DVOod,$DVOdo,$vrstaDokumenta) {
    global $db;
    if($vrstaDokumenta=='ulazi') {
        $query = "
        select d.proda, d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi, d.broj, gk.konto, gk.`brojTemeljnice`, gk.`brojStavke`, zaNaplatu, gk.iznosDug+gk.iznosPot as iznos_sk, 
        DVO_robno, date(gk.DVO) as DVO_sk, valuta_robno, date(gk.valuta) as valuta_sk
        from
        ( 
        SELECT 
        z.proda, z.vrsDo, z.proIn, z.zapis, z.broDo, z.verzi, date(z.DVO) as DVO_robno, date(z.valuta) as valuta_robno, 
        concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),'')) as broj,
        iznosZaNaplatuDobavljacu as zaNaplatu
        FROM kalkulacije as k
        join dok_zag as z on z.proda=k.proda and z.`vrsDo`=1 and z.`proIn`=k.`proIn` 
        and z.zapis=k.zapis and z.`broDo`=k.`broDo` and z.verzi=k.verzi
        where z.DVO between :DVOod and :DVOdo
        ) as d
        join gk_stavke as gk on  gk.broDo=broj
        where gk.vrsDo='10' and gk.konto like '220%'
        and (DVO_Robno<>date(gk.DVO) or valuta_robno<>date(gk.valuta) or zaNaplatu<>gk.iznosDug+gk.iznosPot) 
            
        ";
    }
    else {
        $query = "
        select d.proda, d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi, d.broj, gk.konto, gk.`brojTemeljnice`, gk.`brojStavke`, zaNaplatu, gk.iznosDug+gk.iznosPot as iznos_sk, 
        DVO_robno, date(gk.DVO) as DVO_sk, valuta_robno, date(gk.valuta) as valuta_sk, vrstaPoslovnice
        from ( 
        SELECT z.proda, z.vrsDo, z.proIn, z.zapis, z.broDo, z.verzi, 
        date(z.DVO) as DVO_robno, date(z.valuta) as valuta_robno, concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),'')) as broj,
        0 as zaNaplatu, p.`vrstaPoslovnice`
        FROM dok_zag as z
        join poslovnice as p on p.`kodPoslovnice`=z.proda
        where z.DVO between :DVOod and :DVOdo
        and z.vrsDo='5'
        ) as d
        join gk_stavke as gk on  gk.broDo=broj
        where gk.vrsDo='20' and gk.konto like '120%'            
        ";
        include_once 'model/dokumenti_db.php'; 
    }
    $statement = $db->prepare($query);
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);
    $statement->bindValue(':DVOod', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVOdo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->execute();
    $dokument = $statement->fetchAll();
    $statement->closeCursor();
    
    if($vrstaDokumenta=='izlazi') {
        $pom=array();
        foreach ($dokument as $i => $slog) {
        //foreach ($dokument as $slog) {
            $zbroj=zbroj_po_dok($slog['proda'], $slog['vrsDo'], $slog['proIn'], $slog['zapis'], $slog['broDo'], $slog['verzi']);
            //$poslovnica=get_poslovnica($slog['proda']);
            if($slog['vrstaPoslovnice'] == '0')
                $zaNaplatu=$zbroj['zaNaplatuVPC'];
            else
                $zaNaplatu=$zbroj['zaNaplatu'];
            if($slog['DVO_robno']!=$slog['DVO_sk'] || $slog['valuta_robno']!=$slog['valuta_sk'] || floatval($zaNaplatu)!= floatval($slog['iznos_sk'])) {
                unset($slog['vrstaPoslovnice']);
                unset($slog[16]);
                $poslovnica=get_poslovnica($slog['proda']);
                $slog['zaNaplatu']=$zaNaplatu;
                $pom[]=$slog;
            }
        }
        return $pom;
    }
    
    return $dokument;
}

function razliciti_partneri($DVOod,$DVOdo,$vrstaDokumenta) {
    global $db;
    if($vrstaDokumenta=='ulazi') {
        $query = "
        select d.proda, d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi, d.broj, gk.konto, gk.`brojTemeljnice`, gk.`brojStavke`, 
        d.kodPartnera as partner_u_robno, gk.kodPartnera as partner_u_gk
        from
        ( 
        SELECT 
        z.proda, z.vrsDo, z.proIn, z.zapis, z.broDo, z.verzi, z.kodPartnera, 
        concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),'')) as broj
        FROM kalkulacije as k
        join dok_zag as z on z.proda=k.proda and z.`vrsDo`=1 and z.`proIn`=k.`proIn` 
        and z.zapis=k.zapis and z.`broDo`=k.`broDo` and z.verzi=k.verzi
        where z.DVO between :DVOod and :DVOdo
        ) as d
        join gk_stavke as gk on  gk.broDo=broj
        where gk.vrsDo='10' and gk.konto like '220%'
        and d.kodPartnera<>gk.`kodPartnera`
            
        ";
    }
    else {
        $query = "
        select d.proda, d.vrsDo, d.proIn, d.zapis, d.broDo, d.verzi, d.broj, gk.konto, gk.`brojTemeljnice`, gk.`brojStavke`,
        d.kodPartnera as partner_u_robno, gk.kodPartnera as partner_u_gk
        from ( 
        SELECT z.proda, z.vrsDo, z.proIn, z.zapis, z.broDo, z.verzi, z.kodPartnera,
        concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),'')) as broj
        FROM dok_zag as z
        join poslovnice as p on p.`kodPoslovnice`=z.proda
        where z.DVO between :DVOod and :DVOdo
        and z.vrsDo='5'
        ) as d
        join gk_stavke as gk on  gk.broDo=broj
        where gk.vrsDo='20' and gk.konto like '120%'            
        and d.kodPartnera<>gk.`kodPartnera`
        ";
    }
    $statement = $db->prepare($query);
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);
    $statement->bindValue(':DVOod', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVOdo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->execute();
    $dokument = $statement->fetchAll();
    $statement->closeCursor();
    
    return $dokument;
}


function robno_ne_postoji_u_sk($DVOod,$DVOdo,$vrstaDokumenta) {
    global $db;
    if($vrstaDokumenta=='ulazi') {
        $query = "
        SELECT z.proda, z.vrsDo, z.proIn, z.zapis, z.broDo, z.verzi, z.DVO, z.valuta -- , 
        -- concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),'')) as broj, 0 as zaNaplatu
        FROM kalkulacije as k
        join dok_zag as z on z.proda=k.proda and z.`vrsDo`=1 and z.`proIn`=k.`proIn` 
        and z.zapis=k.zapis and z.`broDo`=k.`broDo` and z.verzi=k.verzi
        left outer join gk_stavke as gk on gk.broDo=concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),'')) 
        and gk.vrsDo like '1%' and gk.konto like '22%'
        where z.DVO between :DVOod and :DVOdo
        and gk.broDo is null
        order by z.proda, z.broDo
        ";
    }
    else {
        /*
        $query = "
        SELECT z.proda, z.vrsDo, z.proIn, z.zapis, z.broDo, z.verzi, z.DVO, z.valuta -- , 
        -- concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),'')) as broj, 0 as zaNaplatu
        FROM dok_zag as z
        left outer join gk_stavke as gk on gk.broDo=concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),'')) 
        and gk.vrsDo like '2%' and gk.konto like '12%'
        where z.DVO between :DVOod and :DVOdo
        and z.vrsDo='5'
        and z.verzi <> 'EV'
        and gk.broDo is null
        order by z.proda, z.broDo
        ";
         */
        $query = "
        SELECT z.proda, z.vrsDo, z.proIn, z.zapis, z.broDo, z.verzi, z.DVO, z.valuta -- , 
        -- ifnull(brojD,concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),''))) as broj
        FROM dok_zag as z
        left outer join
        (
            select proda, vrsDo, proIn, zapis, broDo, verzi, 
            concat(proda,'-', brodo, if(trim(verzi)!='',concat('/',verzi),''),'/', count(*)) as brojD,
            count(*) as brojRata
            from rate_kartice
            where vrsDo='5'
            group by proda, vrsDo, proIn, zapis, broDo, verzi
        ) as r on r.proda=z.proda and r.vrsDo=z.vrsDo and r.proIn=z.proIn and r.zapis=z.zapis and r.broDo=z.broDo and r.verzi=z.verzi
        left outer join gk_stavke as gk 
        -- on (gk.broDo=ifnull(brojD,concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),''))) )
        on gk.broDo IN (ifnull(brojD,0), concat(z.proda,'-', z.brodo, if(trim(z.verzi)!='',concat('/',z.verzi),'')))
        and gk.vrsDo like '2%' and gk.konto like '12%'
        where z.DVO between :DVOod and :DVOdo
        and z.vrsDo='5'
        and z.verzi <> 'EV'
        and gk.broDo is null
        order by z.proda, z.broDo
        ";
    }
    $statement = $db->prepare($query);
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);
    $statement->bindValue(':DVOod', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVOdo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->execute();
    $dokument = $statement->fetchAll();
    $statement->closeCursor();
    return $dokument;
}

function sk_ne_postoji_u_robnom($DVOod,$DVOdo,$vrstaDokumenta) {
    global $db;
    if($vrstaDokumenta=='ulazi') {
        $query = "
        select 
        -- SUBSTRING(gk.broDo,1,locate('-',gk.broDo)-1) as proda, 
        -- if(locate('/',gk.broDo)>0,
        --    SUBSTRING(gk.broDo,locate('-',gk.broDo)+1, length(gk.broDo)-locate('-',gk.broDo) - (length(gk.broDo)-locate('/',gk.broDo)+1)),
        --    SUBSTRING(gk.broDo,locate('-',gk.broDo)+1, length(gk.broDo))) as broj,
        -- if(locate('/',gk.broDo)>0,SUBSTRING(gk.broDo,locate('/',gk.broDo)+1, length(gk.broDo)), '') as verzi,
        gk.brojTemeljnice, gk.brojStavke,gk.kodPartnera, gk.BroDo, gk.DVO, gk.`iznosDug`-gk.`iznosPot` as iznos
        from gk_stavke as gk
        left outer join kalkulacije as z 
        on z.proda=SUBSTRING(gk.broDo,1,locate('-',gk.broDo)-1) 
        and z.vrsDo='K' and z.proIn='' and z.zapis='' 
        and z.broDo=if(locate('/',gk.broDo)>0,SUBSTRING(gk.broDo,locate('-',gk.broDo)+1, length(gk.broDo)-locate('-',gk.broDo) - (length(gk.broDo)-locate('/',gk.broDo)+1)), SUBSTRING(gk.broDo,locate('-',gk.broDo)+1, length(gk.broDo))) 
        and z.verzi=if(locate('/',gk.broDo)>0,SUBSTRING(gk.broDo,locate('/',gk.broDo)+1, length(gk.broDo)), '')
        where gk.DVO between :DVOod and :DVOdo
        and gk.vrsDo='10' and gk.konto like '220%'
        and z.broDo is null
        ";
    }
    else {
        $query = "
        select 
        -- SUBSTRING(gk.broDo,1,locate('-',gk.broDo)-1) as proda, 
        -- if(locate('/',gk.broDo)>0,
        --    SUBSTRING(gk.broDo,locate('-',gk.broDo)+1, length(gk.broDo)-locate('-',gk.broDo) - (length(gk.broDo)-locate('/',gk.broDo)+1)),
        --    SUBSTRING(gk.broDo,locate('-',gk.broDo)+1, length(gk.broDo))) as broj,
        -- if(locate('/',gk.broDo)>0,SUBSTRING(gk.broDo,locate('/',gk.broDo)+1, length(gk.broDo)), '') as verzi,
        gk.brojTemeljnice, gk.brojStavke, gk.kodPartnera, gk.BroDo, gk.DVO, gk.`iznosDug`-gk.`iznosPot` as iznos
        from gk_stavke as gk
        left outer join dok_zag as z 
        on z.proda=SUBSTRING(gk.broDo,1,locate('-',gk.broDo)-1) 
        and z.vrsDo=5 -- and z.proIn='' and z.zapis='' 
        and z.broDo=if(locate('/',gk.broDo)>0,SUBSTRING(gk.broDo,locate('-',gk.broDo)+1, length(gk.broDo)-locate('-',gk.broDo) - (length(gk.broDo)-locate('/',gk.broDo)+1)), SUBSTRING(gk.broDo,locate('-',gk.broDo)+1, length(gk.broDo))) 
        and z.verzi=if(locate('/',gk.broDo)>0,SUBSTRING(gk.broDo,locate('/',gk.broDo)+1, length(gk.broDo)), '')

        left outer join
        (
            select proda, vrsDo, proIn, zapis, broDo, verzi, 
            concat(proda,'-', brodo, if(trim(verzi)!='',concat('/',verzi),''),'/', brojStavke) as brojD
            from rate_kartice
            where vrsDo='5'
        ) as r on r.brojD=gk.broDo
  
      where gk.DVO between :DVOod and :DVOdo
        and gk.vrsDo='20' and gk.konto like '120%'
        and z.broDo is null and r.brojD is null
        ";
    }
    $statement = $db->prepare($query);
    $DVO_o = new DateTime($DVOod);
    $DVO_o2 = new DateTime($DVOdo);
    $statement->bindValue(':DVOod', $DVO_o->format("Y-m-d H:i:s"));
    $statement->bindValue(':DVOdo', $DVO_o2->format("Y-m-d H:i:s"));
    $statement->execute();
    $dokument = $statement->fetchAll();
    $statement->closeCursor();
    return $dokument;
}
?>