<?php
function get_opz_zaglavlje($OIB,$NaDan) {
    global $db;
    $query = '
        SELECT *
        FROM opz_zaglavlje
        WHERE OIB=:OIB AND NaDan=:NaDan';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':NaDan', $NaDan);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}
function get_opz_stavke($OIB,$NaDan,$konto='',$OIBkupca='') {
//    echo 'konto=' . $konto . 'OIBkupca=' . $OIBkupca;
    global $db;
    $query = "
        SELECT *
        FROM opz_stavke
        WHERE OIB=:OIB AND NaDan=:NaDan AND (:konto='' OR :konto=trim(konto)) AND (:OIBkupca='' OR :OIBkupca=K3)
        ORDER BY K4, K3, R3";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':NaDan', $NaDan);
        $statement->bindValue(':konto', $konto);
        $statement->bindValue(':OIBkupca', $OIBkupca);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}
function get_opz_stavke1($OIB,$NaDan,$K3,$R2,$K2) {
    global $db;
    $query = "
        SELECT *
        FROM opz_stavke
        WHERE OIB=:OIB AND NaDan=:NaDan AND K3=:K3 AND R2=:R2 AND K2=:K2";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':NaDan', $NaDan);
        $statement->bindValue(':K3', $K3);
        $statement->bindValue(':R2', $R2);
        $statement->bindValue(':K2', $K2);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}
function add_opz_zaglavlje($DatumOd,$DatumDo,$OIB,$Naziv,$Mjesto,$Ulica,$Broj,$EmailPo,$Ime,$Prezime,$Telefon,$Fax,$Email,$NaDan,$NisuNaplaceniDo) {
    global $db;    
    // kontrola da stavka već postoji ako postoji ne ide dalje(vjerojatno se ubacuje drugi konto u stavke
    // a ako je stvarno duplo onda će to biti echo kod dodavanja stavki
    $imaGaIliNema=get_opz_zaglavlje($OIB,$NaDan);
  if (empty($imaGaIliNema)) {
    $email_user = $_SESSION['admin']['email'];
    $query = "
        INSERT INTO opz_zaglavlje
        (
            DatumOd,
            DatumDo,
            OIB,
            Naziv,
            Mjesto,
            Ulica,
            Broj,
            EmailPo,
            Ime,
            Prezime,
            Telefon,
            Fax,
            Email,
            NaDan,
            NisuNaplaceniDo,
            datumOtvaranja,
            tkoJeIzmjenio
        )
        VALUES
        (
            :DatumOd,
            :DatumDo,
            :OIB,
            :Naziv,
            :Mjesto,
            :Ulica,
            :Broj,
            :EmailPo,
            :Ime,
            :Prezime,
            :Telefon,
            :Fax,
            :Email,
            :NaDan,
            :NisuNaplaceniDo,
            NOW(), 
            :email_user 
        )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':DatumOd', $DatumOd);
        $statement->bindValue(':DatumDo', $DatumDo);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':Naziv', $Naziv);
        $statement->bindValue(':Mjesto', $Mjesto);
        $statement->bindValue(':Ulica', $Ulica);
        $statement->bindValue(':Broj', $Broj);
        $statement->bindValue(':EmailPo', $EmailPo);
        $statement->bindValue(':Ime', $Ime);
        $statement->bindValue(':Prezime', $Prezime);
        $statement->bindValue(':Telefon', $Telefon);
        $statement->bindValue(':Fax', $Fax);
        $statement->bindValue(':Email', $Email);
        $statement->bindValue(':NaDan', $NaDan);
        $statement->bindValue(':NisuNaplaceniDo', $NisuNaplaceniDo);                
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        //return $poreznaGrupa;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
  }  
}
function update_opz_zaglavlje($DatumOd,$DatumDo,$OIB,$Naziv,$Mjesto,$Ulica,$Broj,$EmailPo,$Ime,$Prezime,$Telefon,$Fax,$Email,$NaDan,$NisuNaplaceniDo) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE opz_zaglavlje
        SET 
            DatumOd = :DatumOd,
            DatumDo = :DatumDo,
            Naziv = :Naziv,
            Mjesto = :Mjesto,
            Ulica = :Ulica,
            Broj = :Broj,
            Ime = :Ime,
            Prezime = :Prezime,
            Telefon = :Telefon,
            Fax = :Fax,
            Email = :Email,
            NisuNaplaceniDo = :NisuNaplaceniDo,
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE OIB = :OIB AND NaDan = :NaDan';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':DatumOd', $DatumOd);
        $statement->bindValue(':DatumDo', $DatumDo);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':Naziv', $Naziv);
        $statement->bindValue(':Mjesto', $Mjesto);
        $statement->bindValue(':Ulica', $Ulica);
        $statement->bindValue(':Broj', $Broj);
        $statement->bindValue(':EmailPo', $EmailPo);
        $statement->bindValue(':Ime', $Ime);
        $statement->bindValue(':Prezime', $Prezime);
        $statement->bindValue(':Telefon', $Telefon);
        $statement->bindValue(':Fax', $Fax);
        $statement->bindValue(':Email', $Email);
        $statement->bindValue(':NaDan', $NaDan);
        $statement->bindValue(':NisuNaplaceniDo', $NisuNaplaceniDo);                
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function add_opz_stavke($OIB,$NaDan,$K2,$K3,$K4,$R2,$R3,$R4,$R5,$R6,$R7,$R8,$R9,$R10,$konto) {
    global $db;
//    echo 'R6=' . $R6;
    // kontrola da stavka već postoji
    $imaNemaRacuna=get_opz_stavke1($OIB,$NaDan,$K3,$R2,$K2);
  if (empty($imaNemaRacuna))  {
    $email_user = $_SESSION['admin']['email'];
    $query = "
        INSERT INTO opz_stavke
        (
            OIB,
            NaDan,    
            K2,
            K3,
            K4,
            R2,
            R3,
            R4,
            R5,
            R6,
            R7,
            R8,
            R9,
            R10,
            konto,            
            datumOtvaranja,
            tkoJeIzmjenio
        )
        VALUES
        (
            :OIB,
            :NaDan,
            :K2,
            :K3,
            :K4,
            :R2,
            :R3,
            :R4,
            :R5,
            :R6,
            :R7,
            :R8,
            :R9,
            :R10,
            :konto,     
            NOW(), 
            :email_user 
        )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':NaDan', $NaDan);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':K2', $K2);
        $statement->bindValue(':K3', $K3);
        $statement->bindValue(':K4', $K4);
        $statement->bindValue(':R2', $R2);
        $statement->bindValue(':R3', $R3);
        $statement->bindValue(':R4', $R4);
        $statement->bindValue(':R5', $R5);
        $statement->bindValue(':R6', $R6);   
        $statement->bindValue(':R7', $R7);
        $statement->bindValue(':R8', $R8);
        $statement->bindValue(':R9', $R9);
        $statement->bindValue(':R10', $R10);
        $statement->bindValue(':konto', $konto);       
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        //return $poreznaGrupa;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
  } else {
      echo 'Stavka: ' . $OIB . ' ' . $NaDan . ' ' . $K3 . ' ' . $R2 . ' ' . $K2 . ' već postoji! </br>';
  }  
}
function update_opz_stavke($OIB,$NaDan,$K2,$K3,$K3Stari,$K4,$R2,$R2Stari,$R3,$R4,$R5,$R6,$R7,$R8,$R9,$R10,$konto) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    /* broj računa i oib kupca su u ključu mogu se mjenjati? bez brisanja ? */
    $query = "
        UPDATE opz_stavke
        (                  
        SET                   
            K4 = :K4,
            R3 = :R3,
            R4 = :R4,
            R5 = :R5,
            R6 = :R6,         
            R7 = :R7,
            R8 = :R8,
            R9 = :R9,
            R10 = :R10,
            konto = :konto,            
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
            WHERE OIB = :OIB AND NaDan = :NaDan AND K3 = :K3Stari AND R2 = :R2Stari AND K2 = :K2    
        )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':NaDan', $NaDan);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':K2', $K2);
        $statement->bindValue(':K3', $K3);
        $statement->bindValue(':K4', $K4);
        $statement->bindValue(':R2', $R2);
        $statement->bindValue(':R3', $R3);
        $statement->bindValue(':R4', $R4);
        $statement->bindValue(':R5', $R5);
        $statement->bindValue(':R6', $R6);
        $statement->bindValue(':R7', $R7);
        $statement->bindValue(':R8', $R8);
        $statement->bindValue(':R9', $R9);
        $statement->bindValue(':R10', $R10);
        $statement->bindValue(':konto', $konto);       
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        //return $poreznaGrupa;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function delete_opz($OIB,$NaDan) {
    global $db;
    $query = 'DELETE FROM opz_zaglavlje WHERE OIB = :OIB AND NaDan = :NaDan';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':NaDan', $NaDan);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
    $query = 'DELETE FROM opz_stavke WHERE OIB = :OIB AND NaDan = :NaDan';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':NaDan', $NaDan);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function delete_opz_1stavka($OIB,$NaDan,$K3,$R2) {
    global $db;
//    echo ' OIB=' . $OIB . ' nadan=' . $NaDan . ' k3=' . $K3 . ' r2=' . $R2;
//    exit;
    $query = 'DELETE FROM opz_stavke WHERE OIB = :OIB AND NaDan = :NaDan AND K3 = :K3 AND R2 = :R2';    
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':NaDan', $NaDan);
        $statement->bindValue(':K3', $K3);
        $statement->bindValue(':R2', $R2);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
}
function get_opz_pregled_zaglavlja() {
    global $db;
    $query = 'SELECT * FROM opz_zaglavlje'; 
	try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
?>
