<?php
function getMaticnaRadnikaZaObracunPlace($godinaObracuna, $mjesecObracuna, $vrstaPlace) {
// u obradu ulaze radnici kojima Datum prestanka radnog odnosa nije popunjen(datumPrestankaRO) (null ili space)i oni kojima je taj datum popunjen
// uz uvjet da su godina i mjesec datuma početka rada(pocetakRada) manji ili jednaki godini i mjesecu za koji se vrši obračun plaće,
// i ako je godina i mjesec datuma prestanka radnog odnosa ( ako je taj datum popunjen) jednak  ili veći od godine i mjeeca obračuna plaće
    global $db;   
    
    $query = "select * from maticna_radnika where :vrstaPlace = statusRadnika"; 
    try {
        $statement = $db->prepare($query);  
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
    //    return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
 
    $radniciZaObracun = array();
    $nulaMjesecObracuna = str_pad($mjesecObracuna,2,'0',STR_PAD_LEFT);
    foreach ($result as $r) {
        $dOd = new DateTime($r['pocetakRada']); 
        $nulaMod = str_pad($dOd->format("m"),2,'0',STR_PAD_LEFT);
        
        if ($r['datumPrestankaRO'] === null || trim($r['datumPrestankaRO']) == '' ) {               
            if ( ( $dOd->format("Y") . $nulaMod ) <= ($godinaObracuna . $nulaMjesecObracuna) )
                    $radniciZaObracun[] = $r; else continue; 
             // mjesec na dvije brojke s prethodnom nulom ako treba npr. 201907 ,ne 20197  strpad(prethodna 0 treba ? str_pad($value, 8, '0', STR_PAD_LEFT);           
        } else {
            // datumPrestankaRO je popunjen           
            $dDo = new DateTime($r['datumPrestankaRO']); 
            $nulaMdo = str_pad($dDo->format("m"),2,'0',STR_PAD_LEFT);
            
            if ( ($dOd->format("Y") . $nulaMod) <= ($godinaObracuna . $nulaMjesecObracuna) 
                    && ($dDo->format("Y") . $nulaMdo) >= ($godinaObracuna . $mjesecObracuna) )
                    $radniciZaObracun[] = $r; else continue;
        }
    } 
    return $radniciZaObracun;
}


function obracunDoprinosaPoreza($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,$JOPPD,$drugiStup,
         $kojaVrstaZaDjecu,$kojaVrstaZaUzdrzavane,$kojaVrstaZaInvalidnost,$opcinaPrebivalista,$imeIprezime,$vrstaObracuna) {
    $greska = ''; 
    $primici_po_obracunu = get_primici_po_obracunu($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $kodRadnika);
    // zbroj oporezivih primitaka = bruto plaća, osnovica za doprinose i nakon odbitka osnovica za poreze
    $brutoOsnovicaZaDoprinose = 0;
    $sumaNeoporeziviPrimici = 0;
    foreach ($primici_po_obracunu as $p) {
        if ( $p['oporezivPrimitak'] == 'D' ) $brutoOsnovicaZaDoprinose += $p['iznos']; else $sumaNeoporeziviPrimici += $p['iznos'];        
    } 

    $datum = $godinaObracuna . '-' . $mjesecObracuna . '-01'; 
    $doprinosi_porezi = get_doprinosi_porezi($datum);
// obračun doprinosa iz plaće i na plaću   
    $sumaDoprinosaIzPlace = 0;
    $vrstaObracunaBezDoprinosNaPlacu=array('0002','0010','0011','5702','0012','0009');
  
    foreach ($doprinosi_porezi as $d) {               
        if ($d['izIliNaPlacu'] == 'naPlacu') {           
           if ( in_array_trim(trim($vrstaObracuna),$vrstaObracunaBezDoprinosNaPlacu) ) {
               continue;
           }    
        }
        
        if ($d['izIliNaPlacu'] == 'izPlace' || $d['izIliNaPlacu'] == 'naPlacu' ) {            
            if ($drugiStup == 'D' and $d['vrstaDoprinosaPoreza'] == 'mir1st') continue;
            if ($drugiStup != 'D' and ( $d['vrstaDoprinosaPoreza'] == 'mir1s2' || $d['vrstaDoprinosaPoreza'] == 'mir2st') ) continue;
            if ( $vrstaPlace == 'ugdMir') {
                if ( $d['vrstaDoprinosaPoreza'] == 'mir1st' ) $d['stopaDoprinosaPoreza'] = 10;
                if ( $d['vrstaDoprinosaPoreza'] == 'zdravs' ) $d['stopaDoprinosaPoreza'] = 7.5;
            }   
            $iznosDoprinosaPoreza = round(($brutoOsnovicaZaDoprinose * $d['stopaDoprinosaPoreza'] / 100 ),2);
            if ($d['izIliNaPlacu'] == 'izPlace') $sumaDoprinosaIzPlace += $iznosDoprinosaPoreza;
          
            addObracunaniDoprinosPorez($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca, $kodRadnika,$d['vrstaDoprinosaPoreza'],
             $d['stopaDoprinosaPoreza'],$iznosDoprinosaPoreza,$d['modelPlatitelja'],$d['pozivNaBrojPlatitelja'],$d['IBAN'],
             $d['modelPrimatelja'],$d['pozivNaBrojPrimatelja'],$JOPPD);
        }
        
        // za poreze se pozivi na broj vade iz tabele doprinosi_porezi, a IBAN i prirez iz tabele opcine
        if ($d['vrstaDoprinosaPoreza'] == 'porez1') {
            $stopaPorez1 = $d['stopaDoprinosaPoreza'];
            $osnovicaPorez1 = $d['osnovica'];
            $modelPlatitelja1 = $d['modelPlatitelja'];
            $pozivNaBrojPlatitelja1 = $d['pozivNaBrojPlatitelja']; 
            $modelPrimatelja1 = $d['modelPrimatelja'];
            $pozivNaBrojPrimatelja1 = $d['pozivNaBrojPrimatelja'];
        }            
        if ($d['vrstaDoprinosaPoreza'] == 'porez2') {
            $stopaPorez2 = $d['stopaDoprinosaPoreza'];
            $osnovicaPorez2 = $d['osnovica'];
            $modelPlatitelja2 = $d['modelPlatitelja'];
            $pozivNaBrojPlatitelja2 = $d['pozivNaBrojPlatitelja'];
            $modelPrimatelja2 = $d['modelPrimatelja'];
            $pozivNaBrojPrimatelja2 = $d['pozivNaBrojPrimatelja'];
        }       
        if ($d['vrstaDoprinosaPoreza'] == 'porez3') {
            $stopaPorez3 = $d['stopaDoprinosaPoreza'];
            $osnovicaPorez3 = $d['osnovica'];
            $modelPlatitelja3 = $d['modelPlatitelja'];
            $pozivNaBrojPlatitelja3 = $d['pozivNaBrojPlatitelja'];
            $modelPrimatelja3 = $d['modelPrimatelja'];
            $pozivNaBrojPrimatelja3 = $d['pozivNaBrojPrimatelja'];
        } 
      
    }
// obračun poreza i prireza
    $dohodak =  $brutoOsnovicaZaDoprinose - $sumaDoprinosaIzPlace;
   
// računanje osobnog odbitka  
    $odbici = get_izracunaniOdbici($kojaVrstaZaDjecu,$kojaVrstaZaUzdrzavane,$kojaVrstaZaInvalidnost);
    $ukupniOdbitak = $odbici['ukupniOdbitak'];
        if ($vrstaPlace !='redPla') $ukupniOdbitak = 0;
    $osnovicaZaPorez = $dohodak - $ukupniOdbitak;
    if ($osnovicaZaPorez < 0) $iznosIskoristeniOdbitak = $ukupniOdbitak + $osnovicaZaPorez; else $iznosIskoristeniOdbitak = $ukupniOdbitak;
 
    $ukupniPorez = 0; $iznosPrireza = 0;
// izračun ukupnog poreza    
    if ($osnovicaZaPorez > 0) {
        
   // skomentirano 7.1.2020     $datumZaPrirez = $godinaObracuna . '-' . $mjesecObracuna . '-01';
   // primjer općina belica od 1.1.2020 ima prirez 0, a prije toga 1     
  // izmjena 07.01.2020
        if ($mjesecObracuna == 12 ) { 
            $datumZaPrirez = ($godinaObracuna + 1) . '-01-01';
        } else {
            $datumZaPrirez = $godinaObracuna . '-' . ($mjesecObracuna + 1) . '-01';
        }
      
        $opcinaPrirez = get_prirez_za_datum($opcinaPrebivalista,$datumZaPrirez);
    //    var_dump($opcinaPrirez);
        if (empty($opcinaPrirez)) {
            echo 'Nisu pronađeni važeći podaci o općini za kodRadnika=' . $kodRadnika . ', kod općine prebivališta=' . $opcinaPrebivalista
                  . ' ime i prezime='  . $imeIprezime
                  . '<br>u funkciji obracunDoprinosaPoreza, rezultat obračuna poreza za ovog radnika je neispravan !!! '; 
            $greska = 'Greška obračuna poreza u obracunDoprinosaPoreza !!!';
        }
        $IBANopcine = $opcinaPrirez['IBAN'];
        
        if ($osnovicaZaPorez <= $osnovicaPorez1)  {                 // samo jedna stopa poreza ide u obracun
            $porez = round(($osnovicaZaPorez * $stopaPorez1 / 100),2);
            $ukupniPorez += $porez;
            addObracunaniDoprinosPorez($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,'porez1',
              $stopaPorez1,$porez,$modelPlatitelja1,$pozivNaBrojPlatitelja1,$IBANopcine,
              $modelPrimatelja1,$pozivNaBrojPrimatelja1,$JOPPD);           
        }    
        
        if ($osnovicaZaPorez > $osnovicaPorez1 && $osnovicaZaPorez <= $osnovicaPorez2) {   // 2 stope poreza idu u obracun
            $porez = round( ($osnovicaPorez1 * $stopaPorez1 / 100),2 );
            $ukupniPorez += $porez;            
            addObracunaniDoprinosPorez($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,'porez1',
              $stopaPorez1,$porez,$modelPlatitelja1,$pozivNaBrojPlatitelja1,$IBANopcine,
              $modelPrimatelja1,$pozivNaBrojPrimatelja1,$JOPPD);   
            
            $porez = round( (($osnovicaZaPorez - $osnovicaPorez1) * $stopaPorez2 / 100),2 );
            $ukupniPorez += $porez;
            addObracunaniDoprinosPorez($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,'porez2',
              $stopaPorez2,$porez,$modelPlatitelja2,$pozivNaBrojPlatitelja2,$IBANopcine,
              $modelPrimatelja2,$pozivNaBrojPrimatelja2,$JOPPD);   
        }
        
        if ($osnovicaZaPorez > $osnovicaPorez2) {   // 3 stope poreza idu u obracun
            $porez = round(($osnovicaPorez1 * $stopaPorez1 / 100),2);
            $ukupniPorez += $porez;
            addObracunaniDoprinosPorez($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,'porez1',
              $stopaPorez1,$porez,$modelPlatitelja1,$pozivNaBrojPlatitelja1,$IBANopcine,
              $modelPrimatelja1,$pozivNaBrojPrimatelja1,$JOPPD);   
            $porez = round( (($osnovicaPorez2 - $osnovicaPorez1) * $stopaPorez2 / 100),2 );
            $ukupniPorez += $porez;
            addObracunaniDoprinosPorez($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,'porez2',
              $stopaPorez2,$porez,$modelPlatitelja2,$pozivNaBrojPlatitelja2,$IBANopcine,
              $modelPrimatelja2,$pozivNaBrojPrimatelja2,$JOPPD);   
            
            $porez = round( (($osnovicaZaPorez - $osnovicaPorez2) * $stopaPorez3 / 100),2 );
            $ukupniPorez += $porez;
            addObracunaniDoprinosPorez($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,'porez3',
              $stopaPorez3,$porez,$modelPlatitelja3,$pozivNaBrojPlatitelja3,$IBANopcine,
              $modelPrimatelja3,$pozivNaBrojPrimatelja3,$JOPPD);                                  
        }

// računanje prireza iz $ukupniPorez
             
        $stopaPrireza = $opcinaPrirez['stopaPrireza'];
        $iznosPrireza = $ukupniPorez * $stopaPrireza / 100;
        if ($iznosPrireza != 0)           
            addObracunaniDoprinosPorez($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,'prirez',
              $stopaPrireza,$iznosPrireza,$modelPlatitelja1,$pozivNaBrojPlatitelja1,$IBANopcine,
              $modelPrimatelja1,$pozivNaBrojPrimatelja1,$JOPPD);                   
        
    }
    $dohodak =  $brutoOsnovicaZaDoprinose - $sumaDoprinosaIzPlace;   
    $netoPlaca = $brutoOsnovicaZaDoprinose - $sumaDoprinosaIzPlace - $ukupniPorez - $iznosPrireza; 
    if ($netoPlaca < 0) {
            echo 'Neto plaća nakon skidanja poreza-prireza < 0 za kodRadnika=' . $kodRadnika . ' ime i prezime='  . $imeIprezime
                  . ' neto plaća=' . $netoPlaca . ' ukupni porez=' . $ukupniPorez . ' iznosPrireza=' . $iznosPrireza; 
            $greska = 'Greška obračuna poreza u obracunDoprinosaPoreza !!!';
    }
    
    $rez = array();
    $rez['dohodak'] = $dohodak;
    $rez['netoPlaca'] = $netoPlaca;
    $rez['sumaNeoporeziviPrimici'] = $sumaNeoporeziviPrimici;
    $rez['iznosOsnovniOdbitak'] = $odbici['iznosOsnovniOdbitak'];
    $rez['koeficijentZaDjecu'] = $odbici['koeficijentZaDjecu'];
    $rez['iznosOdbitkaZaDjecu'] = $odbici['iznosOdbitkaZaDjecu'];
    $rez['koeficijentZaInvalidnost'] = $odbici['koeficijentZaInvalidnost'];
    $rez['iznosOdbitkaZaInvalidnost'] = $odbici['iznosOdbitkaZaInvalidnost'];
    $rez['koeficijentZaUzdrzavane'] = $odbici['koeficijentZaUzdrzavane'];
    $rez['iznosOdbitkaZaUzdrzavane'] = $odbici['iznosOdbitkaZaUzdrzavane'];
    $rez['iznosIskoristeniOdbitak'] = $iznosIskoristeniOdbitak;
    $rez['greska'] = $greska;
    return $rez;   
} 

function addObracunaniDoprinosPorez($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca, $kodRadnika,$vrstaDoprinosaPoreza,
        $stopaDoprinosaPoreza,$iznosDoprinosaPoreza,$modelPlatitelja,$pozivNaBrojPlatitelja,$IBAN,
        $modelPrimatelja,$pozivNaBrojPrimatelja,$JOPPD) { 
    
        $pozivNaBrojPlatitelja=zamjena_OIB_JOPPD_uPozivNaBroj($pozivNaBrojPlatitelja,$JOPPD);
        $pozivNaBrojPrimatelja=zamjena_OIB_JOPPD_uPozivNaBroj($pozivNaBrojPrimatelja,$JOPPD);
// upis obračunatog doprinosa
   
        global $db;
        $email_user = $_SESSION['admin']['email'];
        $query = " 
        INSERT INTO doprinosi_porezi_po_obracunu 
        (
           godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, vrstaJOPPDizvjesca, kodRadnika, vrstaDoprinosaPoreza,
           stopaDoprinosaPoreza, iznosDoprinosaPoreza,modelPlatitelja,pozivNaBrojPlatitelja,IBAN,
           modelPrimatelja,pozivNaBrojPrimatelja,
           datumOtvaranja, tkoJeIzmjenio
        ) 
	VALUES 
        (
           :godinaObracuna, :mjesecObracuna, :vrstaPlace, :verzijaPlace, :vrstaJOPPDizvjesca, :kodRadnika, :vrstaDoprinosaPoreza, 
           :stopaDoprinosaPoreza, :iznosDoprinosaPoreza,:modelPlatitelja,:pozivNaBrojPlatitelja,:IBAN,
           :modelPrimatelja,:pozivNaBrojPrimatelja,    
           NOW(), :email_user
        )
        ";
    try {     
        $statement = $db->prepare($query);      
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);      
        $statement->bindValue(':vrstaDoprinosaPoreza', $vrstaDoprinosaPoreza);  
        $statement->bindValue(':stopaDoprinosaPoreza', $stopaDoprinosaPoreza);  
        $statement->bindValue(':iznosDoprinosaPoreza', $iznosDoprinosaPoreza);  
        
        $statement->bindValue(':modelPlatitelja', $modelPlatitelja);  
        $statement->bindValue(':pozivNaBrojPlatitelja', $pozivNaBrojPlatitelja);
         $statement->bindValue(':IBAN', $IBAN);
         $statement->bindValue(':modelPrimatelja', $modelPrimatelja);  
        $statement->bindValue(':pozivNaBrojPrimatelja', $pozivNaBrojPrimatelja);
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}        
  
function addKrediti_obustave_po_obracunu($godinaObracuna, $mjesecObracuna, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca, $kodRadnika,$kodBanke,$kodKredita,      
        $rataKredita,$virmanPojedinacniGrupni,$modelPlatitelja,$pozivNaBrojPlatitelja,$brojRacunaZaIsplatuKredita,
		$modelPrimatelja,$pozivNaBrojPrimatelja,$JOPPD) {
			
        $pozivNaBrojPlatitelja=zamjena_OIB_JOPPD_uPozivNaBroj($pozivNaBrojPlatitelja,$JOPPD,$OIB='',$mjesecObracuna,$godinaObracuna);
        $pozivNaBrojPrimatelja=zamjena_OIB_JOPPD_uPozivNaBroj($pozivNaBrojPrimatelja,$JOPPD,$OIB='',$mjesecObracuna,$godinaObracuna);
        global $db;
        $email_user = $_SESSION['admin']['email'];
        $query = " 
        INSERT INTO  krediti_obustave_po_obracunu 
        (
           godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, vrstaJOPPDizvjesca, kodRadnika, kodBanke,kodKredita,
           rataKredita,virmanPojedinacniGrupni,modelPlatitelja,pozivNaBrojPlatitelja,brojRacunaZaIsplatuKredita,
           modelPrimatelja,pozivNaBrojPrimatelja,datumOtvaranja,datumIzmjene,tkoJeIzmjenio
        ) 
	VALUES 
        (
         :godinaObracuna, :mjesecObracuna, :vrstaPlace, :verzijaPlace, :vrstaJOPPDizvjesca, :kodRadnika,:kodBanke,:kodKredita,
         :rataKredita,:virmanPojedinacniGrupni,:modelPlatitelja,:pozivNaBrojPlatitelja,:brojRacunaZaIsplatuKredita,             
         :modelPrimatelja,:pozivNaBrojPrimatelja,NOW(),NOW(), :email_user
        )
        ";
    try {     
        $statement = $db->prepare($query);      
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);      
        $statement->bindValue(':kodBanke', $kodBanke);       
        $statement->bindValue(':kodKredita', $kodKredita); 
        $statement->bindValue(':rataKredita', $rataKredita); 
        $statement->bindValue(':virmanPojedinacniGrupni', $virmanPojedinacniGrupni); 
        $statement->bindValue(':modelPlatitelja', $modelPlatitelja); 
        $statement->bindValue(':pozivNaBrojPlatitelja', $pozivNaBrojPlatitelja);        
        $statement->bindValue(':brojRacunaZaIsplatuKredita', $brojRacunaZaIsplatuKredita); 
        $statement->bindValue(':modelPrimatelja', $modelPrimatelja); 
        $statement->bindValue(':pozivNaBrojPrimatelja', $pozivNaBrojPrimatelja); 
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }       
}

function addIsplate_na_banke_po_obracunu($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,$kodBanke,$verzijaIsplate,
     $modelPlatitelja,$pozivNaBrojPlatitelja,$brojRacunaZaIsplatuPlace, 
     $modelPrimatelja,$pozivNaBrojPrimatelja,$iznosZaIsplatu,$nacinIsplate,$JOPPD) {
    
        $pozivNaBrojPlatitelja=zamjena_OIB_JOPPD_uPozivNaBroj($pozivNaBrojPlatitelja,$JOPPD);
        $pozivNaBrojPrimatelja=zamjena_OIB_JOPPD_uPozivNaBroj($pozivNaBrojPrimatelja,$JOPPD);
        global $db;
        $email_user = $_SESSION['admin']['email'];
        $query = " 
        INSERT INTO  isplate_na_banke_po_obracunu 
        (
         godinaObracuna,mjesecObracuna,vrstaPlace,verzijaPlace,vrstaJOPPDizvjesca,kodRadnika,kodBanke,verzijaIsplate,
         modelPlatitelja,pozivNaBrojPlatitelja,brojRacunaZaIsplatuPlace, 
         modelPrimatelja,pozivNaBrojPrimatelja,iznosZaIsplatu,nacinIsplate,
         datumOtvaranja,datumIzmjene,tkoJeIzmjenio
        ) 
	VALUES 
        (
         :godinaObracuna,:mjesecObracuna,:vrstaPlace,:verzijaPlace,:vrstaJOPPDizvjesca,:kodRadnika,:kodBanke,:verzijaIsplate,
         :modelPlatitelja,:pozivNaBrojPlatitelja,:brojRacunaZaIsplatuPlace, 
         :modelPrimatelja,:pozivNaBrojPrimatelja,:iznosZaIsplatu,:nacinIsplate,
          NOW(),NOW(), :email_user
        )
        ";
    try {     
        $statement = $db->prepare($query);      
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);      
        $statement->bindValue(':kodBanke', $kodBanke);       
        $statement->bindValue(':verzijaIsplate', $verzijaIsplate); 
        $statement->bindValue(':modelPlatitelja', $modelPlatitelja); 
        $statement->bindValue(':pozivNaBrojPlatitelja', $pozivNaBrojPlatitelja); 
        $statement->bindValue(':brojRacunaZaIsplatuPlace', $brojRacunaZaIsplatuPlace); 
        $statement->bindValue(':modelPrimatelja', $modelPrimatelja); 
        $statement->bindValue(':pozivNaBrojPrimatelja', $pozivNaBrojPrimatelja); 
        $statement->bindValue(':iznosZaIsplatu', $iznosZaIsplatu); 
        $statement->bindValue(':nacinIsplate', $nacinIsplate); 
   //     $statement->bindValue(':model', $model); 
   //     $statement->bindValue(':pozivNaBroj', $pozivNaBroj); 
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }       
}
function get_isplate_na_banke_po_obracunu($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika) {
     global $db;
        $query = "select * from isplate_na_banke_po_obracunu
             WHERE godinaObracuna=:godinaObracuna AND mjesecObracuna=:mjesecObracuna
             AND vrstaPlace=:vrstaPlace 
             AND verzijaPlace=:verzijaPlace 
             AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='') 
            AND kodRadnika = :kodRadnika   
    ";
   try {     
        $statement = $db->prepare($query);      
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika); 
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor(); 
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }       
}
function addObracuni_placa($godinaObracuna, $mjesecObracuna, $vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,$JOPPD,$datumIsplatePlace,
$iznosOsnovniOdbitak,$koeficijentZaDjecu,$iznosOdbitkaZaDjecu,$koeficijentZaUzdrzavane,$iznosOdbitkaZaUzdrzavane,
$koeficijentZaInvalidnost,$iznosOdbitkaZaInvalidnost,$iznosIskoristeniOdbitak,$iznosZaIsplatu,$ukupniFondSati,$satiBlagdana) {  
        $osnovnaBrutoPlaca = get_osnovnaBrutoPlaca($kodRadnika);
        $r1=get_radnik1($kodRadnika);
        $iskoristeniGO = iskoristeniGO($godinaObracuna,'01',$mjesecObracuna, $vrstaPlace, $verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika); 
/* broj dana iskorištenog GO
 * IZUZETAK za PANEX-AGM je gdje je u maticna_radnika za 2019 u polju iskoristenoGO unesen ručno zbroj dana GO od 1..1.2019 do 30.06.2019
 jer je novi program startao sa plaćom za 7 mjesec 2019 godine    */  

        if ($godinaObracuna == '2019') $iskoristeniGO += $r1['iskoristeniGO'];
        $email_user = $_SESSION['admin']['email'];         
        global $db;
        $query = " 
        INSERT INTO  obracuni_placa 
        (
           godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, vrstaJOPPDizvjesca, kodRadnika, JOPPD, datumIsplatePlace, 
           imeIprezime,mjestoBoravka,ulicaIbroj,posPretinac,brojPoste,mjestoPoste,opcinaPrebivalista,opcinaMjestaRada,vrstaObracuna,
           iznosOsnovniOdbitak,kojaVrstaZaDjecu,koeficijentZaDjecu,iznosOdbitkaZaDjecu,kojaVrstaZaUzdrzavane,koeficijentZaUzdrzavane,iznosOdbitkaZaUzdrzavane,
kojaVrstaZaInvalidnost,koeficijentZaInvalidnost,iznosOdbitkaZaInvalidnost,iznosIskoristeniOdbitak,iznosZaIsplatu,ukupniFondSati,satiBlagdana,osnovnaBrutoPlaca,
           pravoNaGO,iskoristeniGO,stariGO,
           datumOtvaranja, tkoJeIzmjenio
        ) 
	VALUES 
        (
           :godinaObracuna, :mjesecObracuna, :vrstaPlace,:verzijaPlace,:vrstaJOPPDizvjesca,:kodRadnika,:JOPPD,:datumIsplatePlace,
           :imeIprezime,:mjestoBoravka,:ulicaIbroj,:posPretinac,:brojPoste,:mjestoPoste,:opcinaPrebivalista,:opcinaMjestaRada,:vrstaObracuna,
           :iznosOsnovniOdbitak,:kojaVrstaZaDjecu,:koeficijentZaDjecu,:iznosOdbitkaZaDjecu,:kojaVrstaZaUzdrzavane,:koeficijentZaUzdrzavane,:iznosOdbitkaZaUzdrzavane,
:kojaVrstaZaInvalidnost,:koeficijentZaInvalidnost,:iznosOdbitkaZaInvalidnost,:iznosIskoristeniOdbitak,:iznosZaIsplatu,:ukupniFondSati,:satiBlagdana,:osnovnaBrutoPlaca,
           :pravoNaGO,:iskoristeniGO,:stariGO,
           NOW(), :email_user
        )
        ";
    try {     
        $statement = $db->prepare($query);      
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);  
        $statement->bindValue(':JOPPD', $JOPPD);
        $d = new DateTime($datumIsplatePlace);
        $statement->bindValue(':datumIsplatePlace', $d->format("Y-m-d"));
       
        $statement->bindValue(':imeIprezime', $r1['imeIprezime']);  
        $statement->bindValue(':mjestoBoravka', $r1['mjestoBoravka']);
        $statement->bindValue(':ulicaIbroj', $r1['ulicaIbroj']);
        $statement->bindValue(':posPretinac', $r1['posPretinac']);
        $statement->bindValue(':brojPoste', $r1['brojPoste']);
        $statement->bindValue(':mjestoPoste', $r1['mjestoPoste']);
        
        $statement->bindValue(':opcinaPrebivalista', $r1['opcinaPrebivalista']);  
        $statement->bindValue(':opcinaMjestaRada', $r1['opcinaMjestaRada']); 
        $statement->bindValue(':vrstaObracuna', $r1['vrstaObracuna']);     
        $statement->bindValue(':iznosOsnovniOdbitak', $iznosOsnovniOdbitak);
        $statement->bindValue(':kojaVrstaZaDjecu', $r1['kojaVrstaZaDjecu']);
        $statement->bindValue(':koeficijentZaDjecu', $koeficijentZaDjecu);
        $statement->bindValue(':iznosOdbitkaZaDjecu', $iznosOdbitkaZaDjecu);
        $statement->bindValue(':kojaVrstaZaUzdrzavane', $r1['kojaVrstaZaUzdrzavane']);      
        $statement->bindValue(':koeficijentZaUzdrzavane', $koeficijentZaUzdrzavane);  
        $statement->bindValue(':iznosOdbitkaZaUzdrzavane', $iznosOdbitkaZaUzdrzavane);          
        $statement->bindValue(':kojaVrstaZaInvalidnost', $r1['kojaVrstaZaInvalidnost']);
        $statement->bindValue(':koeficijentZaInvalidnost', $koeficijentZaInvalidnost);
        $statement->bindValue(':iznosOdbitkaZaInvalidnost', $iznosOdbitkaZaInvalidnost);
        $statement->bindValue(':iznosIskoristeniOdbitak', $iznosIskoristeniOdbitak);
        $statement->bindValue(':iznosZaIsplatu', $iznosZaIsplatu);  
        $statement->bindValue(':ukupniFondSati', $ukupniFondSati);
        $statement->bindValue(':satiBlagdana', $satiBlagdana);
        $statement->bindValue(':osnovnaBrutoPlaca', $osnovnaBrutoPlaca);
        
        $statement->bindValue(':pravoNaGO', $r1['pravoNaGO']);  
        $statement->bindValue(':iskoristeniGO', $iskoristeniGO);
        $statement->bindValue(':stariGO', $r1['stariGO']);
        
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();      
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}        
function brisanjeObracuna($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace, $vrstaJOPPDizvjesca, $ponistavanjeObracunaPrimitaka) {
    global $db;
    /* brisanje slogova iz 4 tabela; obracuni_placa,
 - NE BRIŠE primici_po_obracunu
 - doprinosi_porezi_po_obracunu
 - isplate_na_banke_po_obracunu  
 - krediti_obustave_po_obracunu */
if  ($ponistavanjeObracunaPrimitaka =='brisiObracunAprimitkeNe')  {
    // ne brišu se primici_po_obracunu 5.tabela
    $kolikoTabela = 4;
} else {
   $kolikoTabela = 5; 
}
$brojBrisanih=array();
$brojBrisanih['obracuni_placa'] = 0;
$brojBrisanih['doprinosi_porezi_po_obracun'] = 0;
$brojBrisanih['isplate_na_banke_po_obracunu']= 0;
$brojBrisanih['krediti_obustave_po_obracunu']= 0;
$brojBrisanih['primici_po_obracunu']= 0;
for ($brojac = 1; $brojac <= $kolikoTabela; $brojac++) {   
    switch ($brojac) {
        case 1: $kojaTabela = 'obracuni_placa'; break;
        case 2: $kojaTabela = 'doprinosi_porezi_po_obracunu'; break;
        case 3: $kojaTabela = 'isplate_na_banke_po_obracunu'; break;
        case 4: $kojaTabela = 'krediti_obustave_po_obracunu'; break;
        case 5: $kojaTabela = 'primici_po_obracunu'; break;
    }
    $query = " 
        delete FROM $kojaTabela
        WHERE godinaObracuna=:godinaObracuna 
        AND mjesecObracuna=:mjesecObracuna
        AND vrstaPlace=:vrstaPlace 
        AND verzijaPlace=:verzijaPlace 
        AND :vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);    
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);    
        $statement->execute();
        $count = $statement->rowCount();
        $statement->closeCursor();     
        
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    switch ($brojac) {
        case 1: $brojBrisanih['obracuni_placa'] = $count; break;
        case 2: $brojBrisanih['doprinosi_porezi_po_obracun'] = $count; break;
        case 3: $brojBrisanih['isplate_na_banke_po_obracunu']= $count; break;
        case 4: $brojBrisanih['krediti_obustave_po_obracunu']= $count; break;
        case 5: $brojBrisanih['primici_po_obracunu']= $count; break;
    }
  } // end za for
return $brojBrisanih;
}

function zamjena_OIB_JOPPD_uPozivNaBroj($pozivNaBroj,$JOPPD,$OIB='',$mm='',$gg='') {
// ako je poziv na broj u obliku XXXX-OIBpl-JOPPD zamjenjuje OIBpl i JOPPD sa stvarnim podacima 
// također mijenja mmgg    sa mjesecom i godinom obračuna npr. 0719
// ako je OIB = '' uzima ga iz firme poslovnica 0,
    if ($OIB == '') {
       $firma = get_poslovnica('0');
       if (empty($firma)) {
           echo 'Poslovnica sa kodom 0 nije prijavljena(to su podaci o firmi) !, prijaviti u Matični podaci-> Poslovnice <br> ';
           echo 'Program se prekida !!!';
           exit;           
       }
       if (trim($firma['OIB']) == '') {
           echo 'Na firmi(Poslovnica sa kodom 0) nije prijavljen OIB ! <br> ';
           echo 'Program se prekida !!!';
           exit;       
       }
       $OIB = $firma['OIB'];
    }
 //   $imaOIBpl = strpos($pozivNaBroj, 'OIBpl');
 
 //   if ($imaOIBpl) $pozivNaBroj = str_replace('OIBpl', $OIB, $pozivNaBroj);
    $pozivNaBroj = str_replace('OIBpl', $OIB, $pozivNaBroj);
 
  //  $imaJOPPD = strpos($pozivNaBroj, 'JOPPD');
  //  if ($imaJOPPD) str_replace('JOPPD', $JOPPD, $pozivNaBroj);   
    $pozivNaBroj = str_replace('JOPPD', $JOPPD, $pozivNaBroj);
    $pozivNaBroj = str_replace('mm', $mm, $pozivNaBroj);
    $pozivNaBroj = str_replace('gg', $gg, $pozivNaBroj);
return $pozivNaBroj;;   
} 

function kreiranjePrimitakaZaObracunPlace($mjesecObracuna,$godinaObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$primiciIz,$ukupniFondSati,$satiBlagdana,$vrstaNeoporezivogPrimitka='',$iznosNeoporezivogPrimitka='0') {
   global $db;
   $brojKreiranihStavki = 0;
   // način obračuna bruto plaće na firmi(0)
   
  /* $vrstaNeoporezivogPrimitka='',$iznosNeoporezivogPrimitka='0' ova polja se pune ako se kreiraju samostalni neoporezivi primici
   * Božićnica, Regres, Troškovi prehrane, Rezultati rada....
   * (obično kao redovna plaća redPla) a pri tom je iznos za sve radnike isti, ako je popunjen  $iznosNeoporezivogPrimitka
   * u tim slučajevima se mora popuniti verzija plaće npr. BO (za božičnicu (NE MORA BITI BO(MOGU BITI BILO KOJA 2 ZNAKA)), RE(regres), TP(troškovi paušalni prehrane), RR (rezultati rada)
   */
   $radniciZaObracun = getMaticnaRadnikaZaObracunPlace($godinaObracuna, $mjesecObracuna, $vrstaPlace);
   
 foreach ($radniciZaObracun as $r) {  
       
   if (trim($vrstaNeoporezivogPrimitka) !='' && $iznosNeoporezivogPrimitka != 0)  {    // Božićnica, Regres, Paušalni troškovi prehrane, Rezultati rada
        $slog = array();
        $slog['kodRadnika'] = $r['kodRadnika'];
        $slog['godinaObracuna'] = $godinaObracuna;
        $slog['mjesecObracuna'] = $mjesecObracuna;
        $slog['vrstaPlace'] = $vrstaPlace;
        $slog['verzijaPlace'] = $verzijaPlace;
        $slog['vrstaJOPPDizvjesca'] = $vrstaJOPPDizvjesca;
        $slog['vrstaPrimitka'] = $vrstaNeoporezivogPrimitka;;
        $slog['datumOd'] = $godinaObracuna . '-' . $mjesecObracuna . '-01';
        // zadnji dan u mjesecu   
        $datumDo = $godinaObracuna . '-' . $mjesecObracuna . '-01';
        $date = new DateTime($datumDo);
        $date->modify('last day of this month');
        $slog['datumDo'] = $date->format('Y-m-d');           
        $slog['iznos'] = $iznosNeoporezivogPrimitka;
        $slog['sati'] = 0;
        $slog['satnica'] = 0;
        $slog['posto'] = 0;
        add_primici_po_obracunu($slog);
        $brojKreiranihStavki++; 
   continue;      
   }
   
     $osnovnaBrutoPlaca = get_osnovnaBrutoPlaca($r['kodRadnika']);  // iz bodova ili koeficijenti
     
   if ($primiciIz == 'izMaticne' || $primiciIz == 'izEVRV') {
       
       // zajednički dio iz maticna_radnika
     $osnovnaSatnica = round( ($osnovnaBrutoPlaca / $ukupniFondSati),5);    
     $iznosStimulacije = 0;
     if ( $r['stimulacija'] !=0 ) {
        if ( $r['postoIliIznosStimulacija'] == '%' ) {
            $iznosStimulacije = round($osnovnaBrutoPlaca * $r['stimulacija'] / 100, 2);           
        } else {
            $iznosStimulacije = $r['stimulacija'];
        }                  
     }
     // primiciIz -> izMaticne izEVRV rucno izSpremljenih
     $iznosBlagdana = round($satiBlagdana * $osnovnaSatnica,2);  
     $slog = array();
     $slog['kodRadnika'] = $r['kodRadnika'];
     $slog['godinaObracuna'] = $godinaObracuna;
     $slog['mjesecObracuna'] = $mjesecObracuna;
     $slog['vrstaPlace'] = $vrstaPlace;
     $slog['verzijaPlace'] = $verzijaPlace;
     $slog['vrstaJOPPDizvjesca'] = $vrstaJOPPDizvjesca;
     $slog['vrstaPrimitka'] = 'redRad';
     $slog['datumOd'] = $godinaObracuna . '-' . $mjesecObracuna . '-01';

    // zadnji dan u mjesecu   
     $datumDo = $godinaObracuna . '-' . $mjesecObracuna . '-01';
     $date = new DateTime($datumDo);
     $date->modify('last day of this month');
     $slog['datumDo'] = $date->format('Y-m-d');       
     // stimulacija i prijevoz se za izMaticne i izEVRV iz maticne_radnika
       $slog['posto'] = 0;          
     // upis stimulacije                
        if ($iznosStimulacije != 0 and $vrstaPlace == 'redPla') { 
           $slog['vrstaPrimitka'] = 'stimul';
           $slog['iznos'] = $iznosStimulacije;
           if ($r['postoIliIznosStimulacija'] == '%')
               $slog['posto'] = $r['stimulacija']; else $slog['posto'] = 0;
           $slog['sati'] = 0;          
           $slog['satnica'] = 0;
           add_primici_po_obracunu($slog);
           $brojKreiranihStavki++; 
        } 
     // upis prijevoza
        if ($r['prijevoz'] != 0 and $vrstaPlace == 'redPla') { 
           $slog['vrstaPrimitka'] = 'prijevo';
           $slog['iznos'] = $r['prijevoz'];
           $slog['sati'] = 0;
           $slog['satnica'] = 0;
           $slog['posto'] = 0;
           add_primici_po_obracunu($slog);
           $brojKreiranihStavki++;
        }           
   }
 
   switch ($primiciIz) {
       
      case 'izMaticne':
// upis   redovnog rada   
        $slog['vrstaPrimitka'] = 'redRad';    
        $slog['iznos'] = $osnovnaBrutoPlaca - $iznosBlagdana;   
        $slog['sati'] = $ukupniFondSati - $satiBlagdana;
        $slog['satnica'] = $osnovnaSatnica;
        switch ($vrstaPlace) {
            case 'ugdMir':  
                $slog['vrstaPrimitka'] = 'ugDjMi';    
                $slog['iznos'] = $osnovnaBrutoPlaca;   
                $slog['sati'] = round( $slog['sati'] * ($r['tjednoRadnoVrijeme'] / 40),0 );   // tjedno radno vrijeme za redovan rad je 40, pola radnog vremena je 20,  
                $slog['satnica'] = round( ($osnovnaBrutoPlaca / $slog['sati']),5);                        
            break;    
        
            case 'plaNar':
                $slog['vrstaPrimitka'] = 'plaNar';    
                $slog['iznos'] = $osnovnaBrutoPlaca;   
                $slog['sati'] = 0;  
                $slog['satnica'] = 0;
                $slog['posto'] = 0;                
            break;   
        
            default: 
            
            break;  
        }
        
        add_primici_po_obracunu($slog);
        $brojKreiranihStavki++;
// upis blagdana za redovan rad
       
        if ($iznosBlagdana != 0 and $vrstaPlace == 'redPla')   { 
           $slog['vrstaPrimitka'] = 'nerDan';
           $slog['iznos'] = $iznosBlagdana;
           $slog['sati'] = $satiBlagdana;          
           add_primici_po_obracunu($slog);
           $brojKreiranihStavki++;
        } 
        break;
        
      case 'izEVRV':     
         include_once 'model/radno_vrijeme_db.php'; 
         $rv = get_rv_kumulativno($slog['datumOd'], $slog['datumDo'], $r['kodRadnika']);      
         foreach ($rv as $v)  {
             $slog['vrstaPrimitka'] = $v['oznakaVremena'];
             $slog['sati'] = $v['vrijeme'];
             $slog['datumOd'] = $v['datumOd'];
             $slog['datumDo'] = $v['datumDo'];  
             $slog['satnica'] = $osnovnaSatnica;       
             
// za prekovremeni se mora satnica izračunat, za bolovanja na teret firme, bolovanja HZZO,GO ... računa se prosječna satnica razdoblja
             $primiciZaPromjenuSatnice = array('bDo42D','bPr42D','dRodPr','godOdm','nocRad','preRad','radBla','rodDop','rodtDo','njDje3','njDj37','njDjV7','ozNaRa');
             if ( in_array_trim(trim($slog['vrstaPrimitka']),$primiciZaPromjenuSatnice) ) {
                 
                $satnicaNova =  satniceZaBolGoPrek($mjesecObracuna,$godinaObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$r['kodRadnika'],$slog['vrstaPrimitka'],$osnovnaSatnica);
                
                if ($satnicaNova == 0) {
                    echo 
                    'Prosječna satnica razdoblja (3 ili 6 mjeseci) je NULA (0) za kdodRadnika=' . $r['kodRadnika'] . ' vrstaPrimitka=' .  $slog['vrstaPrimitka'] . 
                    ' postavljena je osnovnaSatnica=' . $osnovnaSatnica . '<p>';
                    $satnicaNova = $osnovnaSatnica;
                }
                $slog['satnica'] = $satnicaNova;             
             }  
 //   --------------------------------------------------------------------------------------------------------------------------------------------------------------
             
             $slog['iznos'] = round($slog['sati'] * $slog['satnica'],2);
             add_primici_po_obracunu($slog);
             $brojKreiranihStavki++;
         }      
           
        break;
      case 'izSpremljenih':
           
        break;
    
      default: // ručno unešeni ili korigirani neki od gore slučaj
            
        break;    
       
   } // end za switch  
  
 }   // end za foreach
 echo ' Kreirano je ' . $brojKreiranihStavki . ' stavki u primicima plaće' . '<br>';
}  

function satniceZaBolGoPrek($mjesecObracuna,$godinaObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika,$vrstaPrimitka,$osnovnaSatnica) {      
      
        $satnicaNova = $osnovnaSatnica;
        $vp = get_vrsta_primitka($vrstaPrimitka);
      
        if ($vp['postoKorekcijeSatnice'] == 0 && $vp['prosjekMjeseci'] == 0) /* primici kod kojih nema promjene satnice */
            return $satnicaNova;
    
        if ($vp['postoKorekcijeSatnice'] != 0 && $vp['prosjekMjeseci'] == 0) { 
        /* primici kod kojih se korigira osnovna satnica ali nema prosjeka za unatrag po mjesecima
           prekovremeni rad, noćni rad, rad blagdanom
        */       
            $satnicaNova = $osnovnaSatnica * $vp['postoKorekcijeSatnice']/100;
            return $satnicaNova;
        }        
             // izračun PROSJEČNE SATNICE RAZDOBLJA  iz više mjeseci za GO i HZZO bolovanja
/* izračunava se prosjećna satnica za godišnji odmor prosjek 3 mjeseca prije mjeseca za obracun, bolovanja osnovica za obracun satnice prosjek 6 mjeseci  
 * pr. ako je za godišnji odmor u 7 mjesecu(plaća za sedmi mjesec) radnik bio na HZZO bolovanju u 5 mjesecu, onda se za te dane HZZO bolovanja
 * uzima satnica prema osnovnoj bruto plaći a ne bolovanje
 * pr. ako radnik ide na bolovanje u 7. mjesecu, a zaposlio se tek u 5.mjesecu, uzima se prosječna satnica od razdoblja koje je radio 
 * ili ako radnik ide na bolovanje od prvog dana zaposlenja uzima se predviđena osnovna bruto plaća  
 * pr. gpdišnji u 6 mjesecu i plaća za 6.mjesec mjesecObracunaDo=5 mjesecObracunaOd=3 
 */
        $mjeseciUnatrag = $vp['prosjekMjeseci'];
        $mjesecObracunaDo = $mjesecObracuna - 1;
        $godinaObracunaDo = $godinaObracuna;                       
        if ($mjesecObracunaDo < 1) {
            $mjesecObracunaDo += 12;
            $godinaObracunaDo -= 1;
        }
        
        $mjesecObracunaOd = $mjesecObracuna - $mjeseciUnatrag;
        $godinaObracunaOd = $godinaObracuna;  
        if ($mjesecObracunaOd < 1) {
            $mjesecObracunaOd += 12;
            $godinaObracunaOd -= 1;
        }
        
         global $db; 
// sumirano po vrsti primitka i mjesecu plaće(da se zna za pojedini mjesec izračunati satnica ako ima HZZO bolovanje
         $query = " 
        SELECT p.vrstaPrimitka, vp.`nazivPrimitka`, SUM(p.iznos) AS sumaIznPoPrimGodMje, SUM(p.sati) AS sumaSatiPoPrimGodMje,
        p.godinaObracuna,p.mjesecObracuna
        FROM primici_po_obracunu as p
        INNER JOIN vrste_primitaka_place as vp ON vp.`vrstaPrimitka`=p.`vrstaPrimitka`
        WHERE godinaObracuna*100+mjesecObracuna between :godinaObracunaOd*100+:mjesecObracunaOd AND :godinaObracunaDo*100+:mjesecObracunaDo 
         AND (p.kodRadnika=:kodRadnika OR :kodRadnika='')
         AND (vrstaPlace=:vrstaPlace OR :vrstaPlace='') 
         AND (verzijaPlace=:verzijaPlace OR :verzijaPlace='')
         AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
        GROUP By vrstaPrimitka,godinaObracuna,mjesecObracuna 
        ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracunaOd', $godinaObracunaOd);
        $statement->bindValue(':mjesecObracunaOd', $mjesecObracunaOd);
        $statement->bindValue(':godinaObracunaDo', $godinaObracunaDo);
        $statement->bindValue(':mjesecObracunaDo', $mjesecObracunaDo);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
     
// prijevoz, ne ulazi u obračun satnice, a bolovanja HZZO se zamjenjuju sa osnovnom bruto satnicom ?  
// neoporezivi primici na teret firme ne ulaze u obracun satnice(prijevoz,božičnica,regrese,prehrana,dječji dar,rezultati rada,uskrsnica ....)    
    $sumaIznosa=0;
    $sumaSati=0;
    // izlaz iz sql-a: zbroj po vrsti primitka godini i mjesecu
    foreach ($result as $pr) {
        // treba zbrojiti po istom vstu primitka po svim mjesecima
        $primitak = get_vrsta_primitka($pr['vrstaPrimitka']);
 //       if ($pr['vrstaPrimitka'] == 'prijev' continue;
        // neoporezivi primici na teret firme ne ulaze u obracun satnice(prijevoz,božičnica,regrese,prehrana,dječji dar,rezultati rada,uskrsnica ....)    
        if ( $primitak['oporezivPrimitak'] != 'D' && trim($primitak['naTeret']) == '') continue;                              
        
         $sumaSati += $pr['sumaSatiPoPrimGodMje'];  // suma sati razdoblja
         
    // stimulacija i prijevoz nemaju sate ni satnicu, samo iznos imaju pa se ukupna prosječna satnica razdoblja izračuna iz
    //  suma iznosa primitka razdoblja / suma sati razdoblja
 /* primjer  HZZO bolovanja su neoporezivi primici: plača za 5. mjesec 120 sati HHZO bolovanja
  * i 64 redovan rad, 4 mjesec cijeli HZZO bolovanje, 3 mjesec bolovanje na teret firme 
  * 2 mjesec redovan rad 30 sati i 134 sati redovan rad. prije mjeseci redovan rad
  * umjesto HZZO satnice bolovanja za osnovicu se uzima osnovna bruto plaća(ili bodovi) u tom mjesecu. 
  * Dakle za sve sate HZZO bolovanja u tom mjesecu satnica se izračuna iz osnovne bruto plaće u tom mjesecu.
  * Satnica za HZZO bolovanje = Osnovna bruto plaća u tom mjesecu / Fond sati u tom mjesecu
  */
        if ($vrstaPrimitka == 'bPr42D') {
           $osnovnaSatnicaZaMjesec =  osnovnaSatnicaZaMjesec($pr['godinaObracuna'],$pr['mjesecObracuna'],$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika);         
           if ( empty($osnovnaSatnicaZaMjesec) ) {
               echo 'Upozorenje ! Kod obračuna prosječne satnice u funkciji osnovnaSatnicaZaMjesec za primitak HZZO bolovanje, ne postoji osnovnaSatnicaZaMjesec '
               . 'za radnika:' . $kodRadnika . ' mjesecObracuna:' . $pr['mjesecObracuna'] . 
               ' godinaObracuna:' . $pr['godinaObracuna'] . ' vrsta plaće:' . $vrstaPlace . ' verzija plaće:' . $verzijaPlace .' $vrstaJOPPDizvjesca:'.$vrstaJOPPDizvjesca. '<p>';         
           } else {
               $sumaIznosa += $osnovnaSatnicaZaMjesec * $pr['sumaSatiPoPrimGodMje'];
           }
        } else {   // za ne HZZO bolovanja                     
           $sumaIznosa += $pr['sumaIznPoPrimGodMje'];
        }
        
    }
 
    if ($sumaIznosa == 0 && $sumaSati == 0) {
       $satnicaNova = $osnovnaSatnica; 
    } else {
       $satnicaNova = round(($sumaIznosa / $sumaSati),5);  // prosječna satnica razdoblja
    }
    
    if ($vp['postoKorekcijeSatnice'] != 0 ) {          
            $satnicaNova = $satnicaNova * $vp['postoKorekcijeSatnice']/100;
    }
    
    return $satnicaNova;
}  
function get_vrsta_primitka($vrstaPrimitka) {
    global $db; 
         $query = "select * from vrste_primitaka_place
             where vrstaPrimitka = :vrstaPrimitka";
        try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaPrimitka', $vrstaPrimitka);    
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }         
} 
function get_vrste_placa($vrstaPlace) {
    global $db; 
         $query = "select * from vrste_placa
             where vrstaPlace = :vrstaPlace or :vrstaPlace = ''";
        try {
        $statement = $db->prepare($query);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);    
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }         
} 
function osnovnaSatnicaZaMjesec($godinaObracuna,$mjesecObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika) {
    global $db; 
 
         $query = "
             select ukupniFondSati, osnovnaBrutoPlaca 
             from obracuni_placa
             where godinaObracuna = :godinaObracuna 
             and mjesecObracuna = :mjesecObracuna
             and vrstaPlace = :vrstaPlace 
             and verzijaPlace = :verzijaPlace 
             and (vrstaJOPPDizvjesca = :vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
             and kodRadnika = :kodRadnika";
        try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracuna', $godinaObracuna);    
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna); 
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }     
    if (empty($result)) {
        $osnovnaSatnicaZaMjesec = ''; // nema mjeseca unatrag za prosjek satnice(početni obračuni plaća) ili je novi radnik koji nema obračune unatrag 
    } else {    
        $osnovnaSatnicaZaMjesec = $result['osnovnaBrutoPlaca'] / $result['ukupniFondSati'];
    }
    return $osnovnaSatnicaZaMjesec;
} 

function get_osnovnaBrutoPlaca($kodRadnika) {
    global $db;  
   // način obračuna bruto plaće na firmi(0)
   $firma=get_poslovnica('0');   
   $r = get_radnik1($kodRadnika);
   if ($firma['nacinObracunaBrutoPlace'] == 'izBruto') {
        $osnovnaBrutoPlaca = $r['bodovi'];
   } else {
       // minuli rad povećanje za 0,5 % po godini staža ako je potpisan kolektivni ugovor
       // (polazna osnovica * koeficijent složenosti posla) + dodatak na minuli rad
         $osnovnaBrutoPlaca = round($r['polaznaOsnovica'] * $r['koeficijentSlozenostiPosla'] * (1 + ($r['stazZaObracun'] * 0.5)/100 ),2);     
   } 
   return $osnovnaBrutoPlaca;
} 
function getObracuniPlaca1Slog($mjesecObracuna,$godinaObracuna,$vrstaPlace,$verzijaPlace, $vrstaJOPPDizvjesca) {    
    global $db;
    $query = " 
    SELECT * FROM obracuni_placa
    WHERE godinaObracuna=:godinaObracuna AND mjesecObracuna=:mjesecObracuna
    AND vrstaPlace=:vrstaPlace 
    AND verzijaPlace=:verzijaPlace 
    AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
    LIMIT 1
    ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();       
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
    
}
function get_obracuni_placa($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca,
                                  $kodRadnika, $poPlacama=false) {
    global $db;
    
    if(!$poPlacama) {
    $query = " 
    SELECT o.*, r.OIB
    FROM obracuni_placa AS o
    INNER JOIN maticna_radnika AS r ON r.kodRadnika=o.kodRadnika
        WHERE godinaObracuna*100+mjesecObracuna between :godinaObracunaOd*100+:mjesecObracunaOd AND :godinaObracunaDo*100+:mjesecObracunaDo 
         AND (vrstaPlace=:vrstaPlace OR :vrstaPlace='sve')
         AND (verzijaPlace=:verzijaPlace OR :verzijaPlace='sve')
         AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
         AND (o.kodRadnika=:kodRadnika OR :kodRadnika='')"; 
    }
    else {
        $query = " 
        SELECT godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, vrstaJOPPDizvjesca, JOPPD, datumIsplatePlace,
        sum(iznosOsnovniOdbitak) as iznosOsnovniOdbitak, sum(iznosOdbitkaZaDjecu) as iznosOdbitkaZaDjecu,
        sum(iznosOdbitkaZaUzdrzavane) as iznosOdbitkaZaUzdrzavane, sum(iznosOdbitkaZaInvalidnost) as iznosOdbitkaZaInvalidnost,
        sum(iznosIskoristeniOdbitak) as iznosIskoristeniOdbitak, sum(iznosZaIsplatu) as iznosZaIsplatu

        FROM obracuni_placa AS o
        WHERE godinaObracuna*100+mjesecObracuna between :godinaObracunaOd*100+:mjesecObracunaOd AND :godinaObracunaDo*100+:mjesecObracunaDo 
             AND (vrstaPlace=:vrstaPlace OR :vrstaPlace='sve')
             AND (verzijaPlace=:verzijaPlace OR :verzijaPlace='sve')
             AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
             AND (o.kodRadnika=:kodRadnika OR :kodRadnika='')
        GROUP BY godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, vrstaJOPPDizvjesca, JOPPD -- , datumIsplatePlace,
             ";         
    }
    
       try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracunaOd', $godinaObracunaOd);
        $statement->bindValue(':mjesecObracunaOd', $mjesecObracunaOd);
        $statement->bindValue(':godinaObracunaDo', $godinaObracunaDo);
        $statement->bindValue(':mjesecObracunaDo', $mjesecObracunaDo);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', trim($verzijaPlace));
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);    
      
          $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_obracuni_placa_ip_kartica($godinaIpKartice, $vrstaPlace, $verzijaPlace, $kodRadnika) {
    global $db;
    
    $query = " 
    SELECT o.*, r.OIB
    FROM obracuni_placa AS o
    INNER JOIN maticna_radnika AS r ON r.kodRadnika=o.kodRadnika
     --  WHERE SUBSTRING(datumIsplatePlace,1,4)*100+SUBSTRING(datumIsplatePlace,6,2) between :godinaObracunaOd*100+:mjesecObracunaOd AND :godinaObracunaDo*100+:mjesecObracunaDo 
         WHERE SUBSTRING(datumIsplatePlace,1,4) = :godinaIpKartice
         AND (vrstaPlace=:vrstaPlace OR :vrstaPlace='sve')
         AND (verzijaPlace=:verzijaPlace OR :verzijaPlace='sve')
         AND (o.kodRadnika=:kodRadnika OR :kodRadnika='')
         ORDER BY kodRadnika, SUBSTRING(datumIsplatePlace,6,2)"; 
       try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaIpKartice', $godinaIpKartice);     
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', trim($verzijaPlace));
        $statement->bindValue(':kodRadnika', $kodRadnika);    
      
          $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_fond_sati($mjesecObracuna,$godinaObracuna) {
    global $db;
    $query = " 
    SELECT * FROM fond_sati
    WHERE godina=:godinaObracuna AND mjesec=:mjesecObracuna   
    ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);      
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
    
}
function get_krediti_obustave_po_obracunu($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca,
                                  $kodRadnika,$kodBanke='',$groupBy='poRadniku') {
    /* za rekapitular treba suma svih kredita, pregled kredita po radnicima(za jednog radnika svi krediti), pregled kredita po bankama(po jednoj banki svi radnici i krediti)
     * sumiraju se rataKredita
     */ 
    global $db;
    $query = " 
        SELECT r.imeIprezime, CONCAT(godinaObracuna,'/', mjesecObracuna,'/', vrstaPlace,'/', verzijaPlace,'/', vrstaJOPPDizvjesca) AS placa,  
        k.kodRadnika,k.kodBanke, k.kodKredita,
        SUM(rataKredita) AS iznos,  r.OIB 
        FROM krediti_obustave_po_obracunu AS k
        INNER JOIN maticna_radnika AS r ON r.kodRadnika=k.kodRadnika
        WHERE godinaObracuna*100+mjesecObracuna between :godinaObracunaOd*100+:mjesecObracunaOd AND :godinaObracunaDo*100+:mjesecObracunaDo 
         AND (vrstaPlace=:vrstaPlace OR :vrstaPlace='') 
         AND (verzijaPlace=:verzijaPlace OR :verzijaPlace='')
         AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
         AND (k.kodRadnika=:kodRadnika OR :kodRadnika='')
         AND (k.kodBanke=:kodBanke OR :kodBanke='')"; 
        if ($groupBy == 'poRadniku') {
            $query .= ' GROUP BY r.imeIprezime, k.kodRadnika,godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, k.kodBanke, k.kodKredita';            
        } elseif ($groupBy == 'poBanki') {
            $query .= ' GROUP BY k.kodBanke, r.imeIprezime, k.kodRadnika,godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, k.kodKredita';  
        } else {
            // query je polazni(zbroj npr. za rekapitular svih obuhvaćenih kredita)
        }         
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracunaOd', $godinaObracunaOd);
        $statement->bindValue(':mjesecObracunaOd', $mjesecObracunaOd);
        $statement->bindValue(':godinaObracunaDo', $godinaObracunaDo);
        $statement->bindValue(':mjesecObracunaDo', $mjesecObracunaDo);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':kodBanke', $kodBanke);
        $statement->bindValue(':groupBy', $groupBy);
          $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_doprinosi_porezi_po_obracunu($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca,
                                  $kodRadnika,$vrstaDoprinosaPoreza='',$groupBy='poRadniku',$izIliNaPlacu='') {
    /* za rekapitular treba suma svih doprinosa poreza jedne vrste, pregled doprinosa-poreza po radnicima(za jednog radnika svi doprinosi-porezi) */ 
    global $db;
    $querySelectPoRadniku="
        SELECT r.imeIprezime, CONCAT(godinaObracuna,'/', mjesecObracuna,'/', vrstaPlace,'/', verzijaPlace, '/', vrstaJOPPDizvjesca) AS placa,  
        d.kodRadnika, vrstaDoprinosaPoreza,
        SUM(iznosDoprinosaPoreza) AS iznos, r.OIB ";
    
    $querySelectPoVrstiDoprinosaPoreza="SELECT SUM(iznosDoprinosaPoreza) AS iznos, d.vrstaDoprinosaPoreza, d.stopaDoprinosaPoreza,vd.izIliNaPlacu,vd.nazivDoprinosaPoreza ";  
    $querySelectOstali= "SELECT SUM(iznosDoprinosaPoreza) AS iznos "; 
    
    $queryZajednicki = "
        FROM doprinosi_porezi_po_obracunu AS d
        INNER JOIN maticna_radnika AS r ON r.kodRadnika=d.kodRadnika
        INNER JOIN 
        -- mora se povezati na doprinos-porez koji odgovara odabranim datumima
        -- (ako po istoj vrsti doprinosa-poreza ima više slogova)
        ( 
            SELECT 
             dp.*, 
            IFNULL(DATE_SUB(min(d2.`vrijediOd`), INTERVAL 1 DAY),'3000-01-01') as vrijediDo
            FROM doprinosi_porezi as dp
            LEFT OUTER JOIN doprinosi_porezi AS d2
            ON dp.`vrstaDoprinosaPoreza`=d2.`vrstaDoprinosaPoreza` and dp.`vrijediOd`< d2.`vrijediOd`
            GROUP BY dp.`vrstaDoprinosaPoreza`, dp.`vrijediOd`
        ) as vd on vd.vrstaDoprinosaPoreza =d.vrstaDoprinosaPoreza and concat(d.godinaObracuna,'-',d.mjesecObracuna,'-01') between vd.vrijediOd and vd.vrijediDo
        WHERE godinaObracuna*100+mjesecObracuna between :godinaObracunaOd*100+:mjesecObracunaOd AND :godinaObracunaDo*100+:mjesecObracunaDo 
         AND (vrstaPlace=:vrstaPlace OR :vrstaPlace='sve') 
         AND (verzijaPlace=:verzijaPlace OR :verzijaPlace='sve') 
          AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
         AND (d.kodRadnika=:kodRadnika OR :kodRadnika='')
         AND (d.vrstaDoprinosaPoreza=:vrstaDoprinosaPoreza OR :vrstaDoprinosaPoreza='')
         AND (vd.izIliNaPlacu=:izIliNaPlacu OR :izIliNaPlacu='') 
         "; 
        if ($groupBy == 'poRadniku') {
            $query = $querySelectPoRadniku . $queryZajednicki . 
                    'GROUP BY r.imeIprezime, d.kodRadnika,godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, vrstaJOPPDizvjesca, d.vrstaDoprinosaPoreza';            
        } elseif ($groupBy == 'poVrstiDoprinosaPoreza') {
            $query = $querySelectPoVrstiDoprinosaPoreza . $queryZajednicki . 'GROUP BY d.vrstaDoprinosaPoreza';  
        }  else {
            $query = $querySelectOstali . $queryZajednicki;
             // query je (zbroj svih doprinosa-poreza skupa, zbraja sve doprinose i poreze skupa ili prema izIliNaPlacu
        }   
        //if ($vrstaDoprinosaPoreza == 'zdravs')        echo 'qtet=' . $query;
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracunaOd', $godinaObracunaOd);
        $statement->bindValue(':mjesecObracunaOd', $mjesecObracunaOd);
        $statement->bindValue(':godinaObracunaDo', $godinaObracunaDo);
        $statement->bindValue(':mjesecObracunaDo', $mjesecObracunaDo);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':vrstaDoprinosaPoreza', $vrstaDoprinosaPoreza);
        $statement->bindValue(':groupBy', $groupBy);
        $statement->bindValue(':izIliNaPlacu', $izIliNaPlacu);
          $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function brojRadnikaPoPrimitkuDoprinosuKreditu($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace,
                                               $vrstaJOPPDizvjesca, $kodRadnika='',$vrstaPrimDopKred='',$tabela='primici_po_obracunu') {
    global $db;
    
    $queryZajednickiDio = " 
    SELECT COUNT(*) FROM $tabela
       WHERE godinaObracuna*100+mjesecObracuna between :godinaObracunaOd*100+:mjesecObracunaOd AND :godinaObracunaDo*100+:mjesecObracunaDo 
         AND (vrstaPlace=:vrstaPlace OR :vrstaPlace='') 
         AND (verzijaPlace=:verzijaPlace) 
         AND (vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
         AND (kodRadnika=:kodRadnika OR :kodRadnika='') ";
    
    $queryDioZaPrimitke = "
         AND (vrstaPrimitka=:vrstaPrimDopKred OR :vrstaPrimDopKred='')
             GROUP BY vrstaPrimitka";
    
    $queryDioZaDoprinosePoreze = "
         AND (vrstaDoprinosaPoreza=:vrstaPrimDopKred OR :vrstaPrimDopKred='')
             GROUP BY vrstaDoprinosaPoreza";
      
    $queryDioZaObustave = "
         AND (kodBanke=:vrstaPrimDopKred OR :vrstaPrimDopKred='')
             GROUP BY kodBanke";
    /* defaultno parametar za kodBanke = ''( vrstaPrimDopKred) pa se ovaj dio ne dodaje u query osim ako je kodBanke popunjen) pa se dobije broj radnika
     * koji imaju kredite u pojedinoj banki
     */
    switch ($tabela) {
        case 'primici_po_obracunu':
        $query = $queryZajednickiDio . $queryDioZaPrimitke; 
        break;
    case 'doprinosi_porezi_po_obracunu':
        $query = $queryZajednickiDio . $queryDioZaDoprinosePoreze; 
        break;
    case 'krediti_obustave_po_obracunu':
        if ($vrstaPrimDopKred == '') $query = $queryZajednickiDio; else $query = $queryZajednickiDio . $queryDioZaObustave;
        break;
    case 'obracuni_placa':
        $query = $queryZajednickiDio; 
        break;    
    default:  
        echo 'Nepoznata $tabela="$tabela"' . ' u funkciji brojRadnikaPoPrimitkuDOprinosuKreditu';
        break;
    }
    
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracunaOd', $godinaObracunaOd);
        $statement->bindValue(':mjesecObracunaOd', $mjesecObracunaOd);
        $statement->bindValue(':godinaObracunaDo', $godinaObracunaDo);
        $statement->bindValue(':mjesecObracunaDo', $mjesecObracunaDo);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':vrstaPrimDopKred', $vrstaPrimDopKred);    
         $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;        
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
    
}
function iskoristeniGO($godinaObracuna, $mjesecObracunaOd='01',$mjesecObracunaDo, $vrstaPlace, $verzijaPlace,$vrstaJOPPDizvjesca,$kodRadnika) {
/* zbroje se sati Godišnjeg odmora od prvog mjeseca do zadnjeg postojećeg primitaka plaće 
 koristi se kod upisivanna obracuna placa ili 
 se prikazuje kod prikaza jednog radnika iz maticna_radnika
 sati se djele sa 8 da se dobije broj dana
 Kod prikaza radnika u maticna_radnika poziva se ta funkcija
 IZUZETAK za PANEX-AGM je gdje je u maticna_radnika za 2019 u polju iskoristenoGO unesen ručno zbroj dana GO od 1..1.2019 do 30.06.2019
 jer je novi program startao sa plaćom za 7 mjesec 2019 godine    */  
    $vrstaPrimitka='godOdm';
    $godinaObracunaOd=$godinaObracunaDo=$godinaObracuna;
    $primici_po_obracunu = pregledUnesenihPrimitaka($godinaObracunaOd, '01', $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca,
                                  $kodRadnika, $vrstaPrimitka, 'zbrojeno'); 
    
    $brojIskoristenihDanaGO = round( ($primici_po_obracunu['0']['sati'] / 8),0);
    return $brojIskoristenihDanaGO;   
}
function zakljucavanja_obracuna($mjesecObracuna,$godinaObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca) {
    global $db;
    $danas = new DateTime();
    $datumZakljucavanja = $danas->format("Y-m-d H:i:s");
    $query = "
       update obracuni_placa
       set datumZakljucavanja = :datumZakljucavanja  
       where godinaObracuna = :godinaObracuna
       and mjesecObracuna = :mjesecObracuna
       and vrstaPlace = :vrstaPlace
       and vrstaJOPPDizvjesca = :vrstaJOPPDizvjesca
       and verzijaPlace = :verzijaPlace
    ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':datumZakljucavanja', $datumZakljucavanja);   
        $statement->execute();
        $count = $statement->rowCount();
        $statement->closeCursor();        
        return $count;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
    
}
function otkljucavanje_obracuna($mjesecObracuna,$godinaObracuna,$vrstaPlace,$verzijaPlace,$vrstaJOPPDizvjesca) {
    global $db;   
    $query = "
        update obracuni_placa
       set datumZakljucavanja = NULL
       where godinaObracuna = :godinaObracuna
       and mjesecObracuna = :mjesecObracuna
       and vrstaPlace = :vrstaPlace
       and verzijaPlace = :verzijaPlace
       and vrstaJOPPDizvjesca = :vrstaJOPPDizvjesca
       ";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->execute();
        $count = $statement->rowCount();
        $statement->closeCursor();
        return $count;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
    
}
function godisnji_obracun_poreza($mjesecObracuna,$godinaObracuna,$vrstaPlace,$verzijaPlace, $vrstaJOPPDizvjesca) {
    global $db;   
    $query = "
       select * from obracuni_placa       
       where godinaObracuna = :godinaObracuna
       and mjesecObracuna = :mjesecObracuna
       and vrstaPlace = :vrstaPlace
       and verzijaPlace = :verzijaPlace
       and (vrstaJOPPDizvjesca = :vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
       and godisnjiPorez !=0";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracuna', $godinaObracuna);
        $statement->bindValue(':mjesecObracuna', $mjesecObracuna);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace); 
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca); 
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();      
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }    
    
}

function get_pregled_krediti_po_obracunu($godinaObracunaOd, $mjesecObracunaOd, $godinaObracunaDo, $mjesecObracunaDo, $vrstaPlace, $verzijaPlace, $vrstaJOPPDizvjesca,
                                  $kodRadnika,$kodBanke,$orderBy='poRadniku') {
    global $db;
    $query = " 
    SELECT 
    k.*, r.imeIprezime, b.nazivPartnera AS nazivBanke, km.nazivKreditaObustave, JOPPD, datumIsplatePlace
    FROM krediti_obustave_po_obracunu AS k
    INNER JOIN maticna_radnika AS r ON r.kodRadnika=k.kodRadnika
    INNER JOIN partner as b ON b.kodPartnera=k.kodBanke
    INNER JOIN krediti_obustave AS km on km.kodRadnika=k.kodRadnika AND km.kodBanke=k.kodBanke AND km.kodKredita=k.kodKredita
    INNER JOIN 
    ( 
        SELECT godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, JOPPD, datumIsplatePlace
        FROM obracuni_placa
        GROUP BY godinaObracuna, mjesecObracuna, vrstaPlace, verzijaPlace, JOPPD, datumIsplatePlace
    ) AS o
    ON o.godinaObracuna=k.godinaObracuna AND o.mjesecObracuna=k.mjesecObracuna AND o.vrstaPlace=k.vrstaPlace AND o.verzijaPlace=k.verzijaPlace
    WHERE k.godinaObracuna*100+k.mjesecObracuna between :godinaObracunaOd*100+:mjesecObracunaOd AND :godinaObracunaDo*100+:mjesecObracunaDo 
     AND (k.vrstaPlace=:vrstaPlace OR :vrstaPlace='') 
     AND (k.verzijaPlace=:verzijaPlace OR :verzijaPlace='')
     AND (k.vrstaJOPPDizvjesca=:vrstaJOPPDizvjesca OR :vrstaJOPPDizvjesca='')
     AND (k.kodRadnika=:kodRadnika OR :kodRadnika='')
     AND (k.kodBanke=:kodBanke OR :kodBanke='')
    /*
     */
    "; 
    $query .= "
    ORDER BY k.kodRadnika, k.kodBanke,k.kodKredita, k.godinaObracuna, k.mjesecObracuna
         ";            

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':godinaObracunaOd', $godinaObracunaOd, PDO::PARAM_INT);
        $statement->bindValue(':mjesecObracunaOd', $mjesecObracunaOd, PDO::PARAM_INT);
        $statement->bindValue(':godinaObracunaDo', $godinaObracunaDo, PDO::PARAM_INT);
        $statement->bindValue(':mjesecObracunaDo', $mjesecObracunaDo, PDO::PARAM_INT);
        $statement->bindValue(':vrstaPlace', $vrstaPlace);
        $statement->bindValue(':verzijaPlace', $verzijaPlace);
        $statement->bindValue(':vrstaJOPPDizvjesca', $vrstaJOPPDizvjesca);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':kodBanke', $kodBanke);
        /*
         */
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_broj_rata_kredita($kodRadnika,$kodBanke,$kodKredita) {
    global $db;
    $query = " 
    SELECT kodRadnika,kodBanke,kodKredita,
    COUNT(*) as brojRata, SUM(rataKredita) AS ukupnoUplaceno
    FROM krediti_obustave_po_obracunu AS k
    WHERE k.kodRadnika=:kodRadnika 
     AND k.kodBanke=:kodBanke
     AND k.kodKredita=:kodKredita
    GROUP BY kodRadnika,kodBanke,kodKredita
    "; 
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':kodBanke', $kodBanke);
        $statement->bindValue(':$kodKredita', $kodKredita);
        /*
         */
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

?>