<?php
function add_address($kod_partnera, $mjesto_sjedista, $ulica_broj, $pos_pretinac,
           $mjesto_poste, $broj_poste, $zemlja, $telefoni)    {
    global $db;
    $query = '
        INSERT INTO adrese (kodPartnera, mjestoSjedista, ulicaBroj, posPretinac,
         mjestoPoste, brojPoste, zemlja, telefoni)                                   
		 VALUES (:kod_partnera, :mjesto_sjedista, :ulica_broj, :pos_pretinac,
           :mjesto_poste, :broj_poste, :zemlja, :telefoni)   ';
    $statement = $db->prepare($query);
    $statement->bindValue(':kod_partnera', $kod_partnera);
    $statement->bindValue(':mjesto_sjedista', $mjesto_sjedista);
    $statement->bindValue(':ulica_broj', $ulica_broj);
    $statement->bindValue(':pos_pretinac', $pos_pretinac);
    $statement->bindValue(':mjesto_poste', $mjesto_poste);
    $statement->bindValue(':broj_poste', $broj_poste);
    $statement->bindValue(':zemlja', $zemlja);
	$statement->bindValue(':telefoni', $telefoni); 
    $statement->execute();
    $address_id = $db->lastInsertId();
    $statement->closeCursor();
    return $address_id;
}

function get_address($kod_partnera) {
    global $db;
    $query = 'SELECT * FROM adrese WHERE kodPartnera = :kod_partnera';
    $statement = $db->prepare($query);
    $statement->bindValue(':kod_partnera', $kod_partnera);
    $statement->execute();
    $address = $statement->fetch();
    $statement->closeCursor();
    return $address;
}

function update_address ($kod_partnera, $mjesto_sjedista, $ulica_broj, $pos_pretinac,
           $mjesto_poste, $broj_poste, $zemlja, $telefoni) {
    global $db;
    $query = '
        UPDATE adrese
        SET mjestoSjedista = :mjesto_sjedista,
		    ulicaBroj = :ulica_broj,
			posPretinac = :pos_pretinac,
			mjestoPoste = :mjesto_poste,
			brojPoste = :broj_poste,
            zemlja = :zemlja,
			telefoni = :telefoni
        WHERE kodPartnera = :kod_partnera';
    $statement = $db->prepare($query);
	$statement->bindValue(':kod_partnera', $kod_partnera);
    $statement->bindValue(':mjesto_sjedista', $mjesto_sjedista);
    $statement->bindValue(':ulica_broj', $ulica_broj);
    $statement->bindValue(':pos_pretinac', $pos_pretinac);
    $statement->bindValue(':mjesto_poste', $mjesto_poste);
    $statement->bindValue(':broj_poste', $broj_poste);
    $statement->bindValue(':zemlja', $zemlja);
	$statement->bindValue(':telefoni', $telefoni); 
    $statement->execute();
    $statement->closeCursor();
}

function disable_or_delete_address($kod_partnera) {
    global $db;
    if (is_used_address_id($kod_partnera)) {
        $query = 'UPDATE adrese SET disabled = 1 WHERE kodPartnera = :kod_partnera';
        $statement = $db->prepare($query);
        $statement->bindValue(":kod_partnera", $kod_partnera);
        $statement->execute();
        $statement->closeCursor();
    } else {
        $query = 'DELETE FROM adrese WHERE kodPartnera = :kod_partnera';
        $statement = $db->prepare($query);
        $statement->bindValue(":kod_partnera", $kod_partnera);
        $statement->execute();
        $statement->closeCursor();
    }
}

function is_used_address_id($kod_partnera) {
    global $db;

    // Check if the address is used as a billing address
    $query = "SELECT COUNT(*) FROM orders WHERE billingAddressID = :value";
    $statement = $db->prepare($query);
    $statement->bindValue(':value', $address_id);
    $statement->execute();
    $result = $statement->fetch();
    $billing_count = $result[0];
    $statement->closeCursor();
    if ($billing_count > 0) return true;

    // Check if the address is used as a shipping address
    $query = "SELECT COUNT(*) FROM orders WHERE shipAddressID = :value";
    $statement = $db->prepare($query);
    $statement->bindValue(':value', $address_id);
    $statement->execute();
    $result = $statement->fetch();
    $ship_count = $result[0];
    $statement->closeCursor();
    if ($ship_count > 0) return true;

    return false;
}

?>