<?php
// ako je pozvano iz mg naziv PDO linka je $dbMG, a u robnom je $db, a nama treba isto ime i za mg i za robno
if(isset($dbMG) && !isset($db)) 
    $db=&$dbMG;

//echo 'Dolazim u admin_db';
function is_valid_admin_login($email, $lozinka) {
    //global $db;
    $db=get_konekcija_mur('administrators');
    $lozinka = sha1($email . $lozinka);
    $query = '
        SELECT * FROM '.get_admin_db().'.administrators
        WHERE email = :email AND lozinka = :lozinka';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':email', $email);
        $statement->bindValue(':lozinka', $lozinka);
        $statement->execute();
        $valid = ($statement->rowCount() == 1);
        $statement->closeCursor();
        return $valid;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function admin_count() {
    global $db;
    $query = 'SELECT count(*) AS adminCount FROM '.get_admin_db().'.administrators';
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result['adminCount'];
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_all_admins() {
    //global $db;
    $db=get_konekcija_mur('administrators');
    $query = 'SELECT * FROM '.get_admin_db().'.administrators ORDER BY prezime, ime';
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $admins = $statement->fetchAll();
        $statement->closeCursor();
        return $admins;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_admin ($kodAdmin) {
    //global $db;
    $db=get_konekcija_mur('administrators');
    $query = 'SELECT * FROM '.get_admin_db().'.administrators WHERE kodAdmin = :kodAdmin';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodAdmin', $kodAdmin);
        $statement->execute();
        $admin = $statement->fetch();
        $statement->closeCursor();
    return $admin;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_admin_by_skracenica ($skracenica) {
    //global $db;
    $db=get_konekcija_mur('administrators');
    $query = 'SELECT * FROM '.get_admin_db().'.administrators WHERE skracenica = :skracenica';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':skracenica', $skracenica);
        $statement->execute();
        $admin = $statement->fetch();
        $statement->closeCursor();
        return $admin;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_admin_by_OIB ($OIB) {
    //global $db;
    $db=get_konekcija_mur('administrators');
    $query = 'SELECT * FROM '.get_admin_db().'.administrators WHERE OIB = :OIB';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':OIB', $OIB);
        $statement->execute();
        $admin = $statement->fetch();
        $statement->closeCursor();
        return $admin;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}


function get_admin_by_email ($email) {
    //global $db;
    $db=get_konekcija_mur('administrators');
    $query = 'SELECT * FROM '.get_admin_db().'.administrators WHERE email = :email';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':email', $email);
        $statement->execute();
        $admin = $statement->fetch();
        $statement->closeCursor();
    return $admin;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function is_valid_admin_email($email) {
    //global $db;
    $db=get_konekcija_mur('administrators');
    $query = '
        SELECT * FROM '.get_admin_db().'.administrators
        WHERE email = :email';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':email', $email);
        $statement->execute();
        $valid = ($statement->rowCount() == 1);
        $statement->closeCursor();
        return $valid;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function add_admin($email, $ime, $prezime, $lozinka_1, $lozinka_2, $firma, $OIB, $skracenica, $prioritet, $bazeZaKorisnika, $punkt, $poslovnicePunkta,$lokacijeRada,
                $dozvolaKnjizenjaDok, $vidljiviDokumenti,$vidljiviPodaciPrimke,$dozvolaZakljucavanja,$dozvoljeniDaniRada,
                $dozvoljenoVrijemeRadaOd,$dozvoljenoVrijemeRadaDo,$ulazakUknjigovodstvo,$tMaticnaRadnika,$tRadnoVrijeme,$kodPartnera,
                $vidljiviStatusiRobe,$vidljivoStanjeNula,$vidljivaCijenaRabat,$aplikacije) {
    global $db;
/*    if ($prioritet==9) {
        if(trim($vidljiviDokumenti)=='')
            $vidljiviDokumenti='5,N,NS';
        if(trim($dozvolaKnjizenjaDok)=='')
            $dozvolaKnjizenjaDok='N';
    }  */
    $lozinka = sha1($email . $lozinka_1);
    $email_user = $_SESSION['admin']['email'];
    $query = '
        INSERT INTO administrators (email, lozinka, ime, prezime, firma, OIB, skracenica, prioritet, bazeZaKorisnika, punkt, poslovnicePunkta, lokacijeRada, 
                dozvolaKnjizenjaDok, vidljiviDokumenti,vidljiviPodaciPrimke,dozvolaZakljucavanja,dozvoljeniDaniRada,
                dozvoljenoVrijemeRadaOd,dozvoljenoVrijemeRadaDo,ulazakUknjigovodstvo,tMaticnaRadnika,tRadnoVrijeme,kodPartnera,
                vidljiviStatusiRobe,vidljivoStanjeNula,vidljivaCijenaRabat,aplikacije,
                datumOtvaranja, tkoJeIzmjenio)
        VALUES (:email, :lozinka, :ime, :prezime, :firma, :OIB, :skracenica, :prioritet, :bazeZaKorisnika, :punkt, :poslovnicePunkta, :lokacijeRada, 
                :dozvolaKnjizenjaDok, :vidljiviDokumenti,:vidljiviPodaciPrimke,:dozvolaZakljucavanja,:dozvoljeniDaniRada,
                :dozvoljenoVrijemeRadaOd,:dozvoljenoVrijemeRadaDo,:ulazakUknjigovodstvo,:tMaticnaRadnika,:tRadnoVrijeme,:kodPartnera,
                :vidljiviStatusiRobe,:vidljivoStanjeNula,:vidljivaCijenaRabat, :aplikacije, 
                NOW(), :email_user )';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':email', $email);
        $statement->bindValue(':lozinka', $lozinka);
        $statement->bindValue(':ime', $ime);
        $statement->bindValue(':prezime', $prezime);
        $statement->bindValue(':firma', $firma);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':skracenica', $skracenica);
        $statement->bindValue(':prioritet', $prioritet);
        $statement->bindValue(':bazeZaKorisnika', $bazeZaKorisnika);
        $statement->bindValue(':punkt', $punkt);
        $statement->bindValue(':poslovnicePunkta', $poslovnicePunkta);
        $statement->bindValue(':lokacijeRada', $lokacijeRada);
        $statement->bindValue(':dozvolaKnjizenjaDok', $dozvolaKnjizenjaDok);
        $statement->bindValue(':vidljiviDokumenti', $vidljiviDokumenti);
        $statement->bindValue(':vidljiviPodaciPrimke', $vidljiviPodaciPrimke);
        $statement->bindValue(':dozvolaZakljucavanja', $dozvolaZakljucavanja);
        $statement->bindValue(':dozvoljeniDaniRada', $dozvoljeniDaniRada);
        $statement->bindValue(':dozvoljenoVrijemeRadaOd', $dozvoljenoVrijemeRadaOd);
        $statement->bindValue(':dozvoljenoVrijemeRadaDo', $dozvoljenoVrijemeRadaDo);
        $statement->bindValue(':ulazakUknjigovodstvo', $ulazakUknjigovodstvo);
        $statement->bindValue(':tMaticnaRadnika', $tMaticnaRadnika);
        $statement->bindValue(':tRadnoVrijeme', $tRadnoVrijeme);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':vidljiviStatusiRobe', $vidljiviStatusiRobe);
        $statement->bindValue(':vidljivoStanjeNula', $vidljivoStanjeNula);
        $statement->bindValue(':vidljivaCijenaRabat', $vidljivaCijenaRabat);
        $statement->bindValue(':aplikacije', $aplikacije);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $kodAdmin = $db->lastInsertId();
        $statement->closeCursor();
        return $kodAdmin;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_admin($kodAdmin, $email, $ime, $prezime, $lozinka_1, $lozinka_2, $firma,
    $OIB, $skracenica, $prioritet, $bazeZaKorisnika, $punkt, $poslovnicePunkta, $lokacijeRada,
    $dozvolaKnjizenjaDok, $vidljiviDokumenti,$vidljiviPodaciPrimke,$dozvolaZakljucavanja,$dozvoljeniDaniRada,
    $dozvoljenoVrijemeRadaOd,$dozvoljenoVrijemeRadaDo,$ulazakUknjigovodstvo,$tMaticnaRadnika,$tRadnoVrijeme,$kodPartnera,
    $vidljiviStatusiRobe,$vidljivoStanjeNula,$vidljivaCijenaRabat,$aplikacije) {
    global $db;
    $email_user = $_SESSION['admin']['email'];

   /* if ($prioritet==9) {
        if(trim($vidljiviDokumenti)=='')
            $vidljiviDokumenti='5,N,NS';
        if(trim($dozvolaKnjizenjaDok)=='')
            $dozvolaKnjizenjaDok='N';
    }  */
  if ($_SESSION['admin']['prioritet'] < 6) {
//korisnici sa proioritetom > 5 ne mogu mjenjati ostale podatke osim lozinke  
    $query = " 
        UPDATE administrators
        SET email = :email,
            ime = :ime,
            prezime = :prezime,
            firma = :firma,
            OIB = :OIB,
            skracenica = :skracenica,
            prioritet = :prioritet,
            bazeZaKorisnika = :bazeZaKorisnika,
            punkt = :punkt,
            poslovnicePunkta = :poslovnicePunkta,
            lokacijeRada=:lokacijeRada,
            dozvolaKnjizenjaDok=:dozvolaKnjizenjaDok,
            vidljiviDokumenti=:vidljiviDokumenti,
            vidljiviPodaciPrimke=:vidljiviPodaciPrimke,
            dozvolaZakljucavanja=:dozvolaZakljucavanja,
            dozvoljeniDaniRada=:dozvoljeniDaniRada,
            dozvoljenoVrijemeRadaOd=:dozvoljenoVrijemeRadaOd,
            dozvoljenoVrijemeRadaDo=:dozvoljenoVrijemeRadaDo,
            ulazakUknjigovodstvo=:ulazakUknjigovodstvo,
            tMaticnaRadnika=:tMaticnaRadnika,
            tRadnoVrijeme=:tRadnoVrijeme,
            kodPartnera=:kodPartnera,
            vidljiviStatusiRobe=:vidljiviStatusiRobe,
            vidljivoStanjeNula=:vidljivoStanjeNula,
            vidljivaCijenaRabat=:vidljivaCijenaRabat,
            aplikacije=:aplikacije,
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE kodAdmin = :kodAdmin";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':email', $email);
        $statement->bindValue(':ime', $ime);
        $statement->bindValue(':prezime', $prezime);
        $statement->bindValue(':firma', $firma);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':skracenica', $skracenica);
        $statement->bindValue(':prioritet', $prioritet);
        $statement->bindValue(':bazeZaKorisnika', $bazeZaKorisnika);
        $statement->bindValue(':punkt', $punkt);
        $statement->bindValue(':poslovnicePunkta', $poslovnicePunkta);
        $statement->bindValue(':lokacijeRada', $lokacijeRada);
        $statement->bindValue(':dozvolaKnjizenjaDok', $dozvolaKnjizenjaDok);
        $statement->bindValue(':vidljiviDokumenti', $vidljiviDokumenti);
        $statement->bindValue(':vidljiviPodaciPrimke', $vidljiviPodaciPrimke);
        $statement->bindValue(':dozvolaZakljucavanja', $dozvolaZakljucavanja);
        $statement->bindValue(':dozvoljeniDaniRada', $dozvoljeniDaniRada);
        $statement->bindValue(':dozvoljenoVrijemeRadaOd', $dozvoljenoVrijemeRadaOd);
        $statement->bindValue(':dozvoljenoVrijemeRadaDo', $dozvoljenoVrijemeRadaDo);
        $statement->bindValue(':ulazakUknjigovodstvo', $ulazakUknjigovodstvo);
        $statement->bindValue(':tMaticnaRadnika', $tMaticnaRadnika);
        $statement->bindValue(':tRadnoVrijeme', $tRadnoVrijeme);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':vidljiviStatusiRobe', $vidljiviStatusiRobe);
        $statement->bindValue(':vidljivoStanjeNula', $vidljivoStanjeNula);
        $statement->bindValue(':vidljivaCijenaRabat', $vidljivaCijenaRabat);
        $statement->bindValue(':kodAdmin', $kodAdmin);
        $statement->bindValue(':aplikacije', $aplikacije);
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
  }
  
    if (!empty($lozinka_1) && empty($lozinka_2)) {
	   display_error('Polje Ponovite lozinku:  je prazno. Ako želite promjeniti lozinku potrebno
	   je popuniti polje Ponovite lozinku:  isto kao i polje Nova lozinka: 
	   Ili ako ne želite promjene ispraznite obje lozinke ili kliknite na Otkaži izmjenu ');
	}
    if (!empty($lozinka_1) && !empty ($lozinka_2)) {
        if ($lozinka_1 !== $lozinka_2) {
            display_error('Lozinke 1 i 2 nisu iste!');
        } elseif (strlen($lozinka_1) < 6) {
            display_error('Lozinka mora imati najmanje 6 znakova!');
        }
        $lozinka = sha1($email . $lozinka_1);
        $query = '
            UPDATE administrators
            SET lozinka = :lozinka,
			    tkoJeIzmjenio = :email_user
            WHERE kodAdmin = :kodAdmin';
        try {
            $statement = $dbMG->prepare($query);
            $statement->bindValue(':lozinka', $lozinka);
            $statement->bindValue(':kodAdmin', $kodAdmin);
            $statement->bindValue(':email_user', $email_user);
            $statement->execute();
            $statement->closeCursor();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }
    }
}

function delete_admin($kodAdmin) {
    global $dbMG;
    $query = 'DELETE FROM administrators WHERE kodAdmin = :kodAdmin';
    try {
        $statement = $dbMG->prepare($query);
        $statement->bindValue(':kodAdmin', $kodAdmin);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}


function get_admin_db() {
    $http_host = $_SERVER['HTTP_HOST'];
    //if ($http_host == 'www.murski-gaji.hr' || $http_host == 'localhost') {
    if ($http_host === 'www.panex-agm.com' || $http_host === 'panex-agm.com' ) {
        //$username = 'murskiga_mguser';
        $dbname='panex_robno_mur';	    
    } else {   
    // za www.panex-agm.com   
        //$username = 'panex_mguser';
        $dbname='murskiga_robno_mur';
    }  

    
    return $dbname;
}

function get_arhivske_baze() {
    $baza=$_SESSION['odabranaBaza'];
    global $db;
    //echo $aplikacija;
    $query = "  
    select SCHEMA_NAME as baza, 
    if(SUBSTRING_INDEX(SCHEMA_NAME, '_', -1) REGEXP '[0-9]+', CAST(SUBSTRING_INDEX(SCHEMA_NAME, '_', -1) AS UNSIGNED)+2000, year(now())) as godina
    from information_schema.SCHEMATA
    where `SCHEMA_NAME` like concat(:baza,'%')
    and not (`SCHEMA_NAME` like '%_mur')
    ORDER BY godina DESC 
    "; 
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':baza', $baza);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function postoji_baza($baza) {
    global $db;
    $query = 'select `SCHEMA_NAME` from information_schema.`SCHEMATA` where `SCHEMA_NAME`=:baza';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':baza', $baza);
        $statement->execute();
        $b = $statement->fetchAll();
        $statement->closeCursor();
        return count($b)>0;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

// pošto pojedine baze mogu biti prepisane u utf8_croatian_ci, a murskiga_robno_mur još nije, u administrator tablici imamo drukčiji setting 
// da bi se nasa slova korektno prikazivala,za te se baze murskiga_robno_mur mora otvoriti sa "SET NAMES latin1"
// kada se (ako se) murskiga_robno_mur prepiše u utf8_croatian_ci ozvarat će se kao sve prepisane baze (već je isprogramirano)
function get_konekcija_mur($tablica) {
    $db=konekcijaNaBazu($_SESSION['username'], 'a83bmi', $_SESSION['odabranaBaza']);
    $baza=get_admin_db();
    $query = "SELECT TABLE_NAME, TABLE_COLLATION
              FROM information_schema.`TABLES`
              WHERE TABLE_SCHEMA='$baza'
              AND TABLE_NAME=:tablica";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':tablica', $tablica);
        $statement->execute();
        $r = $statement->fetch();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    if($r['TABLE_COLLATION']=='utf8_croatian_ci') 
        $query = "SET NAMES utf8";
    else    
        $query = "SET NAMES latin1";
    try {
        $statement = $db->prepare($query);
        $statement->execute();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
        
    return $db;  
   
}

function get_b2bPoslovnica() {
    global $db;
    $query = " 
    select poslovnicePunkta as b2bPoslovnica
    from ".get_admin_db().".administrators
    where OIB=:OIB
    and prioritet<9
    and trim(poslovnicePunkta)<>''
    ";
     try {
        $statement = $db->prepare($query);
	$statement->bindValue(':OIB', $_SESSION['admin']['OIB']);
        $statement->execute();
        $r = $statement->fetch();
        $statement->closeCursor();
        if(!isset($r['b2bPoslovnica']))
            return null;
        $p=explode(',', $r['b2bPoslovnica']);
        if(trim($p[0])=='0') {
            if(!isset($p[1]))
                return null;
            return $p[1];
        }
        return $p[0];
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}


?>