<?php
function get_isplate_na_banke_maticna_radnika_1radnik($kodRadnka) {
    global $db;

    $query = " 
    SELECT r.*, p.`nazivPartnera` as nazivBanke
    FROM isplate_na_banke_maticna_radnika as r
    LEFT OUTER JOIN partner as p ON p.kodPartnera=r.kodBanke
    WHERE kodRadnika = :kodRadnika
    ";
            
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnka);
        $statement->execute();
        $result=$statement->fetchAll();;
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}

function get_isplate_na_banke_maticna_radnika($kodRadnika='',$kodBanke='',$verzijaIsplate='') {
    global $db;
// echo 'kodRadnika=' . $kodRadnika . ' kodbanke=' . $kodBanke . ' verzija=' .$verzijaIsplate . '<br>';
    $query = " 
    SELECT i.*, p.`nazivPartnera` as nazivBanke
    FROM isplate_na_banke_maticna_radnika as i
    LEFT OUTER JOIN partner as p ON p.kodPartnera=i.kodBanke
    LEFT OUTER JOIN maticna_radnika as r ON r.kodRadnika=i.kodRadnika
    WHERE (i.kodRadnika = :kodRadnika or :kodRadnika = '')
    AND (i.kodBanke=:kodBanke or :kodBanke = '')
    AND (verzijaIsplate=:verzijaIsplate or :verzijaIsplate = '')
    ORDER BY r.imeIprezime
    ";
            
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':kodBanke',$kodBanke);   
        $statement->bindValue(':verzijaIsplate',$verzijaIsplate);   
        $statement->execute();
//        $result=$statement->fetch;
        $result=$statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}

function get_isplataNaBankuMaticnaRadnika_1radnik_1banka_1isplata($kodRadnika,$kodBanke,$verzijaIsplate) {
    global $db;
// echo ' iz get_isplata 1radnik...kodRadnika=' . $kodRadnika . ' kodbanke=' . $kodBanke . ' verzija=' .$verzijaIsplate . '<br>';
    $query = " 
    SELECT i.*, p.`nazivPartnera` as nazivBanke
    FROM isplate_na_banke_maticna_radnika as i
    LEFT OUTER JOIN partner as p ON p.kodPartnera=i.kodBanke
    WHERE (kodRadnika = :kodRadnika)
    AND (kodBanke=:kodBanke)
    AND (verzijaIsplate=:verzijaIsplate)
    ";
            
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':kodBanke',$kodBanke);   
        $statement->bindValue(':verzijaIsplate',$verzijaIsplate);   
        $statement->execute();
        $result=$statement->fetch();
   //     $result=$statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}

function azuriraj_banke($banke) {  
    foreach ($banke as $banka) {
        if(isset($banka['brisi']))  {         
            delete_isplate_na_banke_maticna_radnika($banka['kodRadnika'], $banka['kodBanke'], $banka['verzijaIsplate']);
        } else {
           $p=get_isplate_na_banke_maticna_radnika($banka['kodRadnika'], $banka['kodBanke'], $banka['verzijaIsplate']);
           if(count($p))  {
               update_isplate_na_banke_maticna_radnika($banka);
           } else { 
               add_isplate_na_banke_maticna_radnika($banka);
           }    
        }
        
    }
    
    return get_isplate_na_banke_maticna_radnika_1radnik($banke[0]['kodRadnika']);
}

function add_isplate_na_banke_maticna_radnika($slog) {
   
    global $db;
    $email_user = $_SESSION['admin']['email'];
    ///*
    $query = "
        INSERT INTO isplate_na_banke_maticna_radnika
        (
            kodRadnika,
            kodBanke,
            verzijaIsplate,
            modelPlatitelja,
            pozivNaBrojPlatitelja,
            brojRacunaZaIsplatuPlace,
            modelPrimatelja,
            pozivNaBrojPrimatelja,
            postoIliIznosPlace,
            postoIliIznos,
            nacinIsplate,
            datumOtvaranja,
            tkoJeIzmjenio
     
        )
        VALUES
        (
            :kodRadnika,
            :kodBanke, 
            :verzijaIsplate,
            :modelPlatitelja,
            :pozivNaBrojPlatitelja,
            :brojRacunaZaIsplatuPlace,
            :modelPrimatelja,
            :pozivNaBrojPrimatelja,
            :postoIliIznosPlace,
            :postoIliIznos,
            :nacinIsplate,
            NOW(), 
            :email_user 
        )";
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika',$slog['kodRadnika']);   
        $statement->bindValue(':kodBanke',$slog['kodBanke']);   
        $statement->bindValue(':verzijaIsplate',$slog['verzijaIsplate']);   
        $statement->bindValue(':modelPlatitelja',$slog['modelPlatitelja']);   
        $statement->bindValue(':pozivNaBrojPlatitelja',$slog['pozivNaBrojPlatitelja']);               
        $statement->bindValue(':brojRacunaZaIsplatuPlace',trim($slog['brojRacunaZaIsplatuPlace']));   
        $statement->bindValue(':modelPrimatelja',$slog['modelPrimatelja']);   
        $statement->bindValue(':pozivNaBrojPrimatelja',$slog['pozivNaBrojPrimatelja']); 
        $statement->bindValue(':postoIliIznosPlace',$slog['postoIliIznosPlace']);   
        $statement->bindValue(':postoIliIznos',$slog['postoIliIznos']);   
        $statement->bindValue(':nacinIsplate',$slog['nacinIsplate']);   

        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
     // */

}

function update_isplate_na_banke_maticna_radnika($slog) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    ///*
    $query = "
        UPDATE isplate_na_banke_maticna_radnika
        SET 
            modelPlatitelja=:modelPlatitelja,
            pozivNaBrojPlatitelja=:pozivNaBrojPlatitelja,
            brojRacunaZaIsplatuPlace=:brojRacunaZaIsplatuPlace,
            modelPrimatelja=:modelPrimatelja,
            pozivNaBrojPrimatelja=:pozivNaBrojPrimatelja,
            postoIliIznosPlace=:postoIliIznosPlace,
            postoIliIznos=:postoIliIznos,
            nacinIsplate=:nacinIsplate,

            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE kodRadnika=:kodRadnika
        AND kodBanke=:kodBanke
        AND verzijaIsplate=:verzijaIsplate
        ";

    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika',$slog['kodRadnika']);   
        $statement->bindValue(':kodBanke',$slog['kodBanke']);   
        $statement->bindValue(':verzijaIsplate',$slog['verzijaIsplate']);  
        $statement->bindValue(':modelPlatitelja',$slog['modelPlatitelja']);   
        $statement->bindValue(':pozivNaBrojPlatitelja',$slog['pozivNaBrojPlatitelja']);               
        $statement->bindValue(':brojRacunaZaIsplatuPlace',trim($slog['brojRacunaZaIsplatuPlace']));   
        $statement->bindValue(':modelPrimatelja',$slog['modelPrimatelja']);   
        $statement->bindValue(':pozivNaBrojPrimatelja',$slog['pozivNaBrojPrimatelja']); 
        $statement->bindValue(':postoIliIznosPlace',$slog['postoIliIznosPlace']);   
        $statement->bindValue(':postoIliIznos',$slog['postoIliIznos']);   
        $statement->bindValue(':nacinIsplate',$slog['nacinIsplate']);   

        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
                                         
}

function delete_isplate_na_banke_maticna_radnika($kodRadnika,$kodBanke='',$verzijaIsplate='') {
    global $db;
    $query = " 
        DELETE FROM isplate_na_banke_maticna_radnika 
        WHERE kodRadnika = :kodRadnika
        ";
    if($kodBanke!='') {
        $query .= " 
        AND kodBanke=:kodBanke
        AND verzijaIsplate=:verzijaIsplate
        ";
    }    
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        if($kodBanke!='') {
            $statement->bindValue(':kodBanke',$kodBanke);   
            $statement->bindValue(':verzijaIsplate',$verzijaIsplate);           
        }
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }

}
?>