<?php
function get_kalkulacije($proda='', $DVOod=null, $DVOdo=NULL, $vrstaKalkulacije='') {  
    global $db;
    $query = "select z.DVO, k.*, z.valuta, z.PDVstatus, z.nacinPlacanja, z.kodPartnera, p.nazivPartnera
            from kalkulacije as k
            left outer join dok_zag as z on z.proda=k.proda and z.vrsDo='1' and z.proIn='' 
            and z.zapis=k.zapis and z.broDo=k.broDo and z.verzi=k.verzi
            left outer join partner as p on p.kodPartnera=z.kodPartnera 
            where (k.proda=:proda or trim(:proda)='' or trim(:proda)='0') 
              and z.DVO between :DVOOd and :DVODo      
   --         and (:vrstaKalkulacije='' or (p.vrstaPartnera=:vrstaKalkulacije and z.PDVstatus<>'7') or (:vrstaKalkulacije='1' 
   --              and p.vrstaPartnera<>'3' and z.PDVstatus<>'7')) or (:vrstaKalkulacije='7'  and z.PDVstatus='7')
              and (:vrstaKalkulacije=''
                  or (:vrstaKalkulacije='7' and z.PDVstatus = '7')
                  or (:vrstaKalkulacije='1' and (p.vrstaPartnera='0' or p.vrstaPartnera='1'))
                  or (:vrstaKalkulacije='3' and p.vrstaPartnera='3')
              )
            order by  k.proda, k.vrsdo, k.proin, k.zapis, k.brodo, k.verzi

            "; 
	try {
        $statement = $db->prepare($query);
        if (!isset($DVOdo)) {
            $date_do = new DateTime();     
            $date_do->setTime(23, 59, 59); 
        }
        else
            $date_do = new DateTime($DVOdo);     

        if (!isset($DVOod)) {
            $date_od =  new DateTime($date_do->format("Y").'-01-01 00:00:00');
            //$date_od->setTime(0, 0, 0); 
        }
        else
            $date_od = new DateTime($DVOod);      
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':DVOOd', $date_od->format("Y-m-d H:i:s"));
        $statement->bindValue(':DVODo', $date_do->format("Y-m-d H:i:s"));
        $statement->bindValue(':vrstaKalkulacije', $vrstaKalkulacije);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_kalkulaciju($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $query = '
        SELECT * 
        FROM kalkulacije 
        WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
	AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
	$statement->bindValue(':vrsDo', $vrsDo);
	$statement->bindValue(':proIn', $proIn);
	$statement->bindValue(':zapis', $zapis);
	$statement->bindValue(':broDo', $broDo);
	$statement->bindValue(':verzi', $verzi);
        $statement->execute();
        $r = $statement->fetch();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}


function add_kalkulaciju($proda,$vrsDo,$proIn,$zapis,$broDo,$verzi,$datumKalkulacije,$brojDobavljacevogRacuna, $datumDobavljacevogRacuna,
          $casasSconto,$iznosZaNaplatuDobavljacu,$PDVdobavljaca,$nabavniIznos,$marza,$rabatPopust,$rabatPopustNaKol,
          $zavisniTroskovi,$razlikaUCijeni, $prodajniIznosBezPDV,$ukalkuliraniPDV,$prodajniIznosSpdv,$povratnaNaknada,$komentar,
          $kalkulacijuIzradio,$iznosUstranojValuti,$stranaValuta, $carineITakse, $deklaracija, $valuta, $EVporez, $potrosniMaterijal, $trosakPakIkamata) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = "
        INSERT INTO kalkulacije 
        (
          proda,vrsDo,proIn,zapis,broDo,verzi,datumKalkulacije,brojDobavljacevogRacuna,datumDobavljacevogRacuna,
          casasSconto,iznosZaNaplatuDobavljacu,PDVdobavljaca,nabavniIznos,marza,rabatPopust,rabatPopustNaKol,
          zavisniTroskovi,razlikaUCijeni,prodajniIznosBezPDV,ukalkuliraniPDV,prodajniIznosSpdv,povratnaNaknada,komentar,
          kalkulacijuIzradio,iznosUstranojValuti,stranaValuta,carineITakse,deklaracija, EVporez, potrosniMaterijal, trosakPakIkamata, 
          datumOtvaranja,  tkoJeIzmjenio
         ) 
         VALUES
         (
          :proda,:vrsDo,:proIn,:zapis,:broDo,:verzi,:datumKalkulacije,:brojDobavljacevogRacuna,:datumDobavljacevogRacuna,
          :casasSconto,:iznosZaNaplatuDobavljacu,:PDVdobavljaca,:nabavniIznos,:marza,:rabatPopust,:rabatPopustNaKol,
          :zavisniTroskovi,:razlikaUCijeni,:prodajniIznosBezPDV,:ukalkuliraniPDV,:prodajniIznosSpdv,:povratnaNaknada,:komentar,
          :kalkulacijuIzradio,:iznosUstranojValuti,:stranaValuta,:carineITakse,:deklaracija, :EVporez, :potrosniMaterijal, :trosakPakIkamata,
          now(),:email_user
          )
        ";
        try {
        $statement = $db->prepare($query);

        $statement->bindValue(':proda',$proda);
        $statement->bindValue(':vrsDo',$vrsDo);
        $statement->bindValue(':proIn',$proIn);
        $statement->bindValue(':zapis',$zapis);
        $statement->bindValue(':broDo',$broDo);
        $statement->bindValue(':verzi',$verzi);
        $datum = new DateTime($datumKalkulacije);
        $statement->bindValue(':datumKalkulacije',$datum->format("Y-m-d H:i:s"));
        $statement->bindValue(':brojDobavljacevogRacuna',$brojDobavljacevogRacuna);
        if(trim($datumDobavljacevogRacuna)=='')
            $statement->bindValue(':datumDobavljacevogRacuna', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($datumDobavljacevogRacuna);
            $datum = $d1->format('Y-m-d H:i:s');
            $statement->bindValue(':datumDobavljacevogRacuna', $datum);
        }
        $statement->bindValue(':casasSconto',str_replace(',', '.', $casasSconto));
        $statement->bindValue(':iznosZaNaplatuDobavljacu',str_replace(',', '.', $iznosZaNaplatuDobavljacu));
        $statement->bindValue(':PDVdobavljaca',str_replace(',', '.', $PDVdobavljaca));
        $statement->bindValue(':nabavniIznos',str_replace(',', '.', $nabavniIznos));
        $statement->bindValue(':marza',str_replace(',', '.', $marza));
        $statement->bindValue(':rabatPopust',str_replace(',', '.', $rabatPopust));
        $statement->bindValue(':rabatPopustNaKol',str_replace(',', '.', $rabatPopustNaKol));
        $statement->bindValue(':zavisniTroskovi',str_replace(',', '.', $zavisniTroskovi));
        $statement->bindValue(':razlikaUCijeni',str_replace(',', '.', $razlikaUCijeni));
        $statement->bindValue(':prodajniIznosBezPDV',str_replace(',', '.', $prodajniIznosBezPDV));
        $statement->bindValue(':ukalkuliraniPDV',str_replace(',', '.', $ukalkuliraniPDV));
        $statement->bindValue(':prodajniIznosSpdv',str_replace(',', '.', $prodajniIznosSpdv));
        $statement->bindValue(':povratnaNaknada',str_replace(',', '.', $povratnaNaknada));
        $statement->bindValue(':komentar',$komentar);
        $statement->bindValue(':kalkulacijuIzradio',$kalkulacijuIzradio);
        $statement->bindValue(':carineITakse',str_replace(',', '.', $carineITakse));
        $statement->bindValue(':deklaracija',$deklaracija);
        $statement->bindValue(':EVporez',str_replace(',', '.', $EVporez));
        $statement->bindValue(':potrosniMaterijal',str_replace(',', '.', $potrosniMaterijal));
        $statement->bindValue(':trosakPakIkamata',str_replace(',', '.', $trosakPakIkamata));
        $statement->bindValue(':iznosUstranojValuti',$iznosUstranojValuti);
        $statement->bindValue(':stranaValuta',$stranaValuta);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        $dok= get_dok_zag($proda, '1 ', $proIn, $zapis, $broDo, $verzi);
        $datum = new DateTime($valuta);
        if($dok['valuta']!=$datum->format("Y-m-d H:i:s")) {
            $query = "UPDATE dok_zag SET valuta=:valuta 
                     WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
                     AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi";
            $statement = $db->prepare($query);

            $statement->bindValue(':proda',$proda);
            $statement->bindValue(':vrsDo','1');
            $statement->bindValue(':proIn',$proIn);
            $statement->bindValue(':zapis',$zapis);
            $statement->bindValue(':broDo',$broDo);
            $statement->bindValue(':verzi',$verzi);
            
            $statement->bindValue(':valuta',$datum->format("Y-m-d H:i:s"));
            $statement->execute();
            $statement->closeCursor();

        }
        add_ostale_primke_po_kalkulaciji($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
        return true;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_kalkulaciju($proda,$vrsDo,$proIn,$zapis,$broDo,$verzi,$datumKalkulacije,$brojDobavljacevogRacuna, $datumDobavljacevogRacuna,
          $casasSconto,$iznosZaNaplatuDobavljacu,$PDVdobavljaca,$nabavniIznos,$marza,$rabatPopust,$rabatPopustNaKol,
          $zavisniTroskovi,$razlikaUCijeni,$prodajniIznosBezPDV,$ukalkuliraniPDV,$prodajniIznosSpdv,$povratnaNaknada,$komentar,
          $kalkulacijuIzradio,$iznosUstranojValuti,$stranaValuta, $carineITakse, $deklaracija, $valuta,$EVporez, $potrosniMaterijal,$trosakPakIkamata)  {
    global $db;
    $kalkulacija = get_kalkulaciju($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    if (empty($kalkulacija)) {
       display_db_error('Navedena kalkulacija ne postoji !');
       exit;
    }
    if ($kalkulacija['datumZakljucavanja'] != NULL) {
       display_db_error('Kalkulacija je zaključana !');
       exit; 
    }
    
    $email_user = $_SESSION['admin']['email'];
    $query = "
        UPDATE kalkulacije
        SET 
            datumKalkulacije=:datumKalkulacije,
            brojDobavljacevogRacuna=:brojDobavljacevogRacuna,
            datumDobavljacevogRacuna=:datumDobavljacevogRacuna,
            casasSconto=:casasSconto,
            iznosZaNaplatuDobavljacu=:iznosZaNaplatuDobavljacu,
            PDVdobavljaca=:PDVdobavljaca,
            nabavniIznos=:nabavniIznos,
            marza=:marza,
            rabatPopust=:rabatPopust,
            rabatPopustNaKol=:rabatPopustNaKol,
            zavisniTroskovi=:zavisniTroskovi,
            razlikaUCijeni=:razlikaUCijeni,
            prodajniIznosBezPDV=:prodajniIznosBezPDV,
            ukalkuliraniPDV=:ukalkuliraniPDV,
            prodajniIznosSpdv=:prodajniIznosSpdv,
            povratnaNaknada=:povratnaNaknada,
            komentar=:komentar,
            carineITakse=:carineITakse,
            deklaracija=:deklaracija,
            EVporez=:EVporez,
            kalkulacijuIzradio=:kalkulacijuIzradio,
            iznosUstranojValuti=:iznosUstranojValuti,
            stranaValuta=:stranaValuta,
            potrosniMaterijal=:potrosniMaterijal,
            trosakPakIkamata=:trosakPakIkamata,
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
	AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi";
    try {
        $statement = $db->prepare($query);

        $statement->bindValue(':proda',$proda);
        $statement->bindValue(':vrsDo',$vrsDo);
        $statement->bindValue(':proIn',$proIn);
        $statement->bindValue(':zapis',$zapis);
        $statement->bindValue(':broDo',$broDo);
        $statement->bindValue(':verzi',$verzi);
        $datum = new DateTime($datumKalkulacije);
        $statement->bindValue(':datumKalkulacije',$datum->format("Y-m-d H:i:s"));
        $statement->bindValue(':brojDobavljacevogRacuna',$brojDobavljacevogRacuna);
        if(trim($datumDobavljacevogRacuna)=='')
            $statement->bindValue(':datumDobavljacevogRacuna', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($datumDobavljacevogRacuna);
            $datum = $d1->format('Y-m-d H:i:s');
            $statement->bindValue(':datumDobavljacevogRacuna', $datum);
        }
        $statement->bindValue(':casasSconto',str_replace(',', '.', $casasSconto));
        $statement->bindValue(':iznosZaNaplatuDobavljacu',str_replace(',', '.', $iznosZaNaplatuDobavljacu));
        $statement->bindValue(':PDVdobavljaca',str_replace(',', '.', $PDVdobavljaca));
        $statement->bindValue(':nabavniIznos',str_replace(',', '.', $nabavniIznos));
        $statement->bindValue(':marza',str_replace(',', '.', $marza));
        $statement->bindValue(':rabatPopust',str_replace(',', '.', $rabatPopust));
        $statement->bindValue(':rabatPopustNaKol',str_replace(',', '.', $rabatPopustNaKol));
        $statement->bindValue(':zavisniTroskovi',str_replace(',', '.', $zavisniTroskovi));
        $statement->bindValue(':razlikaUCijeni',str_replace(',', '.', $razlikaUCijeni));
        $statement->bindValue(':prodajniIznosBezPDV',str_replace(',', '.', $prodajniIznosBezPDV));
        $statement->bindValue(':ukalkuliraniPDV',str_replace(',', '.', $ukalkuliraniPDV));
        $statement->bindValue(':prodajniIznosSpdv',str_replace(',', '.', $prodajniIznosSpdv));
        $statement->bindValue(':povratnaNaknada',str_replace(',', '.', $povratnaNaknada));
        $statement->bindValue(':komentar',$komentar);
        $statement->bindValue(':kalkulacijuIzradio',$kalkulacijuIzradio);
        $statement->bindValue(':carineITakse',str_replace(',', '.', $carineITakse));
        $statement->bindValue(':deklaracija',$deklaracija);
        $statement->bindValue(':EVporez',str_replace(',', '.', $EVporez));
        $statement->bindValue(':potrosniMaterijal',str_replace(',', '.', $potrosniMaterijal));
        $statement->bindValue(':trosakPakIkamata',str_replace(',', '.', $trosakPakIkamata));
        $statement->bindValue(':iznosUstranojValuti',$iznosUstranojValuti);
        $statement->bindValue(':stranaValuta',$stranaValuta);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        
        $dok= get_dok_zag($proda, '1 ', $proIn, $zapis, $broDo, $verzi);
        $datum = new DateTime($valuta);
        if($dok['valuta']!=$datum->format("Y-m-d H:i:s")) {
            if (empty($dok_zag)) {
               display_db_error('Pripadajuća primka ne postoji !');
               exit;
            }
            if ($dok_zag['datumZakljucavanja'] != NULL) {
               display_db_error('Pripadajuća primka je zaključana i ne može joj se mijenjati valuta !');
               exit; 
            }
            $query = "UPDATE dok_zag SET valuta=:valuta 
                     WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
                     AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi";
            $statement = $db->prepare($query);

            $statement->bindValue(':proda',$proda);
            $statement->bindValue(':vrsDo','1');
            $statement->bindValue(':proIn',$proIn);
            $statement->bindValue(':zapis',$zapis);
            $statement->bindValue(':broDo',$broDo);
            $statement->bindValue(':verzi',$verzi);
            
            $statement->bindValue(':valuta',$datum->format("Y-m-d H:i:s"));
            $statement->execute();
            $statement->closeCursor();

        }
        add_ostale_primke_po_kalkulaciji($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
        
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_kalkulaciju($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $k = get_kalkulaciju($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    if (empty($k)) {
       display_db_error('Navedena kalkulacija za brisanje ne postoji !');
       exit;
    }
    if ($k['datumZakljucavanja'] != NULL) {
       display_db_error('Kalkulacija je zaključana i ne može se brisati !');
       exit; 
    }
    
    delete_ostale_primke_po_kalkulaciji($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $query = '
        DELETE FROM kalkulacije
        WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
	AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
	$statement->bindValue(':vrsDo', $vrsDo);
	$statement->bindValue(':proIn', $proIn);
	$statement->bindValue(':zapis', $zapis);
	$statement->bindValue(':broDo', $broDo);
	$statement->bindValue(':verzi', $verzi);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function add_ostale_primke_po_kalkulaciji ($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $k = get_kalkulaciju($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    if (empty($k)) {
       display_db_error('Navedena kalkulacija ne postoji !');
       exit;
    }
    if ($k['datumZakljucavanja'] != NULL) {
       display_db_error('Kalkulacija je zaključana i ne može se mijenjati !');
       exit; 
    }
    delete_ostale_primke_po_kalkulaciji($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    $query = "
        INSERT INTO ostale_primke_po_kalkulaciji 
        (
          proda,vrsDo,proIn,zapis,broDo,verzi, 
          os_proda,os_vrsDo,os_proIn,os_zapis,os_broDo,os_verzi,
          datumOtvaranja,  tkoJeIzmjenio
         ) 
         VALUES
         (
          :proda,:vrsDo,:proIn,:zapis,:broDo,:verzi, 
          :os_proda,:os_vrsDo,:os_proIn,:os_zapis,:os_broDo,:os_verzi,
          now(),:email_user
          )
        ";
    try {
        $statement = $db->prepare($query);

        $statement->bindValue(':proda',$proda);
        $statement->bindValue(':vrsDo',$vrsDo);
        $statement->bindValue(':proIn',$proIn);
        $statement->bindValue(':zapis',$zapis);
        $statement->bindValue(':broDo',$broDo);
        $statement->bindValue(':verzi',$verzi);
        $statement->bindValue(':email_user', $email_user);
        $i=1;
        while(isset($_POST['os_vrsDo'.$i])) {
            $statement->bindValue(':os_proda',$proda);
            $statement->bindValue(':os_vrsDo',$_POST['os_vrsDo'.$i]);
            $statement->bindValue(':os_proIn',' ');
            $statement->bindValue(':os_zapis',$_POST['os_zapis'.$i]);
            $y=explode('/', $_POST['os_broDo'.$i]);
            $statement->bindValue(':os_broDo',$y[0]);
            $statement->bindValue(':os_verzi',$y[1]);
            $statement->execute();
            $i++;
        }
        $statement->closeCursor();
        return true;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}

function delete_ostale_primke_po_kalkulaciji ($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $k = get_kalkulaciju($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi);
    if (empty($k)) {
       display_db_error('Navedena kalkulacija ne postoji !');
       exit;
    }
    if ($k['datumZakljucavanja'] != NULL) {
       display_db_error('Kalkulacija je zaključana i ne može se mijenjati !');
       exit; 
    }
    $query = "
        DELETE FROM ostale_primke_po_kalkulaciji
        WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
	AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi
        ";

    try {
        $statement = $db->prepare($query);

        $statement->bindValue(':proda',$proda);
        $statement->bindValue(':vrsDo',$vrsDo);
        $statement->bindValue(':proIn',$proIn);
        $statement->bindValue(':zapis',$zapis);
        $statement->bindValue(':broDo',$broDo);
        $statement->bindValue(':verzi',$verzi);
        //$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
       
        return true;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    
}



function get_ostale_primke_po_kalkulaciji($proda, $vrsDo, $proIn, $zapis, $broDo, $verzi) {
    global $db;
    $query = '
        SELECT * 
        FROM ostale_primke_po_kalkulaciji 
        WHERE proda = :proda AND vrsDo = :vrsDo AND proIn = :proIn
	AND zapis = :zapis AND broDo = :broDo AND verzi = :verzi';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':proda', $proda);
	$statement->bindValue(':vrsDo', $vrsDo);
	$statement->bindValue(':proIn', $proIn);
	$statement->bindValue(':zapis', $zapis);
	$statement->bindValue(':broDo', $broDo);
	$statement->bindValue(':verzi', $verzi);
        $statement->execute();
        $r = $statement->fetchAll();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_primke_koje_nisu_u_kalk($proda, $vrsDo, $kodPartnera, $tekuciBroj, $tekuciVerzi='', $tekuciZapis='') {
    global $db;
    $query = " 
select concat( trim(proda),'-',trim(vrsDo),'-',trim(`proIn`),'-',trim(zapis),'-',trim(`broDo`),'/',trim(verzi)), d.*
from dok_zag as d
where proda=:proda 
and vrsDo=:vrsDo and kodPartnera=:kodPartnera 
and (d.`broDo`<>:tekuciBroj or trim(d.verzi)<>:tekuciVerzi or trim(d.zapis)<>:tekuciZapis)
and d.`DVO`>'2013-04-32 00:00:00'
and concat( trim(proda),'-',trim(vrsDo),'-',trim(`proIn`),'-',trim(zapis),'-',trim(`broDo`),'/',trim(verzi))
  not in
(
select concat(trim(k.proda),'-1-',trim(k.`proIn`),'-',trim(k.zapis),'-',trim(k.`broDo`),'/',trim(k.verzi))
from kalkulacije as k
left outer join dok_zag as z 
on z.proda=k.proda and z.`vrsDo`='1' and z.`proIn`=k.`proIn` and z.zapis=k.zapis and z.`broDo`=k.`broDo` and z.verzi=k.verzi
where k.proda=:proda and kodPartnera=:kodPartnera 
union all
select concat(trim(k.os_proda),'-',trim(k.`os_vrsDo`),'-',trim(k.`os_proIn`),'-',trim(k.os_zapis),'-',trim(k.`os_broDo`),'/',trim(k.os_verzi))
from ostale_primke_po_kalkulaciji as k
left outer join dok_zag as z 
on z.proda=k.os_proda and z.`vrsDo`=k.`os_vrsDo` and z.`proIn`=k.`os_proIn` and z.zapis=k.os_zapis and z.`broDo`=k.`os_broDo` and z.verzi=k.os_verzi
where k.os_proda=:proda and kodPartnera=:kodPartnera 
 )
order by d.proIn, d.broDo, d.zapis
            "; 
	try {
        $statement = $db->prepare($query);          
        $statement->bindValue(':proda', $proda);
        $statement->bindValue(':vrsDo', $vrsDo);
        $statement->bindValue(':kodPartnera', $kodPartnera);
        $statement->bindValue(':tekuciBroj', $tekuciBroj);
        $statement->bindValue(':tekuciVerzi', $tekuciVerzi);
        $statement->bindValue(':tekuciZapis', $tekuciZapis);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
?>