<?php
function get_porezi() {
    global $db;
    $query = 'SELECT * FROM porezi ORDER BY poreznaGrupa'; 
	try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_porez($poreznaGrupa) {
    global $db;
    $query = '
        SELECT *
        FROM porezi
        WHERE poreznaGrupa = :poreznaGrupa';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':poreznaGrupa', $poreznaGrupa);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_osnovnaStopa() {
    global $db;
    $query = '
        SELECT *
        FROM porezi
        WHERE osnovnaStopa = true';
    try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}


function add_porezi($slog) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = 'INSERT INTO porezi
                 (poreznaGrupa, PDV, osnovnaStopa, datumOtvaranja, tkoJeIzmjenio)
              VALUES
                 (:poreznaGrupa, :PDV, :osnovnaStopa, NOW(), :email_user )';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':poreznaGrupa', $slog['poreznaGrupa']);
        $statement->bindValue(':PDV', $slog['PDV']);
        $statement->bindValue(':osnovnaStopa', $slog['osnovnaStopa']);
        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        if($slog['osnovnaStopa']=='1')
            update_osnovnu_stopu($slog['poreznaGrupa']);
        return $slog['poreznaGrupa'];
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_porezi($slog) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE porezi
        SET PDV = :PDV,
            osnovnaStopa = :osnovnaStopa,
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE poreznaGrupa = :poreznaGrupa';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':PDV', $slog['PDV']);
        $statement->bindValue(':poreznaGrupa', $slog['poreznaGrupa']);
        $statement->bindValue(':osnovnaStopa', $slog['osnovnaStopa']);
        $statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();
        if ($slog['osnovnaStopa'] == '1')
            update_osnovnu_stopu($slog['poreznaGrupa']);
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_porezi($poreznaGrupa) {
    global $db;
    $query = 'DELETE FROM porezi WHERE poreznaGrupa = :poreznaGrupa';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':poreznaGrupa', $poreznaGrupa);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function delete_porezi_PDV($PDV) {
    global $db;
    $query = 'DELETE FROM porezi WHERE PDV = :PDV';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':PDV', $PDV);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function update_osnovnu_stopu($poreznaGrupa) {
    global $db;
    $query = '
        UPDATE porezi
        SET osnovnaStopa = 0
        WHERE poreznaGrupa <> :poreznaGrupa';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':poreznaGrupa', $poreznaGrupa);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
    $query = '
        UPDATE porezi
        SET osnovnaStopa = 1
        WHERE poreznaGrupa = :poreznaGrupa';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':poreznaGrupa', $poreznaGrupa);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
?>