<?php
function get_posebne_ponude($pozvanIz='',$posebnaNova='') {
    global $db;
    if(!($db instanceof PDO))
        return false;
    if($posebnaNova=='') {
        if (!isset($_SESSION['posebnaNova'])) 
            $posebnaNova = 'P'; 
        else 
            $posebnaNova = $_SESSION['posebnaNova']; //ovo je iz posebna_ponuda_list
        if ( $pozvanIz == 'home_view' && isset($_SESSION['posebnaNovosti']) ) 
            $posebnaNova = $_SESSION['posebnaNovosti']; //ovo je iz home_view
        if ( trim($_SESSION['admin']['vidljivaCijenaRabat']) == 'bezRabata') 
            $posebnaNova = 'N';
    }
   //   echo 'posebnaNova='. $posebnaNova;
    $query = 'SELECT redniBroj, pp.kodRobe, nazivRobe
              FROM posebna_ponuda pp
		INNER JOIN maticna_robe mr
                ON pp.kodRobe = mr.kodRobe   
              WHERE posebnaNova = :posebnaNova                
              ORDER BY redniBroj';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':posebnaNova', $posebnaNova);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
   //     var_dump($result);
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_posebna_ponuda($kodRobe) {
    global $db;
    $posebnaNova = $_SESSION['posebnaNova'];
    $query = '
        SELECT *
        FROM posebna_ponuda
        WHERE kodRobe = :kodRobe AND posebnaNova = :posebnaNova';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':posebnaNova', $posebnaNova);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}


function add_posebna_ponuda($kodRobe, $redniBroj) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
        $posebnaNova = $_SESSION['posebnaNova'];
    $query = 'INSERT INTO posebna_ponuda
                 (kodRobe, posebnaNova, redniBroj, datumOtvaranja, tkoJeIzmjenio)
              VALUES
                 (:kodRobe, :posebnaNova, :redniBroj, NOW(), :email_user )';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':posebnaNova', $posebnaNova);
	$statement->bindValue(':kodRobe', $kodRobe);
        $statement->bindValue(':redniBroj', $redniBroj);
	$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();

        // Get the last product ID that was automatically generated
       // $kodGrupe_ = $db->lastInsertId();
        return $kodRobe;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_posebna_ponuda($kodRobe, $redniBroj) {
    global $db;
	$email_user = $_SESSION['admin']['email'];
        $posebnaNova = $_SESSION['posebnaNova'];
    $query = '
        UPDATE posebna_ponuda
        SET redniBroj = :redniBroj,
		datumIzmjene = NOW(),
		tkoJeIzmjenio = :email_user
        WHERE kodRobe = :kodRobe AND posebnaNova = :posebnaNova';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':redniBroj', $redniBroj);
        $statement->bindValue(':posebnaNova', $posebnaNova);
        $statement->bindValue(':kodRobe', $kodRobe);
	$statement->bindValue(':email_user', $email_user); 
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_posebna_ponuda($kodRobe) {
    global $db;
    $posebnaNova = $_SESSION['posebnaNova'];
    $query = 'DELETE FROM posebna_ponuda WHERE kodRobe = :kodRobe AND posebnaNova = :posebnaNova';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':posebnaNova', $posebnaNova);
        $statement->bindValue(':kodRobe', $kodRobe);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function delete_posebna_ponuda_rb($redniBroj) {
    global $db;
    $posebnaNova = $_SESSION['posebnaNova'];
    $query = 'DELETE FROM posebna_ponuda WHERE redniBroj = :redniBroj AND posebnaNova = :posebnaNova';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':posebnaNova', $posebnaNova);
        $statement->bindValue(':redniBroj', $redniBroj);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
?>