<?php
function get_poslovnice() {
    global $db;
    $query = '
        SELECT *
        FROM poslovnice
        order by kodPoslovnice
        '; 
     try {
        $statement = $db->prepare($query);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_poslovnice_po_punktu($punkt) {
    global $db;
    $query = '
        SELECT *
        FROM poslovnice
		WHERE punkt = :punkt';
     try {
        $statement = $db->prepare($query);
	$statement->bindValue(':punkt', $punkt);
        $statement->execute();
        $result = $statement->fetchAll();
        $statement->closeCursor();
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
function get_poslovnica($kodPoslovnice) {
    global $db;
    $query = '
        SELECT *
        FROM poslovnice 
           WHERE BINARY rtrim(kodPoslovnice) = rtrim(:kodPoslovnice)';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodPoslovnice', $kodPoslovnice);
        $statement->execute();
        $result = $statement->fetch();
        $statement->closeCursor();
        if ($_SESSION['admin']['prioritet'] == 9) $result['sortRobe'] = 'nazivRobe';
        return $result;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function add_poslovnice($kodPoslovnice, $nazivPoslovnice, $vrstaPoslovnice, $mjestoSjedista, $ulicaBroj,  
        $brojPoste, $mjestoPoste, $posPretinac, $sifraOpcine, $sifraZupanije, $pokrajina, $zemlja, $OIB,
        $brojBankRacuna, $telefoni, $fax, $email, $www, $punkt, $daniUnazadDostavnice, 
        $daniUnazadPrimke, $daniStornoParagonci, $daniUnazadGKSK, $daniUnazadOstaliDok, $datumInventure,
        $iznosInvBezPDV, $iznosInvSaPDV, $radnoVrijeme, $pocetakPrimjeneRV, $izborKodaPartnera,         
        $pocetniKodPartnera, $autoIzborCijena, $kojeCijeneZaIzlaze, $negativnaStanja, $cijenePoUlazima,  
        $brisanjeDokumenata,$vrstaRacuna,$sortRobe,$stanjaRobe,$sortPartnera, $VPUCjeniku,$cjenikZaKupce,
        $godineZaDVO,$godineZaDVOKnj,$daniPrijenosaGKSK,$redovaPoStrCj,$direktorijSlika,$podrucjeDjelatnosti,
        $sifraDjelatnosti,$nacinObracunaBrutoPlace,$kasaSumaUKartice,$upozoravaBrisanjeDok,$ispisBarkoda) 
{
    global $db;
	$email_user = $_SESSION['admin']['email'];
	//$proOzRobe = $kodPoslovnice;
        if (trim($pocetniKodPartnera)== '') $pocetniKodPartnera = 0;
    $query = "INSERT INTO poslovnice
            (kodPoslovnice, nazivPoslovnice, vrstaPoslovnice, mjestoSjedista, ulicaBroj,  
        brojPoste, mjestoPoste, posPretinac, sifraOpcine, sifraZupanije, pokrajina, zemlja, OIB,
        brojBankRacuna, telefoni, fax, emailAddress, www, punkt, daniUnazadDostavnice, 
        daniUnazadPrimke, daniStornoParagonci, daniUnazadGKSK, daniUnazadOstaliDok, datumInventure,
        iznosInvBezPDV, iznosInvSaPDV, radnoVrijeme, pocetakPrimjeneRV, izborKodaPartnera,         
        pocetniKodPartnera, autoIzborCijena, kojeCijeneZaIzlaze, negativnaStanja, cijenePoUlazima,  
        brisanjeDokumenata, vrstaRacuna, sortRobe, stanjaRobe, sortPartnera, VPUCjeniku, cjenikZaKupce,
        godineZaDVO, godineZaDVOKnj, daniPrijenosaGKSK, redovaPoStrCj, direktorijSlika, podrucjeDjelatnosti, 
        sifraDjelatnosti, nacinObracunaBrutoPlace, kasaSumaUKartice, upozoravaBrisanjeDok,ispisBarkoda,
        datumOtvaranja, tkoJeIzmjenio)
      VALUES
         (:kodPoslovnice, :nazivPoslovnice, :vrstaPoslovnice, :mjestoSjedista, :ulicaBroj,  
        :brojPoste, :mjestoPoste, :posPretinac, :sifraOpcine, :sifraZupanije, :pokrajina, :zemlja, :OIB,
        :brojBankRacuna, :telefoni, :fax, :email, :www, :punkt, :daniUnazadDostavnice, 
        :daniUnazadPrimke, :daniStornoParagonci,:daniUnazadGKSK, :daniUnazadOstaliDok, :datumInventure,
        :iznosInvBezPDV,  :iznosInvSaPDV, :radnoVrijeme, :pocetakPrimjeneRV, :izborKodaPartnera,         
        :pocetniKodPartnra, :autoIzborCijena, :kojeCijeneZaIzlaze, :negativnaStanja, :cijenePoUlazima,  
        :brisanjeDokumenata, :vrstaRacuna, :sortRobe, :stanjaRobe, :sortPartnera, :VPUCjeniku, :cjenikZaKupce,
        :godineZaDVO, :godineZaDVOKnj, :daniPrijenosaGKSK, :redovaPoStrCj, :direktorijSlika, :podrucjeDjelatnosti, 
        :sifraDjelatnosti, :nacinObracunaBrutoPlace, :kasaSumaUKartice, :upozoravaBrisanjeDok, :ispisBarkoda,
        NOW(), :email_user )
        ";
    try {
        $statement = $db->prepare($query);
 
        $statement->bindValue(':kodPoslovnice', $kodPoslovnice);
        $statement->bindValue(':nazivPoslovnice', $nazivPoslovnice);
        $statement->bindValue(':vrstaPoslovnice', $vrstaPoslovnice);
        $statement->bindValue(':mjestoSjedista', $mjestoSjedista);
        $statement->bindValue(':ulicaBroj', $ulicaBroj);
        $statement->bindValue(':brojPoste', $brojPoste);        
        $statement->bindValue(':mjestoPoste', $mjestoPoste);
        $statement->bindValue(':posPretinac', $posPretinac);
        $statement->bindValue(':sifraOpcine', $sifraOpcine);
        $statement->bindValue(':sifraZupanije', $sifraZupanije);
        $statement->bindValue(':pokrajina', $pokrajina);
        $statement->bindValue(':zemlja', $zemlja);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':brojBankRacuna', $brojBankRacuna);
        $statement->bindValue(':telefoni', $telefoni);
        $statement->bindValue(':fax', $fax);
        $statement->bindValue(':email', $email);
        $statement->bindValue(':www', $www);
        $statement->bindValue(':punkt', $punkt);
        $statement->bindValue(':daniUnazadDostavnice', $daniUnazadDostavnice);
        $statement->bindValue(':daniUnazadPrimke', $daniUnazadPrimke);
        $statement->bindValue(':daniStornoParagonci', $daniStornoParagonci);
        $statement->bindValue(':daniUnazadGKSK', $daniUnazadGKSK);
        $statement->bindValue(':daniUnazadOstaliDok', $daniUnazadOstaliDok);
        if(trim($datumInventure)=='')
            $statement->bindValue(':datumInventure', null, PDO::PARAM_NULL);   
        else 
        {
            $d1=new DateTime($datumInventure);
            $datum = $d1->format('Y-m-d H:i:s');
            $statement->bindValue(':datumInventure', $datum);
        }

        $statement->bindValue(':iznosInvBezPDV', str_replace(',', '.', $iznosInvBezPDV));
        $statement->bindValue(':iznosInvSaPDV', str_replace(',', '.', $iznosInvSaPDV));

        $statement->bindValue(':radnoVrijeme', $radnoVrijeme);
        if(trim($pocetakPrimjeneRV)=='')
            $statement->bindValue(':pocetakPrimjeneRV', null, PDO::PARAM_NULL);
        else   
            $statement->bindValue(':pocetakPrimjeneRV', $pocetakPrimjeneRV);
        $statement->bindValue(':izborKodaPartnera', $izborKodaPartnera);

        $statement->bindValue(':pocetniKodPartnra', $pocetniKodPartnera);
        $statement->bindValue(':autoIzborCijena', $autoIzborCijena);
        $statement->bindValue(':kojeCijeneZaIzlaze', $kojeCijeneZaIzlaze);
        $statement->bindValue(':cijenePoUlazima', $cijenePoUlazima);
        $statement->bindValue(':negativnaStanja', $negativnaStanja);
        $statement->bindValue(':pokrajina', $pokrajina);
        $statement->bindValue(':brisanjeDokumenata', $brisanjeDokumenata);
        $statement->bindValue(':vrstaRacuna', $vrstaRacuna);
        $statement->bindValue(':sortRobe', $sortRobe);
        $statement->bindValue(':stanjaRobe', $stanjaRobe);
        $statement->bindValue(':sortPartnera', $sortPartnera);
        $statement->bindValue(':VPUCjeniku', $VPUCjeniku);
        $statement->bindValue(':cjenikZaKupce', $cjenikZaKupce);
        $statement->bindValue(':godineZaDVO', $godineZaDVO);
        $statement->bindValue(':godineZaDVOKnj', $godineZaDVOKnj);
        $statement->bindValue(':daniPrijenosaGKSK', $daniPrijenosaGKSK);
        $statement->bindValue(':redovaPoStrCj', $redovaPoStrCj);
        $statement->bindValue(':direktorijSlika', $direktorijSlika);
        $statement->bindValue(':podrucjeDjelatnosti', $podrucjeDjelatnosti);
        $statement->bindValue(':sifraDjelatnosti', $sifraDjelatnosti);
        $statement->bindValue(':nacinObracunaBrutoPlace', $nacinObracunaBrutoPlace);
        $statement->bindValue(':kasaSumaUKartice', $kasaSumaUKartice);
        $statement->bindValue(':upozoravaBrisanjeDok', $upozoravaBrisanjeDok);
        $statement->bindValue(':ispisBarkoda', $ispisBarkoda);

        $statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        if(trim($kodPoslovnice)=='0')
            $_SESSION['direktorijSlika']=$direktorijSlika;

        // Get the last product ID that was automatically generated
      //  $kodPoslovnice = $db->lastInsertId();
        return $kodPoslovnice;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_poslovnice($kodPoslovnice, $nazivPoslovnice, $vrstaPoslovnice, $mjestoSjedista, $ulicaBroj,  
        $brojPoste, $mjestoPoste, $posPretinac, $sifraOpcine, $sifraZupanije, $pokrajina, $zemlja, $OIB,
        $brojBankRacuna, $telefoni, $fax, $email, $www, $punkt, $daniUnazadDostavnice, 
        $daniUnazadPrimke, $daniStornoParagonci, $daniUnazadGKSK, $daniUnazadOstaliDok, $datumInventure,
        $iznosInvBezPDV, $iznosInvSaPDV, $radnoVrijeme, $pocetakPrimjeneRV, $izborKodaPartnera,         
        $pocetniKodPartnera, $autoIzborCijena, $kojeCijeneZaIzlaze, $negativnaStanja, $cijenePoUlazima,  
        $brisanjeDokumenata,$vrstaRacuna,$sortRobe,$stanjaRobe,$sortPartnera, $VPUCjeniku,$cjenikZaKupce,
        $godineZaDVO,$godineZaDVOKnj,$daniPrijenosaGKSK,$redovaPoStrCj,$direktorijSlika,$podrucjeDjelatnosti,
        $sifraDjelatnosti, $nacinObracunaBrutoPlace,$kasaSumaUKartice, $upozoravaBrisanjeDok, $ispisBarkoda)  {
     global $db;
      if (trim($pocetniKodPartnera)== '') $pocetniKodPartnera = 0;
    $email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE poslovnice
        SET nazivPoslovnice = :nazivPoslovnice,
            vrstaPoslovnice = :vrstaPoslovnice, 
            mjestoSjedista =:mjestoSjedista, 
            ulicaBroj = :ulicaBroj,  
            brojPoste = :brojPoste, 
            mjestoPoste=:mjestoPoste, 
            posPretinac=:posPretinac,
            sifraOpcine = :sifraOpcine, 
            sifraZupanije = :sifraZupanije, 
            pokrajina = :pokrajina, 
            zemlja = :zemlja, 
            OIB = :OIB,
            brojBankRacuna = :brojBankRacuna, 
            telefoni = :telefoni, 
            fax = :fax, 
            emailAddress = :email, 
            www = :www, 
            punkt = :punkt, 
            daniUnazadDostavnice = :daniUnazadDostavnice, 
            daniUnazadPrimke = :daniUnazadPrimke, 
            daniStornoParagonci = :daniStornoParagonci,
            daniUnazadGKSK =:daniUnazadGKSK, 
            daniUnazadOstaliDok = :daniUnazadOstaliDok, 
            datumInventure = :datumInventure,
            iznosInvBezPDV = :iznosInvBezPDV,  
            iznosInvSaPDV = :iznosInvSaPDV, 
            radnoVrijeme = :radnoVrijeme, 
            izborKodaPartnera = :izborKodaPartnera,         
            pocetniKodPartnera = :pocetniKodPartnera, 
            autoIzborCijena = :autoIzborCijena, 
            kojeCijeneZaIzlaze = :kojeCijeneZaIzlaze, 
            negativnaStanja = :negativnaStanja, 
            cijenePoUlazima = :cijenePoUlazima,  
            brisanjeDokumenata = :brisanjeDokumenata,
            vrstaRacuna = :vrstaRacuna,
            sortRobe = :sortRobe,
            stanjaRobe = :stanjaRobe,
            sortPartnera = :sortPartnera,
            VPUCjeniku = :VPUCjeniku,
            cjenikZaKupce = :cjenikZaKupce,
            godineZaDVO = :godineZaDVO,
            godineZaDVOKnj = :godineZaDVOKnj,
            pocetakPrimjeneRV = :pocetakPrimjeneRV,
            daniPrijenosaGKSK=:daniPrijenosaGKSK,
            redovaPoStrCj=:redovaPoStrCj,
            direktorijSlika=:direktorijSlika,
            podrucjeDjelatnosti=:podrucjeDjelatnosti,
            sifraDjelatnosti=:sifraDjelatnosti,
            nacinObracunaBrutoPlace=:nacinObracunaBrutoPlace,
            kasaSumaUKartice=:kasaSumaUKartice,
            upozoravaBrisanjeDok=:upozoravaBrisanjeDok,
            ispisBarkoda=:ispisBarkoda,
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE kodPoslovnice = :kodPoslovnice';
    try {
        $statement = $db->prepare($query);
        
        $statement->bindValue(':kodPoslovnice', $kodPoslovnice);
        $statement->bindValue(':nazivPoslovnice', $nazivPoslovnice);
        $statement->bindValue(':vrstaPoslovnice', $vrstaPoslovnice);
        $statement->bindValue(':mjestoSjedista', $mjestoSjedista);
        $statement->bindValue(':ulicaBroj', $ulicaBroj);
        $statement->bindValue(':brojPoste', $brojPoste);        
        $statement->bindValue(':mjestoPoste', $mjestoPoste);
        $statement->bindValue(':posPretinac', $posPretinac);
        $statement->bindValue(':sifraOpcine', $sifraOpcine);
        $statement->bindValue(':sifraZupanije', $sifraZupanije);
        $statement->bindValue(':pokrajina', $pokrajina);
        $statement->bindValue(':zemlja', $zemlja);
        $statement->bindValue(':OIB', $OIB);
        $statement->bindValue(':brojBankRacuna', $brojBankRacuna);
        $statement->bindValue(':telefoni', $telefoni);
        $statement->bindValue(':fax', $fax);
        $statement->bindValue(':email', $email);
        $statement->bindValue(':www', $www);
        $statement->bindValue(':punkt', $punkt);
        $statement->bindValue(':daniUnazadDostavnice', $daniUnazadDostavnice);
        $statement->bindValue(':daniUnazadPrimke', $daniUnazadPrimke);
        $statement->bindValue(':daniStornoParagonci', $daniStornoParagonci);
        $statement->bindValue(':daniUnazadGKSK', $daniUnazadGKSK);
        $statement->bindValue(':daniUnazadOstaliDok', $daniUnazadOstaliDok);
        $statement->bindValue(':sortRobe', $sortRobe);
        $statement->bindValue(':stanjaRobe', $stanjaRobe);
        $statement->bindValue(':sortPartnera', $sortPartnera);
        if(trim($datumInventure)=='')
            $statement->bindValue(':datumInventure', null, PDO::PARAM_NULL);
        else 
        {
            $d1=new DateTime($datumInventure);
            $datum = $d1->format('Y-m-d H:i:s');
            $statement->bindValue(':datumInventure', $datum);
        }

        $statement->bindValue(':iznosInvBezPDV', str_replace(',', '.', $iznosInvBezPDV));
        $statement->bindValue(':iznosInvSaPDV', str_replace(',', '.', $iznosInvSaPDV));

        $statement->bindValue(':radnoVrijeme', $radnoVrijeme);
        // /*
        if(trim($pocetakPrimjeneRV)=='')
            $statement->bindValue(':pocetakPrimjeneRV', null, PDO::PARAM_NULL);
        else   
        {
            $d1=new DateTime($pocetakPrimjeneRV);
            $datum = $d1->format('Y-m-d H:i:s');
            $statement->bindValue(':pocetakPrimjeneRV', $datum);
        }    
         // */
        $statement->bindValue(':izborKodaPartnera', $izborKodaPartnera);

        $statement->bindValue(':pocetniKodPartnera', $pocetniKodPartnera);
        $statement->bindValue(':autoIzborCijena', $autoIzborCijena);
        $statement->bindValue(':kojeCijeneZaIzlaze', $kojeCijeneZaIzlaze);
        $statement->bindValue(':cijenePoUlazima', $cijenePoUlazima);
        $statement->bindValue(':negativnaStanja', $negativnaStanja);
        $statement->bindValue(':pokrajina', $pokrajina);
        $statement->bindValue(':brisanjeDokumenata', $brisanjeDokumenata);
        $statement->bindValue(':vrstaRacuna', $vrstaRacuna);
        $statement->bindValue(':VPUCjeniku', $VPUCjeniku);
        $statement->bindValue(':cjenikZaKupce', $cjenikZaKupce);
        $statement->bindValue(':godineZaDVO', $godineZaDVO);
        $statement->bindValue(':godineZaDVOKnj', $godineZaDVOKnj);
        $statement->bindValue(':daniPrijenosaGKSK', $daniPrijenosaGKSK);
        $statement->bindValue(':redovaPoStrCj', $redovaPoStrCj);
        $statement->bindValue(':direktorijSlika', $direktorijSlika);
        $statement->bindValue(':podrucjeDjelatnosti', $podrucjeDjelatnosti);
        $statement->bindValue(':sifraDjelatnosti', $sifraDjelatnosti);
        $statement->bindValue(':nacinObracunaBrutoPlace', $nacinObracunaBrutoPlace);
        $statement->bindValue(':kasaSumaUKartice', $kasaSumaUKartice);
        $statement->bindValue(':upozoravaBrisanjeDok', $upozoravaBrisanjeDok);
        $statement->bindValue(':ispisBarkoda', $ispisBarkoda);

	$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
        if(trim($kodPoslovnice)=='0')
            $_SESSION['direktorijSlika']=$direktorijSlika;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function delete_poslovnice($kodPoslovnice) {
    global $db;
    $query = 'DELETE FROM poslovnice WHERE kodPoslovnice = :kodPoslovnice';
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodPoslovnice', $kodPoslovnice);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_poslovnice_fisk($kodPoslovnice, $pocetakPrimjeneRv )  {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE poslovnice
        SET pocetakPrimjeneRv = :pocetakPrimjeneRv, 
            
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE kodPoslovnice = :kodPoslovnice';
    try {
        $statement = $db->prepare($query);
        
        $statement->bindValue(':kodPoslovnice', $kodPoslovnice);
        if(trim($pocetakPrimjeneRv)=='')
            $statement->bindValue(':pocetakPrimjeneRv', null, PDO::PARAM_NULL);
        else 
        {
            $statement->bindValue(':pocetakPrimjeneRv', $pocetakPrimjeneRv);
        }

	$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function update_poslovnice_RV($kodPoslovnice, $radnoVrijeme )  {
    global $db;
    $email_user = $_SESSION['admin']['email'];
    $query = '
        UPDATE poslovnice
        SET radnoVrijeme = :radnoVrijeme, 
            
            datumIzmjene = NOW(),
            tkoJeIzmjenio = :email_user
        WHERE kodPoslovnice = :kodPoslovnice';
    try {
        $statement = $db->prepare($query);
        
        $statement->bindValue(':kodPoslovnice', $kodPoslovnice);
        $statement->bindValue(':radnoVrijeme', $radnoVrijeme);

	$statement->bindValue(':email_user', $email_user);
        $statement->execute();
        $statement->closeCursor();
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function postavi_direktiorijSlika() {
    if(!isset($_SESSION['direktorijSlika'])) {
        $firma=get_poslovnica('0');
        $_SESSION['direktorijSlika']=trim($firma['direktorijSlika'])!=''?$firma['direktorijSlika']:$_SESSION['skracenicaFirme']; 
    }
    return $_SESSION['direktorijSlika'];
}
?>