<?php
function radno_vrijeme_interval_operacije($operacija,$kodRadnika, $datumOd, $datumDo, $nacinBrisanjaIntervala='svi',
         $nacinKreiranjaIntervala='premaMaticnoj', $oznakaVremenaIzbor = '', $vrijemeIzbor = '8',
         $pocetakRadaSatMinIzbor = '07:00', $zavrsetakRadaSatMinIzbor = '15:00', $datumZakljucavanja='') {
    global $db;
    $email_user = $_SESSION['admin']['email'];
/* $operacija - A automatsko knjiženje datumskog intervala, B - Brisanje datumskog intervala za jednog ili sve radnike, 
   K - kreiranje neautomatskog intervala(za razliku od A korisnik odabire datumOd do datumDo i jednog ili sve radnike)  
   Z - zaključavanje datumskog intervala, O - otključavanje datumskog intervala */  
   if ($operacija == 'B' || $operacija == 'Z' || $operacija == 'O' ) {
       $datum_o = new DateTime($datumOd); $datumOdB = $datum_o->format('Y-m-d');
       $datum_o = new DateTime($datumDo); $datumDoB = $datum_o->format('Y-m-d');       
    }  
   if ($operacija == 'B') {
       $query = "DELETE FROM radno_vrijeme
           WHERE ( kodRadnika = :kodRadnika OR TRIM(:kodRadnika) = '' ) 
           AND (datum >= :datumOdB AND datum <= :datumDoB)
           AND (:nacinBrisanjaIntervala='svi' OR (:nacinBrisanjaIntervala='premaOdabiru' AND oznakaVremena = :oznakaVremenaIzbor) )
           AND datumZakljucavanja IS NULL";
        try {	
            $statement = $db->prepare($query);
            $statement->bindValue(':kodRadnika', $kodRadnika);
            $statement->bindValue(':datumOdB', $datumOdB);
            $statement->bindValue(':datumDoB', $datumDoB); 
            $statement->bindValue(':nacinBrisanjaIntervala', $nacinBrisanjaIntervala);
            $statement->bindValue(':nacinKreiranjaIntervala', $nacinKreiranjaIntervala);
            $statement->bindValue(':oznakaVremenaIzbor', $oznakaVremenaIzbor);
            $statement->execute();
            $rowCount = $statement->rowCount();
            $statement->closeCursor();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }  
        return $rowCount;
   }
   if ($operacija == 'Z') {
       if ($datumZakljucavanja == '') {
          $datumZakljucavanjaB = $datumZakljucavanja;
          } else {   
          echo 'datumZakljucavanja=' . $datumZakljucavanja;    
          $datum_o = new DateTime($datumZakljucavanja); $datumZakljucavanjaB = $datum_o->format('Y-m-d H:i:s');
          echo 'datumZakljucavanjaB=' . $datumZakljucavanjaB;
       }            
       $query = "UPDATE radno_vrijeme
           SET datumZakljucavanja = IF(:datumZakljucavanjaB = '', NOW(), :datumZakljucavanjaB), tkoJeIzmjenio = :email_user 
           WHERE ( kodRadnika = :kodRadnika OR TRIM(:kodRadnika) = '' ) 
           AND (datum >= :datumOdB AND datum <= :datumDoB)";
        try {	
            $statement = $db->prepare($query);
            $statement->bindValue(':kodRadnika', $kodRadnika);
            $statement->bindValue(':datumOdB', $datumOdB);
            $statement->bindValue(':datumDoB', $datumDoB); 
            $statement->bindValue(':datumZakljucavanjaB', $datumZakljucavanjaB); 
            $statement->bindValue(':email_user', $email_user);
            $statement->execute();
            $rowCount = $statement->rowCount();
            $statement->closeCursor();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }  
        return $rowCount;
   }
   if ($operacija == 'O') {
       $query = "UPDATE radno_vrijeme
           SET datumZakljucavanja = NULL, tkoJeIzmjenio = :email_user
           WHERE ( kodRadnika = :kodRadnika OR TRIM(:kodRadnika) = '' ) 
           AND (datum >= :datumOdB AND datum <= :datumDoB)";
        try {	
            $statement = $db->prepare($query);
            $statement->bindValue(':kodRadnika', $kodRadnika);
            $statement->bindValue(':datumOdB', $datumOdB);
            $statement->bindValue(':datumDoB', $datumDoB); 
            $statement->bindValue(':email_user', $email_user);
            $statement->execute();
            $rowCount = $statement->rowCount();
            $statement->closeCursor();
        } catch (PDOException $e) {
            $error_message = $e->getMessage();
            display_db_error($error_message);
        }  
        return $rowCount;
   }
   
 //procedura za A (automasko) i K -kreiranje intervala prema zahtjevu korisnika
  $query = 'SELECT kodRadnika,redovniSatiNaDan,pocetakRadaSatMin,zavrsetakRadaSatMin,pocetakSubotom,zavrsetakSubotom, redovniSatiSubotom, 
        godisnjiOdmorOd,godisnjiOdmorDo,bolovanjeFirmaOd,bolovanjeFirmaDo,bolovanjeHZZOod,bolovanjeHZZOdo,
        porodiljskiOd,porodiljskiDo,pocetakRada,datumPrestankaRO
    FROM maticna_radnika        
    WHERE datumPrestankaRo is NULL 
    AND statusRadnika NOT IN ("N","G","H")
    AND (:kodRadnika = "" OR kodRadnika= :kodRadnika)';      
    $statement = $db->prepare($query);
    $statement->bindValue(':kodRadnika',$kodRadnika); 
    $statement->execute();
    $vremenaRadnika = $statement->fetchAll();
    $statement->closeCursor();
 
/* Kod automatskog knjiženja za svakog radnika za svaki dan(radni ili neradni) se otvori po jedan slog u tabeli radno_vrijeme
  ovisno o datumu, danu i vrsti vremena. Ako je za taj datum i za tog radnika već prije otvoren neki slog za bilo koju vrstu  vremena
 ne otvara se novi slog(prvo se ispituje dali postoji jedan slog za taj datum) možda je unesen ručno ili prije pušten iz ove funkcije
 Ako je postavljeno automatsko knjiženje radnog vremena u maticna_radnika, onda program automatski postavlja interval za knjiženje
 0d prvog u mjesecu do trenutnog datuma(ako je 12 ili više sati trenutno ili -1 dan ako je trenutno vrijeme manje od 12 sati
  primjer: u maticna_radnika je postavljeno automatsko knjiženje vremena i za jednog radnika ima npr. 03.08. - 20.08. godišnji odmor
  danas je 08.08.2015 i trenutno je 14:35 min. kada se program pokrene. Program pokušava otvarati nove slogove za svakog radnika od 01.07.2015 do 08.08.2015
  od 01.07. do 02.08. redovan rad 03.08-8.08.  godišnji odmor. Ako se program pokrene u 10:20 radit će nove slogove do 07.08. 
 Ako se program niti jedamput ne pokrene u tom mjesecu neće napraviti ništa za taj mjesec, ali ako se pokrene u sljedećem mjesecu popunit će
 prethodni mjesec.
 Ako nije postavljena automatika onda u obradu ide interval $datumOd  do $datumDo(neovisno o tome koliko je trenutno sati) */ 
    
  /* postavljanje defaultnog intervala za automatsko knjiženje */
 if ($operacija == 'A')  { 
    $now = new DateTime();
    $date_od = new DateTime($now->format("Y").'-'.$now->format('m').'-01 00:00:00');
    $date_od->modify('-1 month');
    $datumOd = $date_od->format("d.m.Y");
    $datumOdB = $date_od->format("Y-m-d");
    $satiSada = $now->format("H");
    $date_do = clone($now);
    if ($satiSada < 12 ) $date_do->modify('-1 day');       
    $datumDo = $date_do->format("d.m.Y");    
 } 
 $datumDo_o = new DateTime($datumDo);
 $datumDoB = $datumDo_o->format("Y-m-d");
// echo 'datumDoB' . $datumDoB;
foreach ($vremenaRadnika as $vM) {
      $kodRadnikaM = $vM['kodRadnika'];           
/* za automatsko knjiženje utvrđivanje zadnjeg popunjenog datuma po radniku
 i ako je taj datum veći od $datunOd taj +1 dan se postavlja kao poČetni datum 
 s tim da ne može biTi veći od datumDoB  */
   if ($operacija == 'A')  {     
      $query = 'SELECT MAX(datum) AS maxDatum        
            FROM radno_vrijeme        
            WHERE kodRadnika = :kodRadnikaM';      
     $statement = $db->prepare($query);
     $statement->bindValue(':kodRadnikaM',$kodRadnikaM);
     $statement->execute();
     $maxDatum = $statement->fetch();
     $statement->closeCursor();    
     $maxDatum = $maxDatum[0];              
     if ($maxDatum > $datumOdB) {
         $maxDatum_o = new DateTime($maxDatum);
         $maxDatum_o->modify('+1 day');
         $datumOd = $maxDatum_o->format("d.m.Y");    
         if ( $maxDatum_o->format("Y-m-d") > $datumDoB) $datumOd = $datumDo;
     }      
   }
 //  echo 'datumOD=' . $datumOd;
   $datumUobradi = $datumOd;
  // echo 'datumOd=' . $datumOd;
   
   $rowCount=0;
   while (true) {    /*izvrti za cijeli datumski interval za jednog radnika*/
   // ako postoji za taj datum 1 slog ili više slogova za tog radnika(moguće samo ako je neautomasko knjiženje) ide  na sljedeći datum
       $datumUobradi_o = new DateTime($datumUobradi);
       $datumUobradiB = $datumUobradi_o->format("Y-m-d");
       $query = 'SELECT kodRadnika       
            FROM radno_vrijeme        
            WHERE kodRadnika = :kodRadnikaM and datum = :datumUobradiB';      
       $statement = $db->prepare($query);
       $statement->bindValue(':kodRadnikaM', $kodRadnikaM);
       $statement->bindValue(':datumUobradiB', $datumUobradiB);
       $statement->execute();
       $imaSlogova = $statement->fetchAll();
       $statement->closeCursor();       
     if (empty($imaSlogova) && $datumUobradiB >= $vM['pocetakRada'] && ($vM['datumPrestankaRO'] === NULL || $datumUobradiB <= $vM['datumPrestankaRO']) ) {  //upis sloga          
        $oznakaVremena = 'redRad';  
        if ($vM['godisnjiOdmorOd'] !== NULL && $vM['godisnjiOdmorDo'] !== NULL){
            if ($datumUobradiB >= $vM['godisnjiOdmorOd'] && $datumUobradiB <= $vM['godisnjiOdmorDo']) $oznakaVremena = 'godOdm';
        }
        if ($vM['bolovanjeFirmaOd'] !== NULL && $vM['bolovanjeFirmaDo'] !== NULL){
            if ($datumUobradiB >= $vM['bolovanjeFirmaOd'] && $datumUobradiB <= $vM['bolovanjeFirmaDo']) $oznakaVremena = 'bDo42D';
        }
        if ($vM['bolovanjeHZZOod'] !== NULL && $vM['bolovanjeHZZOdo'] !== NULL){
            if ($datumUobradiB >= $vM['bolovanjeHZZOod'] && $datumUobradiB <= $vM['bolovanjeHZZOdo']) $oznakaVremena = 'bPr42D';
        }
        if ($vM['porodiljskiOd'] !== NULL && $vM['porodiljskiDo'] !== NULL){
            if ($datumUobradiB >= $vM['porodiljskiOd'] && $datumUobradiB <= $vM['porodiljskiDo']) $oznakaVremena = 'rodDop';
        }
        $kodRadnikaM = $vM['kodRadnika'];      
        $dan = danUtjednu($datumUobradi,"HR");
        $dan=SUBSTR($dan,0,3);
        $vrijeme = $vM['redovniSatiNaDan'];  
        $pocetakRadaSatMin = $vM['pocetakRadaSatMin'];
        $zavrsetakRadaSatMin = $vM['zavrsetakRadaSatMin'];
        if ($dan == 'Sub' && $vM['redovniSatiSubotom'] !== NULL) {
            $vrijeme = $vM['redovniSatiSubotom'];
            $pocetakRadaSatMin = $vM['pocetakSubotom'];
            $zavrsetakRadaSatMin = $vM['zavrsetakSubotom'];
        }
        
        $kojiJeBlagdan = kojiJeBlagdan($datumUobradi);
       
        $radniPraznikNeradni = 'R';       
        if (!empty($kojiJeBlagdan)) {       
            $radniPraznikNeradni = 'P'; $pocetakRadaSatMin = NULL; $zavrsetakRadaSatMin = NULL;
            if ( ($dan == 'Sub' && $vM['redovniSatiSubotom'] === NULL) || $dan == 'Ned' )  $vrijeme = 0;
        }   
        else if( ($dan == 'Sub' && $vM['redovniSatiSubotom'] === NULL) || $dan == 'Ned' ) {
            $radniPraznikNeradni = 'N'; $vrijeme = 0; $pocetakRadaSatMin = NULL; $zavrsetakRadaSatMin = NULL;
        }
        if ($radniPraznikNeradni == 'P' || $radniPraznikNeradni == 'N') $oznakaVremena = 'nerDan';
        
        $indikatorVisestrukosti = 0; $komentar = NULL; $datumZakljucavanja = NULL; $datumIzmjene = NULL;
        $voditeljEvidencije = $email_user; $tkoJeIzmjenio = ' ';
        
        if ($operacija == 'K') {
           if ($nacinKreiranjaIntervala == 'premaOdabiru') {
              $oznakaVremena = $oznakaVremenaIzbor; $vrijeme = $vrijemeIzbor; 
              $pocetakRadaSatMin = $pocetakRadaSatMinIzbor; $zavrsetakRadaSatMin = $zavrsetakRadaSatMinIzbor;
           }    
           if ($nacinKreiranjaIntervala == 'kombinirano') {
              $oznakaVremena = $oznakaVremenaIzbor; 
           }   
           if ( ($nacinKreiranjaIntervala == 'kombinirano' || $nacinKreiranjaIntervala == 'premaMaticnoj') && $oznakaVremena == 'godOdm') {
              if ($vrijeme == 7) {
                  $vrijeme = 8; 
                  if ($pocetakRadaSatMin == '08:00') $pocetakRadaSatMin = '07:00';                  
              }
              if ($vrijeme == 5 && $dan == 'Sub') {
                 $vrijeme = 0;  $oznakaVremena = 'nerDan'; $pocetakRadaSatMin = ''; $zavrsetakRadaSatMin = '';
              }
           }   
           
        }
        
        $query = 
        'INSERT INTO radno_vrijeme(kodRadnika,datum,oznakaVremena,indikatorVisestrukosti,vrijeme,dan,radniPraznikNeradni,
        pocetakRadaSatMin,zavrsetakRadaSatMin,komentar,datumZakljucavanja,voditeljEvidencije,
        datumOtvaranja,datumIzmjene,tkoJeIzmjenio)
        VALUES (:kodRadnikaM,:datumUobradiB,:oznakaVremena,:indikatorVisestrukosti,:vrijeme,:dan,:radniPraznikNeradni,
        :pocetakRadaSatMin,:zavrsetakRadaSatMin,:komentar,:datumZakljucavanja,:voditeljEvidencije,
        NOW(),:datumIzmjene,:tkoJeIzmjenio)';     
        try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnikaM', $kodRadnikaM);
        $statement->bindValue(':datumUobradiB', $datumUobradiB);
        $statement->bindValue(':oznakaVremena', $oznakaVremena);
        $statement->bindValue(':indikatorVisestrukosti', $indikatorVisestrukosti);
        $statement->bindValue(':vrijeme', $vrijeme);
        $statement->bindValue(':dan', $dan);
        $statement->bindValue(':radniPraznikNeradni', $radniPraznikNeradni);
        $statement->bindValue(':pocetakRadaSatMin', $pocetakRadaSatMin);
        $statement->bindValue(':zavrsetakRadaSatMin', $zavrsetakRadaSatMin);
        $statement->bindValue(':komentar', $komentar);
        $statement->bindValue(':datumZakljucavanja', $datumZakljucavanja);
        $statement->bindValue(':voditeljEvidencije', $voditeljEvidencije);
        $statement->bindValue(':datumIzmjene', $datumIzmjene);        
        $statement->bindValue(':tkoJeIzmjenio', $tkoJeIzmjenio);      
        $statement->execute();
        //$rowCount = $statement->rowCount();
        $rowCount++;
        $statement->closeCursor();
        } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
        }
    // return $rowCount;            
     }  //end za upis sloga
       
       $datumUobradi_o->modify('+1 day');
       $datumUobradiB = $datumUobradi_o->format("Y-m-d");       
       $datumUobradi = $datumUobradi_o->format("d.m.Y");   
       if ($datumUobradiB > $datumDoB) break;
   }  //while petlja
  
 }  //end za foreach
 if(isset($rowCount))
     return $rowCount;
} 
function get_radno_vrijeme($kodRadnika, $godina, $mjesec, $dan) {
    global $db;

    switch ($_SESSION['admin']['tRadnoVrijeme']) {
    case 'Punkt':
        $punkt=$_SESSION['admin']['punkt'];
        $query = " 
        select r.imeIprezime, rv.* 
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        JOIN ".get_admin_db().".administrators as a ON a.OIB COLLATE utf8_croatian_ci=r.OIB COLLATE utf8_croatian_ci
        WHERE a.punkt='$punkt' 

        AND (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        and (year(datum)=:godina or  trim(:godina)='')
        and (month(datum)=:mjesec or  trim(:mjesec)='')
        and (day(datum)=:dan or  trim(:dan)='')
        order by rv.kodRadnika, datum, oznakaVremena, indikatorVisestrukosti

        ";
        break;
    case 'Samo svoje':
        $OIB=$_SESSION['admin']['OIB'];
        $query = " 
        select r.imeIprezime, rv.*  
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        WHERE OIB='$OIB'
        and (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        and (year(datum)=:godina or  trim(:godina)='')
        and (month(datum)=:mjesec or  trim(:mjesec)='')
        and (day(datum)=:dan or  trim(:dan)='')
        order by rv.kodRadnika, datum, oznakaVremena, indikatorVisestrukosti

        ";
        break;
    default:
        $query = " 
        select r.imeIprezime, rv.*  
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        where (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        and (year(datum)=:godina or  trim(:godina)='')
        and (month(datum)=:mjesec or  trim(:mjesec)='')
        and (day(datum)=:dan or  trim(:dan)='')
        order by rv.kodRadnika, datum, oznakaVremena, indikatorVisestrukosti
        ";
        break;
    }

    /*
    $query = "
        select * 
        from radno_vrijeme
        where (kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        and (year(datum)=:godina or  trim(:godina)='')
        and (month(datum)=:mjesec or  trim(:mjesec)='')
        and (day(datum)=:dan or  trim(:dan)='')
        order by kodRadnika, datum, oznakaVremena, indikatorVisestrukosti
         ";
     */ 
    try {
        $statement = $db->prepare($query);
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->bindValue(':godina', $godina);
        $statement->bindValue(':mjesec', $mjesec);
        $statement->bindValue(':dan', $dan);
        $statement->execute();
        $r = $statement->fetchAll();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_rv_po_datumu($datumOd, $datumDo, $kodRadnika) {
    global $db;
     
    switch ($_SESSION['admin']['tRadnoVrijeme']) {
    case 'Punkt':
        $punkt=$_SESSION['admin']['punkt'];
        $query = " 
        select r.imeIprezime, rv.* 
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        JOIN ".get_admin_db().".administrators as a ON a.OIB COLLATE utf8_croatian_ci=r.OIB COLLATE utf8_croatian_ci
        WHERE a.punkt='$punkt' 
        and datum between :datumOd and  :datumDo
        and (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        order by datum, r.imeIprezime, rv.kodRadnika
        ";
        break;
    case 'Samo svoje':
        $OIB=$_SESSION['admin']['OIB'];
        $query = " 
        select r.imeIprezime, rv.* 
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        WHERE OIB='$OIB'
        and datum between :datumOd and  :datumDo
        and (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        order by datum, r.imeIprezime, rv.kodRadnika
        ";
        break;
    default:
        $query = " 
        select r.imeIprezime, rv.* 
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        where datum between :datumOd and  :datumDo
        and (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        order by datum, r.imeIprezime, rv.kodRadnika
        ";
        break;
    }
    /*
    $query = "
        select r.imeIprezime, rv.* 
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        where datum between :datumOd and  :datumDo
        and (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        order by datum, r.imeIprezime, rv.kodRadnika
         ";
     */ 
    try {
        $statement = $db->prepare($query);
        $d=new DateTime($datumOd);
        $statement->bindValue(':datumOd', $d->format('Y-m-d'));
        $d=new DateTime($datumDo);
        $statement->bindValue(':datumDo', $d->format('Y-m-d'));
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->execute();
        $r = $statement->fetchAll();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}

function get_datZakRV($kodRadnika, $datumOd, $datumDo) {
    /* daje datum zaključavanja, tko je zaključao 
     *  ako svi slogovi u intervalu nisu zaključani veli da je djelomično zaključani i daje datum zadnjeg zaključavanja      
     */
    global $db;
    $query = "SELECT COUNT(*) AS ukupniBroj,
                     COUNT(datumZakljucavanja) AS brojZakljucanih,
                     MAX(datumZakljucavanja)  AS maxDatumZakljucavanja
                     FROM radno_vrijeme
        where datum between :datumOd and :datumDo
        and (kodRadnika=:kodRadnika or trim(:kodRadnika)='')"; 
    try {
        $statement = $db->prepare($query);
        $d=new DateTime($datumOd);
        $statement->bindValue(':datumOd', $d->format('Y-m-d'));
        $d=new DateTime($datumDo);
        $statement->bindValue(':datumDo', $d->format('Y-m-d'));
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->execute();
        $zakljucavanja = $statement->fetch();
        $statement->closeCursor();         
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    } 
    
      
// utvrđivanje tko je zadnji zaključao(zadnji datum izmjene)
        $query = "SELECT DISTINCT tkoJeIzmjenio FROM radno_vrijeme
        where datum between :datumOd and :datumDo
        and datumZakljucavanja is not null
        and (kodRadnika=:kodRadnika or trim(:kodRadnika)='')"; 
      try {
        $statement = $db->prepare($query);        
        $d=new DateTime($datumOd);
        $statement->bindValue(':datumOd', $d->format('Y-m-d'));
        $d=new DateTime($datumDo);
        $statement->bindValue(':datumDo', $d->format('Y-m-d'));
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->execute();
        $izmjenitelji = $statement->fetchAll();
        $statement->closeCursor();         
      } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
      }                       

    
    return $zakljucavanja;
}

function get_vodEvRV($kodRadnika, $datumOd, $datumDo) {
   /*
     *  slično za voditelja evidencije ako ih je više navodi se zadnji npr. Posavec Renata(3) (zadnja je Posavec Renata a ima ukupno 3 voditelja evidencije
     */
    global $db;    
    $query = "SELECT DISTINCT voditeljEvidencije FROM radno_vrijeme
        where datum between :datumOd and :datumDo
        and (kodRadnika=:kodRadnika or trim(:kodRadnika)='')"; 
    try {
        $statement = $db->prepare($query);
        $d=new DateTime($datumOd);
        $statement->bindValue(':datumOd', $d->format('Y-m-d'));
        $d=new DateTime($datumDo);
        $statement->bindValue(':datumDo', $d->format('Y-m-d'));
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->execute();
        $voditeljiEvidencije = $statement->fetchAll();
        $statement->closeCursor(); 
        return $voditeljiEvidencije;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }               
}

function get_tkoJeZakRV($kodRadnika, $datumOd, $datumDo) {
      global $db;
    // utvrđivanje tko je zadnji zaključao(zadnji datum izmjene)
        $query = "SELECT DISTINCT tkoJeIzmjenio FROM radno_vrijeme
        where datum between :datumOd and :datumDo
        and datumZakljucavanja is not null
        and (kodRadnika=:kodRadnika or trim(:kodRadnika)='')"; 
      try {
        $statement = $db->prepare($query);        
        $d=new DateTime($datumOd);
        $statement->bindValue(':datumOd', $d->format('Y-m-d'));
        $d=new DateTime($datumDo);
        $statement->bindValue(':datumDo', $d->format('Y-m-d'));
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->execute();
        $tkoJeZakRV = $statement->fetchAll();
        $statement->closeCursor();         
      } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
      }                       
      return $tkoJeZakRV;    
}

function get_rv_kumulativno($datumOd, $datumDo, $kodRadnika) {
    global $db;

    switch ($_SESSION['admin']['tRadnoVrijeme']) {
    case 'Punkt':
        $punkt=$_SESSION['admin']['punkt'];
        $query = " 
        select r.imeIprezime, rv.kodRadnika, oznakaVremena, sum(vrijeme) as vrijeme, min(datum) as datumOd, max(datum) as datumDo
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        JOIN ".get_admin_db().".administrators as a ON a.OIB COLLATE utf8_croatian_ci=r.OIB COLLATE utf8_croatian_ci
        WHERE a.punkt='$punkt' 
        and datum between :datumOd and :datumDo
        and (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        group by  r.imeIprezime, rv.kodRadnika, oznakaVremena

        ";
        break;
    case 'Samo svoje':
        $OIB=$_SESSION['admin']['OIB'];
        $query = " 
        select r.imeIprezime, rv.kodRadnika, oznakaVremena, sum(vrijeme) as vrijeme, min(datum) as datumOd, max(datum) as datumDo
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        WHERE OIB='$OIB'
        and datum between :datumOd and :datumDo
        and (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        group by  r.imeIprezime, rv.kodRadnika, oznakaVremena

        ";
        break;
    default:
        $query = " 
        select r.imeIprezime, rv.kodRadnika, oznakaVremena, sum(vrijeme) as vrijeme, min(datum) as datumOd, max(datum) as datumDo
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        where datum between :datumOd and :datumDo
        and (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        group by  r.imeIprezime, rv.kodRadnika, oznakaVremena
        ";
        break;
    }

    /*
    $query = "
        select r.imeIprezime, rv.kodRadnika, oznakaVremena, sum(vrijeme) as vrijeme, min(datum) as datumOd, max(datum) as datumDo
        from radno_vrijeme as rv
        join maticna_radnika as r on r.kodRadnika=rv.kodRadnika
        where datum between :datumOd and :datumDo
        and (rv.kodRadnika=:kodRadnika or trim(:kodRadnika)='')
        group by  r.imeIprezime, rv.kodRadnika, oznakaVremena
         ";
     */ 
    try {
        $statement = $db->prepare($query);
        $d=new DateTime($datumOd);
        $statement->bindValue(':datumOd', $d->format('Y-m-d'));
        $d=new DateTime($datumDo);
        $statement->bindValue(':datumDo', $d->format('Y-m-d'));
        $statement->bindValue(':kodRadnika', $kodRadnika);
        $statement->execute();
        $r = $statement->fetchAll();
        $statement->closeCursor();
        return $r;
    } catch (PDOException $e) {
        $error_message = $e->getMessage();
        display_db_error($error_message);
    }
}
?>