SET FOREIGN_KEY_CHECKS=0;

DROP TABLE IF EXISTS vrste_primitaka_place;

CREATE TABLE vrste_primitaka_place  (
    vrstaPrimitka CHAR(6) NOT NULL,     
    nazivPrimitka VARCHAR(50) DEFAULT ' ',  
    oporezivPrimitak CHAR(1) DEFAULT 'D',
    nazocnostNaPoslu CHAR(1) DEFAULT 'D',
    aplikacija       CHAR(2) DEFAULT '',
    unosiSe          CHAR(10) DEFAULT 'satnica',
    datumOtvaranja    DATETIME NOT NULL,
    datumIzmjene      DATETIME DEFAULT 0,
    tkoJeIzmjenio     VARCHAR(40) DEFAULT " ", 
  PRIMARY KEY (vrstaPrimitka)
) 
-- DEFAULT CHARSET=utf8
;

/* Puni tablicu s primanjima iz evidencije radnog vremena */
INSERT INTO vrste_primitaka_place 
(vrstaPrimitka, nazivPrimitka, oporezivPrimitak, nazocnostNaPoslu, aplikacija, datumOtvaranja, tkoJeIzmjenio)
VALUES 
('redRad', 'Redovan rad', 'D', 'D', '', now(), 'Donos' ),
('terRad', 'Vrijeme terenskog rada', 'D', 'D', '', now(), 'Donos' ),
('vrPrip', 'Vrijeme pripravnosti', 'D', 'D', '', now(), 'Donos' ),
('nocRad', 'Rad noću', 'D', 'D', '', now(), 'Donos' ),
('smjRad', 'Smjenski rad', 'D', 'D', '', now(), 'Donos' ),
('dvoRad', 'Dvokratni rad', 'D', 'D', '', now(), 'Donos' ),
('preRad', 'Prekovremeni rad', 'D', 'D', '', now(), 'Donos' ),
('radBla', 'Rad blagdanom', 'D', 'D', '', now(), 'Donos' ),
('prerVr', 'Preraspodjela vremena', 'D', 'D', '', now(), 'Donos' ),
('sluPut', 'Službeni put', 'D', 'D', '', now(), 'Donos' ),
('godOdm', 'Godiišnji odmor', 'D', 'N', '', now(), 'Donos' ),
('dneOdm', 'Dnevni odmor', 'N', 'N', 'RV', now(), 'Donos' ),
('tjeOdm', 'Tjedni odmor', 'N', 'N', 'RV', now(), 'Donos' ),  
('bDo42D', 'Bolovanje do 42 dana</option>', 'D', 'N', '', now(), 'Donos' ),  
('bPr42D', 'Bolovanje preko 42 dana', 'D', 'N', '', now(), 'Donos' ),  
('rodDop', 'Rodiljni dopust', 'D', 'N', '', now(), 'Donos' ),
('rodtDo', 'Roditeljski dopust', 'D', 'N', '', now(), 'Donos' ), 
('dRodPr', 'Druga roditeljska prava', 'D', 'N', '', now(), 'Donos' ),
('plaDop', 'Plaćeni dopust', 'D', 'N', '', now(), 'Donos' ),
('nepDop', 'Neplaćeni dopust', 'N', 'N', 'RV', now(), 'Donos' ),
('zahRad', 'Nenazočnost na poslu po zahtjevu radnika', 'N', 'N', 'RV', now(), 'Donos' ),
('kriRad', 'Nenazočnost na poslu krivnjom radnika', 'N', 'N', 'RV', now(), 'Donos' ),
('strajk', 'Vrijeme u štrajku', 'N', 'N', 'RV', now(), 'Donos' ),
('iskSRa', 'Vrijeme isključenja s rada', 'N', 'N', 'RV', now(), 'Donos' ),
('kriPos', 'Zastoj krivnjom poslodavca', 'N', 'N', 'RV', now(), 'Donos' ),
('nerDan', 'Neradni dan blagdan', 'N', 'N', 'RV', now(), 'Donos' )
;

/* Promjena veličine polja iz CHAR(5) u CHAR(6) */
ALTER TABLE radno_vrijeme MODIFY oznakaVremena CHAR(6);

/* Pretvara petoslovnu oznaku vremenena u šestoslovnu */
UPDATE radno_vrijeme as rv
INNER JOIN 
( 
    SELECT *
    FROM 
    ( 
        SELECT 'redRa' as staraSifra, 'redRad' as novaSifra
        UNION
        SELECT 'terRa' as staraSifra, 'terRad' as novaSifra
        UNION
        SELECT 'vrPri' as staraSifra, 'vrPrip' as novaSifra
        UNION
        SELECT 'nocRa' as staraSifra, 'nocRad' as novaSifra
        UNION
        SELECT 'smjRa' as staraSifra, 'smjRad' as novaSifra
        UNION
        SELECT 'dvoRa' as staraSifra, 'dvoRad' as novaSifra
        UNION
        SELECT 'preRa' as staraSifra, 'preRad' as novaSifra
        UNION
        SELECT 'raBla' as staraSifra, 'radBla' as novaSifra
        UNION
        SELECT 'preVr' as staraSifra, 'prerVr' as novaSifra
        UNION
        SELECT 'sluPu' as staraSifra, 'sluPut' as novaSifra
        UNION
        SELECT 'dneOd' as staraSifra, 'dneOdm' as novaSifra
        UNION
        SELECT 'godOd' as staraSifra, 'godOdm' as novaSifra
        UNION
        SELECT 'tjeOd' as staraSifra, 'tjeOdm' as novaSifra
        UNION
        SELECT 'bDo42' as staraSifra, 'bDo42D' as novaSifra
        UNION
        SELECT 'bPr42' as staraSifra, 'bPr42D' as novaSifra
        UNION
        SELECT 'rodDo' as staraSifra, 'rodDop' as novaSifra
        UNION
        SELECT 'rodtD' as staraSifra, 'rodtDo' as novaSifra
        UNION
        SELECT 'dRoPr' as staraSifra, 'dRodPr' as novaSifra
        UNION
        SELECT 'plaDo' as staraSifra, 'plaDop' as novaSifra
        UNION
        SELECT 'nepDo' as staraSifra, 'nepDop' as novaSifra
        UNION
        SELECT 'zahRa' as staraSifra, 'zahRad' as novaSifra
        UNION
        SELECT 'kriRa' as staraSifra, 'kriRad' as novaSifra
        UNION
        SELECT 'straj' as staraSifra, 'strajk' as novaSifra
        UNION
        SELECT 'iskSR' as staraSifra, 'iskSRa' as novaSifra
        UNION
        SELECT 'kriPo' as staraSifra, 'kriPos' as novaSifra
        UNION
        SELECT 'nerDa' as staraSifra, 'nerDan' as novaSifra
    ) AS s
) AS si ON si.staraSifra=rv.oznakaVremena
SET oznakaVremena=novaSifra
;

SET FOREIGN_KEY_CHECKS=1;