<?php 
/**
 * format za unos datuma pokriva na maskama :
 * 1.1.1000 - 31/12/9999 dd.mm.gggg
 * delimiter datuma je . 
 * dan, mjesec mogu biti s vodećim 0 ili bez njih
 * godina se unosi na 4  decimale
 * Vrijeme (nije obavezno):
 * 00:00:00 - 23:59:59  u formatu hh:MM:ss 
 */
$formatDatumaUnos='(([1-9]|[0-2]\d|[3][0-1])\.([1-9]|[0]\d|[1][0-2])\.[1-9][0-9]\d{2}(\s([1-9]|[0-1]\d|[2][0-3])\:[0-5]\d(\:[0-5]\d){0,1}){0,1})$';
$formatDatumaBaza='(([1-9][0-9]\d{2})\-([1-9]|[0]\d|[1][0-2])\-([1-9]|[0-2]\d|[3][0-1])(\s([1-9]|[0-1]\d|[2][0-3])\:[0-5]\d(\:[0-5]\d){0,1}){0,1})$';
$formatVrijeme='([0-1][1-9]|2[0-3]):([0-5][0-9]):([0-5][0-9])$';
?>
<?php
function is_present($value) {
    if (isset($value) && strlen($value) > 0) {
        return true;
    } else {
        return false;
    }
}

function is_valid_number($value, $min = NULL, $max = NULL, $required = true) {
    if ($required && !is_present($value)) return false;
    if (!is_numeric($value)) return false;
    if (isset($min) && $value < $min) {
        return false;
    }
    //if (isset($max) && $equal_max && $value > $max) {  OVO ?
    if (isset($max) && $value > $max) {
        return false;
    }
    return true;
}

function is_valid_datum(&$datum, $unutarArhive=false, $formatBezTocaka=true) {
    global $formatDatumaBaza;
    global $formatDatumaUnos;
    $greskaDatum = NULL;
    $brZnakova = strlen($datum);
        //prazan može biti onda uzima tekući datum i vrijeme
        //minimalni 1.1.2013
    //if ($brZnakova < 8 && $brZnakova > 0)
    if ($brZnakova < 6 && $brZnakova > 0)
       $greskaDatum = ' Neispravan datum ! ' . $datum;
    
    // u dtum formata '190214' dodaje točkr i pretvara ga u '19.02.2014
    if(($brZnakova==6 || $brZnakova==8) && $formatBezTocaka) {
        $stariDatum=$datum;
        if($brZnakova==6) 
            $datum=substr_replace($datum, '20', 4, 0);
            
        $datum=substr_replace($datum, '.', 4, 0);
        $datum=substr_replace($datum, '.', 2, 0);
    }
    //$p=date_parse($datum);
    $formatOk=true;
    if(trim($datum)!='')
        $formatOk= preg_match('/'.$formatDatumaUnos.'/',$datum) || preg_match('/'.$formatDatumaBaza.'/',$datum);
    if(!$formatOk)
        $greskaDatum = ' Neispravan datum ili vrijeme! ' . $datum;
    if (!isset($greskaDatum)) {	
        try {
            $datum_o = new DateTime("$datum"); 
        } catch (Exception $e) {
            $greskaDatum = ' Neispravan datum ili vrijeme ! ' . $datum;
        }

        // datumi poput '30.02.2015' i '31.04.2015' prolaze pa je potrebno pogledati u DateTime::getLastErrors() 
        // on u tom slučaju vrača warnings, odnosno $gr['warning_count']>0
        $gr=DateTime::getLastErrors();
        if($gr['warning_count']>0 || $gr['error_count']>0)
            $greskaDatum = ' Neispravan datum ili vrijeme ! ' . $datum;
        if(trim($_SESSION['godina_b'])!='' && trim($_SESSION['godina_b'])!=$datum_o->format('Y') && $unutarArhive) 
            $greskaDatum = ' Datum mora biti u godini arhive! ';
    }
        
        
    if (!isset($greskaDatum)) {
       $now = new DateTime();
       if ($datum_o > $now) $greskaDatum .= ' Budući datum ! ' . $datum;
    }
    if($greskaDatum!=null && isset($stariDatum))
        $datum=$stariDatum;
    return $greskaDatum;
}

function is_valid_card_type($card_type) {
    if (!is_int($card_type)) return false;
    if ( $card_type < 1 || $card_type > 6 ) return false;
    return true;
}

function is_valid_card_number($card_number, $card_type) {
    switch ($card_type) {
        case 6:
            $pattern = '/^\d{15}$/';
            break;
        default:
            $pattern = '/^\d{16}$/';
            break;
    }
    return preg_match($pattern, $card_number);
}

function is_valid_card_cvv($card_cvv, $card_type) {
    switch ($card_type) {
        case 6:
            $pattern = '/^\d{4}$/';
            break;
        default:
            $pattern = '/^\d{3}$/';
            break;
    }
    return preg_match($pattern, $card_cvv);
}

function is_valid_card_expires($card_expires) {
    $pattern = '/^\d{1,2}\/\d{4}$/';
    if (!preg_match($pattern, $card_expires)) return false;
    $date_parts = explode('/', $card_expires);
    $now = new DateTime();
    $expires = new DateTime();
    $expires->setDate($date_parts[1], $date_parts[0], 1);
    $expires->add(new DateInterval("P1M"));
    $expires->sub(new DateInterval("P1D"));
    $expires->setTime(23,59,59);

    return ($now < $expires);
}

// f-ja pokušava "pogoditi' formate kolona arraya.
// pretpostavka: ako je u koloni max puta isti tip (npr. datum) ili prazno, onda je kolona toga tipa,
//               ako je kolona stalno prazna (empty()) tip je neodređen
//               u svim ostalim slučajevima polje je tipa 'string'
// tipovi polja: ''       - kolona je stalno prazna
//               'date'   - u koloni su max puta datumi ili prazno
//               'int'    - u koloni su max puta cijeli brojevi li prazno
//               'float'  - isto kao 'int' s tim da je bar jedan od brojeva float
//               'string' - sve ostalo
function postaviFormate($set, $naziviPolja, $max=20) {
    if(!is_array($set))
        return false;
    if(!is_array($set[0]))
        return false;

    $m=count($set);
    if($max>$m)
        $max=$m;
    $n=count($naziviPolja);
    $formati[]=array();
    
    for ($i = 0; $i < $max; $i++) {
        for ($j = 0; $j < $n; $j++) {
            if(empty($formati[$j])) $formati[$j]='';
            $polje=$set[$i][$naziviPolja[$j]];
            if(!empty($polje)) {
                if($formati[$j]==='' || $formati[$j]==='datum') {
                    $greskaDatum = is_valid_datum($polje,false,false);
                    if(empty($greskaDatum)) 
                        $formati[$j]='datum';
                    else
                        if($formati[$j]!='') 
                            $formati[$j]='string';
                }

                if($formati[$j]==='' || $formati[$j]==='float' || $formati[$j]==='int') {
                    $polje=str_replace(',', '.', $polje);
                    if(preg_match("#^([\+\-]|)([0-9]*)(\.([0-9]*?)|)(0*)$#" , trim($polje))) {
                        $broj= (string)intval($polje);
                        if(trim($polje)==$broj && $formati[$j]!='float')
                            $formati[$j]='int';
                        else
                            $formati[$j]='float';
                    }
                    else {
                        if($formati[$j]!='') 
                            $formati[$j]='string';
                    }
                }
                
            }
            // kraj nije prazno
        }
    }
    return $formati;
}
?>