/*
SELECT concat('ALTER TABLE ', TABLE_NAME,' ENGINE=MYISAM;')  
FROM INFORMATION_SCHEMA.TABLES
WHERE  `TABLE_SCHEMA` = database()
AND ENGINE='InnoDB';
*/

drop procedure if exists InnoDB2MyISAM;
delimiter $$
CREATE PROCEDURE InnoDB2MyISAM()
BEGIN
declare s varchar(100);
declare sve varchar(10000) default '';
DECLARE done INT DEFAULT FALSE;
DECLARE c CURSOR FOR
SELECT concat('ALTER TABLE ', TABLE_NAME,' ENGINE=MYISAM;')  
FROM INFORMATION_SCHEMA.TABLES
WHERE  `TABLE_SCHEMA` = database()
AND ENGINE='InnoDB';
DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = TRUE;
DECLARE EXIT HANDLER FOR SQLEXCEPTION ROLLBACK;
DECLARE EXIT HANDLER FOR SQLWARNING ROLLBACK;

START TRANSACTION;
open c;
read_loop: LOOP
    FETCH c INTO s;
    IF done THEN
        LEAVE read_loop;
    END IF;
    set @st:=s;
    PREPARE stmt1 FROM @st;
    execute stmt1;
    SET sve:=concat(sve,' ', s);
END LOOP;
COMMIT;

select sve as 'izvrsene komande';
close c;
END $$
delimiter ;

call InnoDB2MyISAM();

drop procedure if exists InnoDB2MyISAM;