/* pripreme se oni koji se ne smiju brisati */
CREATE TABLE exportZaDinamicWeb (
  kodRobe CHAR(16) NOT NULL,  
  nazivRobe varchar(100) NOT NULL,
  jedinicaMjere char(3) NOT NULL,
  MPC decimal(11,2) NOT NULL, 
  popust decimal(4,2) NOT NULL,
  stanje decimal(11,2) default 0,
  gdjeSeNalazi varchar(40) default ' ',
  velicinaRame VARCHAR(20) default ' ',
  velicinaKotaca VARCHAR(20) default ' ',
  spol VARCHAR(6) default ' ', 
  PRIMARY KEY (kodRobe)  
) 

INSERT INTO exportZaDinamicWeb
 /* SELECT DISTINCT kodRobe FROM dok_stavke; */
SELECT kodRobe, nazivRobe,  jedinicaMjere, cijena * 1.25, popust, '0', ' ', ' ', ' ', ' '  from maticna_robe GROUP BY kodRobe;

/* ažuriranje stanja(zbroj po svim poslovnicama maloprodaje)
*/
UPDATE exportZaDinamicWeb e
INNER JOIN (
SELECT kodRobe, SUM(stanje) as stanje FROM stanja
WHERE proda IN ('202', '204', '205', '206', '207',  '208', '209', '210')
GROUP BY kodRobe
) AS pom ON e.kodRobe = pom.kodRobe
SET e.stanje = pom.stanje;

/* ažuriranje gdjeSeNalazi npr. 202,204,209 */

UPDATE exportZaDinamicWeb e
INNER JOIN (
SELECT kodRobe, proda FROM stanja
WHERE proda IN ('202', '204', '205', '206', '207',  '208', '209', '210')
AND stanje <> 0
group by kodRobe, proda
) AS pom ON e.kodRobe = pom.kodRobe
SET e.gdjeSeNalazi = concat(e.gdjeSeNalazi,trim(pom.proda),',')
;
-- SET gdjeSeNalazi = (SELECT concat(gdjeSeNalazi,trim(pom.proda),','));

INSERT INTO exportZaDinamicWeb
/* SELECT DISTINCT b.kodRobe FROM stanja as b */
SELECT b.kodRobe FROM stanja as b
LEFT JOIN exportZaDinamicWeb as a
on  a.kodRobe = b.kodRobe
where b.stanje <> 0 and a.kodRobe is null
group by b.kodRobe
;
/* skopirati maticna_robe   u maticna_robeorg. U exportZaDinamicWeb SU OSTALI SVI KOJI SE NE SMIJU BRISATI */ 
/*obrišu se svi koji nisu imali prometa u tekućoj godini i stanje im je nula*/
DELETE FROM maticna_robe
WHERE kodRobe NOT IN
(SELECT * FROM exportZaDinamicWeb)
and kodGrupe IN ('0703', '0704', '0707', '0901');

delete  stanja from stanja   
   left outer join maticna_robe m 
   on m.kodRobe = stanja.kodRobe
-- where stanja.kolicinaInventure = 0
where m.kodRobe is null;
