
CREATE TABLE exportZaDinamicWeb (
  kodRobe CHAR(16) NOT NULL,
  nazivRobe varchar(100) NOT NULL,
  jedinicaMjere char(3) NOT NULL,
  MPC decimal(11,2) NOT NULL,
  popust decimal(4,2) NOT NULL,
  artiklNaAkciji char(1) default ' ',
  artiklNaRasprodaji char(1) default ' ',
  stanje decimal(11,2) default 0,
  gdjeSeNalazi varchar(40) default ' ',
  velicinaRame VARCHAR(20) default ' ',
  velicinaKotaca VARCHAR(20) default ' ',  
  spol VARCHAR(6) default ' ',
  kodGrupe VARCHAR(13) default ' ',
  kodGrupe2 VARCHAR(13) default ' ',
  brand VARCHAR(20) default ' ', 
  aktivan CHAR(1) default '1',
  opis text,
  PRIMARY KEY (kodRobe)
)
;

INSERT INTO exportZaDinamicWeb
 /* SELECT DISTINCT kodRobe FROM dok_stavke; */

 SELECT kodRobe, nazivRobe, jedinicaMjere, cijena * 1.25, popust, ' ', ' ', '0', ' ', velicinaRame, velicinaKotaca, spol, kodGrupe, kodGrupe2, brand, opis from maticna_robe 
 WHERE kodGrupe IN ('6802', '0703', '0704', '0703-W') 
 OR kodGrupe LIKE '01%' OR kodGrupe LIKE '05%' OR kodGrupe LIKE '08%' OR kodGrupe LIKE '09%'  
 OR kodGrupe LIKE '10%' OR kodGrupe LIKE '11%'  
 GROUP BY kodRobe;

/* ažuriranje stanja(zbroj po svim poslovnicama maloprodaje)
*/
UPDATE exportZaDinamicWeb e
INNER JOIN (
SELECT kodRobe, SUM(stanje) as stanje FROM stanja
WHERE proda IN ('201', '202', '204', '205', '206', '207',  '208', '209', '210')
GROUP BY kodRobe
) AS pom ON e.kodRobe = pom.kodRobe
SET e.stanje = pom.stanje;

/* DELETE FROM exportZaDinamicWeb WHERE stanje = 0;  */

/* ažuriranje gdjeSeNalazi npr. 202,204,209 */

SET @pomKodRobe=null;

UPDATE exportZaDinamicWeb e
INNER JOIN
(
SELECT kodRobe,
       max( cast(if(@pomKodRobe=kodRobe, @proda:=concat(trim(@proda), ', ', st.proda), @proda:=proda) as char) ) as nalaziSeU, @pomKodRobe:=kodRobe
FROM 
  ( select kodRobe, proda
    from stanja 
    where stanje<>0 
    and proda IN ('201', '202', '204', '205', '206', '207',  '208', '209', '210')
    group by kodRobe,proda
  ) as st, 
(select @proda:='', @pomKodRobe='') as p
group by kodRobe
) AS pom ON e.kodRobe = pom.kodRobe
SET e.gdjeSeNalazi = nalaziSeU;
-- SET gdjeSeNalazi = (SELECT concat(gdjeSeNalazi,trim(pom.proda),','));

select * from exportZaDinamicWeb;

-- DROP TABLE exportZaDinamicWeb ;
