
CREATE TABLE exportZaDinamicWeb (
  kodRobe CHAR(16) NOT NULL,
  nazivRobe varchar(100) NOT NULL,
  jedinicaMjere char(3) NOT NULL,
  MPC decimal(11,2) NOT NULL,
  popust decimal(4,2) NOT NULL, 
  stanje decimal(11,2) default 0,
  gdjeSeNalazi varchar(40) default ' ',
  velicinaRame VARCHAR(20) default ' ',
  velicinaKotaca VARCHAR(20) default ' ',  
  spol VARCHAR(6) default ' ',
  kodGrupe VARCHAR(13) default ' ',
  kodGrupe2 VARCHAR(13) default ' ',
  brand VARCHAR(20) default ' ', 
  aktivan CHAR(1) default '1',
  opis text,
  PRIMARY KEY (kodRobe)
)
;

INSERT INTO exportZaDinamicWeb
 /* SELECT DISTINCT kodRobe FROM dok_stavke; */

 SELECT kodRobe, nazivRobe, jedinicaMjere, cijena * 1.25, popust, '0', ' ', velicinaRame, velicinaKotaca, spol, kodGrupe, kodGrupe2, brand, aktivan, opis from maticna_robe
/*  WHERE kodGrupe = '0926' */
/* WHERE kodGrupe IN ('1082', '1083', '1085', '1086', '1088', '0802', '0804', '0806', '0808', '0812', '0814', '0816', '0818', '0822', '0824', '0830',
 '0902', '0904', '0906', '0908', '0910', '0912', '0914', '0920', '0922', '0924', '0926', '0930', '0703-W') */
 /*
 OR kodGrupe LIKE '01%' OR kodGrupe LIKE '05%' OR kodGrupe LIKE '08%' OR kodGrupe LIKE '09%'  
 OR kodGrupe LIKE '10%' OR kodGrupe LIKE '11%' 
*/ 
WHERE kodRobe IN ('52-584T/V95','52-622T/V95','57-622T/V96','LANAC PHC53/9','LOKOT FK 911/C','LOKOT FK 913/CR','LOKOT FK 919/Z','LOKOT U 770','LS 200','LS 280',
'LS 350/710B','LS 350/710C','LS 350/710R','LS 750','LS 950','NAVLAKA S097','NAVLAKA S921','PEDALA 326','PEDALA 393','PEDALA CTB361','R CTB 323CB P','R MTB 776 P',
'R TR 541C P','RM140054','S/23-622P L/C','S/23-622P L/E','S/23-622P L/P','S/23-622P L','S/23-622P L/Ž','S/23-622P L/B','S/47-507P BJ','S/54-559 MPM','S/57-559SS/BR',
'S/57-622F NN','SK 480/150','SV TP SKULL','TORBICA 122','TORBICA 384','TORBICA 395','ASPECT/760','ASPECT/930','ASPECT/940','ASPECT/950','CONTESA/730',
'5TAVENUE-50','CROSS100M/','HEATW50/29','HEATW90/29','MANHA70/27')
/* (1082', '1083', '1085', '1086', '1088', '0802', '0804', '0806', '0808', '0812', '0814', '0816', '0818', '0822', '0824', '0830') */
 GROUP BY kodRobe;

/* ažuriranje stanja(zbroj po svim poslovnicama maloprodaje)
*/
UPDATE exportZaDinamicWeb e
INNER JOIN (
SELECT kodRobe, SUM(stanje) as stanje FROM stanja
WHERE proda IN ('201', '202', '204', '205', '206', '207',  '208', '209', '210')
GROUP BY kodRobe
) AS pom ON e.kodRobe = pom.kodRobe
SET e.stanje = pom.stanje;

/* DELETE FROM exportZaDinamicWeb WHERE stanje = 0;  */

/* ažuriranje gdjeSeNalazi npr. 202,204,209 */

SET @pomKodRobe=null;

UPDATE exportZaDinamicWeb e
INNER JOIN
(
SELECT kodRobe,
       max( cast(if(@pomKodRobe=kodRobe, @proda:=concat(trim(@proda), ', ', st.proda), @proda:=proda) as char) ) as nalaziSeU, @pomKodRobe:=kodRobe
FROM 
  ( select kodRobe, proda
    from stanja 
    where stanje<>0 
    and proda IN ('201', '202', '204', '205', '206', '207',  '208', '209', '210')
    group by kodRobe,proda
  ) as st, 
(select @proda:='', @pomKodRobe='') as p
group by kodRobe
) AS pom ON e.kodRobe = pom.kodRobe
SET e.gdjeSeNalazi = nalaziSeU;
-- SET gdjeSeNalazi = (SELECT concat(gdjeSeNalazi,trim(pom.proda),','));

select * from exportZaDinamicWeb;

-- DROP TABLE exportZaDinamicWeb ;
