set @negativnaStanjaNa0='Ne', @datumInventure='2020-01-01 00:00:00';

/*
'oduzima' sve promete između datuma inventure i datuma unosa inventure (datumOtvaranja)
i tako svede stanja na datum inventure
kopiranje inv_stanja u inv_stanja_inventura kao orginal
*/
update inv_stanja as st
join
(
select i.proda, i.kodRobe, i.vrstaProdaje, i.stanje + sum(s.kolicina*vd.azurStanja) as novoStanje
from inv_stanja_inventura as i
join dok_stavke as s on s.proda=i.proda and s.kodrobe=i.kodrobe and s.vrstaprodaje=i.vrstaprodaje
join vrste_dokumenata as vd on vd.vrsDo=s.vrsDo
where s.DVO >= i.datumOtvaranja
-- where i.datumOtvaranja>=s.DVO
-- group by i.proda, i.kodRobe, i.vrstaProdaje, i.stanje     i.stanje ?
group by i.proda, i.kodRobe, i.vrstaProdaje
)
as p on p.proda=st.proda and p.kodRobe=st.kodRobe and p.vrstaProdaje=st.vrstaProdaje 
set stanje=p.novoStanje,
    kolicinaInventure=p.novoStanje,
    datumizmjene=now(),
    tkoJeIzmjenio='Razlika po prometu'
;

/*
updatira cijenu iz maticna_robe
*/
update inv_stanja as st
left outer join maticna_robe as m on m.kodrobe=st.`kodRobe`
set st.cijena=m.cijena
-- where st.cijena=0
;


/*
Ako je @negativnaStanjaNa0='Da', postavlja negativna stanja na 0
*/
update inv_stanja
set stanje=0,
    kolicinaInventure=0,
    datumizmjene=now(),
    tkoJeIzmjenio='Negativno stanje na 0'
where stanje<0 and @negativnaStanjaNa0='Da'
;

/* postavlja datumInventure*/
update inv_stanja
set datumInventure=@datumInventure
