set @negativnaStanjaNa0='Ne', @datumInventure='2020-01-01 00:00:00';
-- Svođenje stanja   na 01.01.2020
-- set @proda = '1802';
-- inventura tokom 12 mjeseca 2019 korekcija za dokumente poslje popisa

set @proda = '1803';
-- inventura tokom 1. mjeseca 2020 korekcija za dokumente prije popisa

/*  
Svođenje stanja   na 01.01.2020
'oduzima' sve promete između datuma inventure i datuma unosa inventure (datumOtvaranja)
i tako svede stanja na datum inventure. Ako treba alterTableModifyViseKolona  (datumInventure i datumIzmjene u inv_stanja)
kopiranje inv_stanja u inv_stanja_inventura kao orginal
*/
update inv_stanja as st
join
(
-- select i.proda, i.kodRobe, i.vrstaProdaje, i.stanje + sum(s.kolicina*vd.azurStanja) as novoStanje
-- popis u 12 mjesecu

select i.proda, i.kodRobe, i.vrstaProdaje, i.stanje - sum(s.kolicina*vd.azurStanja) as novoStanje
-- popis u 1. mjesecu

from inv_stanja_inventura as i
join dok_stavke as s on s.proda=i.proda and s.kodrobe=i.kodrobe and s.vrstaprodaje=i.vrstaprodaje
join vrste_dokumenata as vd on vd.vrsDo=s.vrsDo

-- where s.DVO >= i.datumOtvaranja and s.proda = @proda
-- gornja linija za inventuru u prošloj 2019 godini Od datumaOtvaranja sloga do 31.12. gleda dokumente

    where s.DVO <= i.datumOtvaranja and s.proda = @proda
-- gornja linija za inventuru u tekućoj 2020 godini	od 1.1. do datuma otvaranjaSloga gleda dokumente 	
 
-- group by i.proda, i.kodRobe, i.vrstaProdaje, i.stanje     i.stanje ?
group by i.proda, i.kodRobe, i.vrstaProdaje
)
as p on p.proda=st.proda and p.kodRobe=st.kodRobe and p.vrstaProdaje=st.vrstaProdaje 
set stanje=p.novoStanje,
    kolicinaInventure=p.novoStanje,
    datumizmjene=now(),
    tkoJeIzmjenio='Razlika po prometu'
;

/*
Upisuje stanja iz prometa iz 2014, kojih nema u inventuri.
*/
/*
insert into inv_stanja
(
    proda, kodRobe, vrstaProdaje, cijena, stanje, kolicinaInventure, brojInvStavke, datumOtvaranja, tkoJeIzmjenio
)
select 
    s.proda, 
    s.kodRobe, 
    s.vrstaProdaje, 
    0 , -- s.cijena , 
    sum(s.stanje),
    sum(s.stanje),
    @b := @b + 1,
    now(),
    'Stanje iz 2014.' 
from murskiga_robno_akc_14.stanja as s
left outer join inv_stanja as i on i.proda=s.proda and i.kodRobe=s.kodRobe and i.vrstaProdaje=s.vrstaProdaje,
(select @b:=max(brojInvStavke) from inv_stanja) as b
where i.proda is null
 group by s.proda, s.kodrobe, s.`vrstaProdaje`
;
*/

/*
updatira cijenu iz maticna_robe
*/
update inv_stanja as st
-- left outer join maticna_robe as m on m.kodrobe=st.`kodRobe`
-- gornja linija prikladna za popis u 12 mjesecu

left outer join maticna_robe200116_1035 as m on m.kodrobe=st.`kodRobe`
-- da budu važeće što prikladnije cijene za inventuru za popis u 1. mjesecu

set st.cijena=m.cijena 
where st.proda = @proda;
-- where st.cijena=0
;


/*
Ako je @negativnaStanjaNa0='Da', postavlja negativna stanja na 0
*/
update inv_stanja
set stanje=0,
    kolicinaInventure=0,
    datumizmjene=now(),
    tkoJeIzmjenio='Negativno stanje na 0'
where stanje<0 and @negativnaStanjaNa0='Da' and proda = @proda;
;

/* postavlja datumInventure*/
update inv_stanja
set datumInventure=@datumInventure
where proda = @proda;
